
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    // The following exception was thrown during execution in test generation
    try {
      normalDistributionImpl0.setStandardDeviation(0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 359.1342053695754d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, (-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(100.0d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    double d1 = org.apache.commons.math.special.Erf.erf((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8427007929497151d));

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    // The following exception was thrown during execution in test generation
    try {
      normalDistributionImpl2.setStandardDeviation((-0.8427007929497151d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-0.8427007929497151d), 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("hi!");

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.19969790180335623d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0000000000000056d);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d5 = normalDistributionImpl0.cumulativeProbability(100.0d, 1.0000000000000056d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("");

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1751.8796585025225d);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(Double.NaN, 0.0d, 1.0d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.19969790180335623d);
    normalDistributionImpl0.setMean(10.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d11 = normalDistributionImpl0.inverseCumulativeProbability(359.1342053695754d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(10.0d, 0.0d, 359.1342053695754d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d8 = normalDistributionImpl0.cumulativeProbability(0.0d, (-0.8427007929497151d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(Double.NaN, 1.0000000000000056d, 0.0d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d5 = normalDistributionImpl0.inverseCumulativeProbability(1751.8796585025225d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-1.0d), 0.19969790180335623d, 0.7999225850214973d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 1751.8796585025225d, (-0.8427007929497151d), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException2);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException6);
    convergenceException3.addSuppressed((java.lang.Throwable)mathException6);
    java.lang.String str9 = mathException6.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + ""+ "'", str9.equals(""));

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(359.1342053695754d, 0.7999225850214973d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.19969790180335623d);
    normalDistributionImpl0.setMean(10.0d);
    double d10 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 10.0d);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-0.8427007929497151d), (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.7999225850214973d, 359.1342053695754d);
    // The following exception was thrown during execution in test generation
    try {
      normalDistributionImpl2.setStandardDeviation(0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.4834796729980234d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5058628570405063d);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP((-1.0d), 100.0d, 1.0000000000000056d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.7999225850214973d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.742054901043145d);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(10.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1751.8796585025225d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    // The following exception was thrown during execution in test generation
    try {
      double d10 = normalDistributionImpl0.cumulativeProbability(1.0d, Double.NEGATIVE_INFINITY);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.841344746068543d, (-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(Double.NaN, 1751.8796585025225d, 0.4834796729980234d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.special.Erf.erf(100.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-0.8427007929497151d), 0.7999225850214973d, 100.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.0d), 10.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.742054901043145d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 10.0d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.742054901043145d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2119888976872879d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.19969790180335623d, (-0.8427007929497151d), 0.7999225850214973d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.cumulativeProbability((-0.8427007929497151d));
    normalDistributionImpl0.setMean(10.0d);
    double d6 = normalDistributionImpl0.getMean();
    // The following exception was thrown during execution in test generation
    try {
      double d9 = normalDistributionImpl0.cumulativeProbability(1751.8796585025225d, 100.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.19969790180335623d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 10.0d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.0d), 10.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    double d4 = normalDistributionImpl2.getMean();
    normalDistributionImpl2.setStandardDeviation(0.7999225850214973d);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = normalDistributionImpl2.cumulativeProbability(0.0d, (-0.8427007929497151d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-1.0d));

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.7999225850214973d, 0.0d, 0.2119888976872879d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.7999225850214973d);
    // The following exception was thrown during execution in test generation
    try {
      double d5 = normalDistributionImpl0.cumulativeProbability(1.0d, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8413447770361517d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 1.0d, 0.2119888976872879d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.8413447770361517d, 0.0d, 0.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d8 = normalDistributionImpl0.cumulativeProbability(359.1342053695754d, 0.2119888976872879d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-1.0d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    java.lang.Object[] obj_array2 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("", obj_array2);
    java.lang.Object[] obj_array4 = mathException3.getArguments();
    java.lang.String str5 = mathException3.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(25.746555910913887d, 0.19969790180335623d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.7999225850214973d, 359.1342053695754d);
    double d3 = normalDistributionImpl2.getMean();
    // The following exception was thrown during execution in test generation
    try {
      normalDistributionImpl2.setStandardDeviation(Double.NEGATIVE_INFINITY);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.7999225850214973d);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    // The following exception was thrown during execution in test generation
    try {
      double d4 = normalDistributionImpl0.cumulativeProbability(100.0d, 25.746555910913887d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.cumulativeProbability((-0.8427007929497151d));
    normalDistributionImpl0.setMean(10.0d);
    // The following exception was thrown during execution in test generation
    try {
      normalDistributionImpl0.setStandardDeviation(0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.19969790180335623d);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    double d1 = org.apache.commons.math.special.Erf.erf((-0.0013560785456266614d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0015301698418621374d));

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(Double.NaN, (-0.0013560785456266614d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d4 = normalDistributionImpl2.cumulativeProbability(0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    double d1 = org.apache.commons.math.special.Erf.erf(1.0000000000000056d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8427007929497174d);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d3 = normalDistributionImpl0.cumulativeProbability((-1.0d), (-1.0d));
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.getStandardDeviation();
    // The following exception was thrown during execution in test generation
    try {
      double d8 = normalDistributionImpl0.inverseCumulativeProbability((-0.8427007929497151d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(25.746555910913887d, 0.8427007929497174d, Double.NaN, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(359.1342053695754d, Double.NaN, 0.742054901043145d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(1);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-0.0013560785456266614d), Double.NaN, 0.742054901043145d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(Double.NaN, (-0.8427007929497151d), 0.4834796729980234d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, (-0.8427007929497151d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.9999995d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-0.10401020739474981d), 0.9999995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException3);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException3);
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    java.lang.String str10 = mathException9.getPattern();
    mathException5.addSuppressed((java.lang.Throwable)mathException9);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.0d), 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException(throwable0);
    java.lang.String str2 = mathException1.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(str2);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.special.Erf.erf(Double.NEGATIVE_INFINITY);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(25.746555910913887d, (-0.0013560785456266614d), 100.0d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(1.0d, 0.7999225850214973d, 0.0d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.8413447770361517d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7658911849115478d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("", obj_array14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("hi!", obj_array14, (java.lang.Throwable)mathException17);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", obj_array22);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("hi!", obj_array22, (java.lang.Throwable)mathException25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array14, (java.lang.Throwable)convergenceException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)convergenceException27);
    java.lang.Throwable throwable31 = null;
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("", throwable31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException32);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array5, (java.lang.Throwable)convergenceException33);
    java.lang.String str35 = mathException34.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.MathException: "+ "'", str35.equals("org.apache.commons.math.MathException: org.apache.commons.math.MathException: "));

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(1751.8796585025225d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 11329.12124753429d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 0.0d, 100.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-0.0013560785456266614d), 0.7999225850214973d, 0.7999225850214973d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", throwable1);
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException2);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setStandardDeviation(1751.8796585025225d);
    // The following exception was thrown during execution in test generation
    try {
      double d6 = normalDistributionImpl0.inverseCumulativeProbability(100.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    java.lang.Object[] obj_array3 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("", obj_array3);
    java.lang.Object[] obj_array5 = mathException4.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, Double.NaN, 0.841344746068543d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.8413447770361517d, 11329.12124753429d, Double.NaN, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(359.9755501155279d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1756.8296895627386d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.0d), 10.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    double d5 = normalDistributionImpl2.inverseCumulativeProbability(0.20007741497850268d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-9.413447310743813d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.5596176923702425d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-0.10401020739474981d), 1.0000000000000056d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(359.9755501155279d, (-1.0d), 0.8413447770361517d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(100.0d, 0.5058628570405063d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.6434734428101426E-188d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-0.8427007929497151d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(359.1342053695754d, 1.0000000000000056d, 0.7999225850214973d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.7999225850214973d, (-1.0d), 1.0000000000000056d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1.0000000000000056d, 10.0d, (-0.8427007929497151d), 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(11329.12124753429d, 0.8413447770361517d, Double.NEGATIVE_INFINITY, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-0.0013560785456266614d), 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(100.0d, 0.7658911849115478d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.3103482173811769E-170d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    // The following exception was thrown during execution in test generation
    try {
      double d6 = normalDistributionImpl2.cumulativeProbability(1756.8296895627386d, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    double d1 = org.apache.commons.math.special.Erf.erf(1.00000035699529d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8427009411410833d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.7999225850214973d, 359.1342053695754d);
    normalDistributionImpl2.setStandardDeviation(10.0d);
    normalDistributionImpl2.setMean(0.8413447770361517d);
    double d9 = normalDistributionImpl2.cumulativeProbability(0.0d, 0.8427009411410833d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.03357934683499325d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.2119888976872879d, 0.5058628570405063d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.12751004237903563d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.5596176923702425d, 1.3103482173811769E-170d, 0.5d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", obj_array4);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("hi!", obj_array4, (java.lang.Throwable)mathException7);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", (java.lang.Throwable)convergenceException8);
    java.lang.String str10 = convergenceException8.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str10.equals("org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.5058628570405063d, 0.0d, 0.8427009411410833d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException5);
    java.lang.Throwable[] throwable_array7 = mathException6.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException8 = new org.apache.commons.math.MaxIterationsExceededException(10, "hi!", (java.lang.Object[])throwable_array7);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException8);
    java.lang.String str10 = maxIterationsExceededException8.toString();
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)maxIterationsExceededException8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: hi!"+ "'", str10.equals("org.apache.commons.math.MaxIterationsExceededException: hi!"));

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.19969790180335623d, 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9329612469541649d);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array12 = mathException9.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array12);
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array12, (java.lang.Throwable)maxIterationsExceededException17);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", obj_array22);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("hi!", obj_array22, (java.lang.Throwable)mathException25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array12, (java.lang.Throwable)convergenceException27);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array12);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("", obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.9999995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8427005853958623d);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.20007741497850268d, Double.NaN);
    normalDistributionImpl2.setMean(0.5d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(359.9755501155279d, 0.27097296358685363d, (-0.8427008246141697d), (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException4);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException4);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", obj_array9);
    java.lang.String str11 = mathException10.getPattern();
    mathException6.addSuppressed((java.lang.Throwable)mathException10);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", (java.lang.Throwable)mathException10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.03357934683499325d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.375374108945388d);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d6 = normalDistributionImpl0.cumulativeProbability(0.0d, 0.742054901043145d);
    double d8 = normalDistributionImpl0.cumulativeProbability(0.0d);
    // The following exception was thrown during execution in test generation
    try {
      normalDistributionImpl0.setStandardDeviation((-0.0015301698418621374d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.27097296358685363d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.5d);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array1);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("", throwable2);
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException3);
    java.lang.String str5 = convergenceException4.toString();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str5.equals("org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma((-9.413447310743813d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.2119888976872879d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4624726759954174d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-1.0d), 0.5058628570405063d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException7);
    java.lang.Object[] obj_array10 = mathException7.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    int i12 = maxIterationsExceededException11.getMaxIterations();
    java.lang.Throwable[] throwable_array13 = maxIterationsExceededException11.getSuppressed();
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("hi!", (java.lang.Object[])throwable_array13, (java.lang.Throwable)convergenceException16);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 11329.12124753429d, 0.8413448324509365d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-0.10401020739474981d), 1751.8796585025225d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException7);
    java.lang.Object[] obj_array10 = mathException7.getArguments();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("hi!", obj_array10);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("", obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)convergenceException13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.cumulativeProbability((-0.8427007929497151d));
    // The following exception was thrown during execution in test generation
    try {
      double d6 = normalDistributionImpl0.cumulativeProbability(0.8427007929497174d, 0.8413448324509365d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.19969790180335623d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("");
    java.lang.String str2 = mathException1.getPattern();
    java.lang.Throwable[] throwable_array3 = mathException1.getSuppressed();
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException1);
    java.lang.String str5 = mathException1.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-0.10401020739474981d), (-1.0d), 1.6434734428101426E-188d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.7999225850214973d, 0.742054901043145d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.37718486772568516d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-9.413447310743813d), 1.4624726759954174d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 0.7658911849115478d, 1.0000000000000056d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 0.4834796729980234d, 1756.8296895627386d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException4);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException4);
    java.lang.Object[] obj_array7 = mathException4.getArguments();
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("", obj_array14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("hi!", obj_array14, (java.lang.Throwable)mathException17);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException19);
    int i21 = maxIterationsExceededException19.getMaxIterations();
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array7, (java.lang.Throwable)maxIterationsExceededException19);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException22);
    java.lang.String str24 = mathException22.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str24.equals("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.7999225850214973d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.15213439140809148d);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("", obj_array13);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("hi!", obj_array13, (java.lang.Throwable)mathException16);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)convergenceException17);
    java.lang.String str19 = convergenceException17.toString();
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException17);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException17);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException21);
    java.lang.Object[] obj_array23 = convergenceException21.getArguments();
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: hi!", obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str19.equals("org.apache.commons.math.ConvergenceException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(359.9755501155279d, 0.8427005853958623d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.500168982534911d, 1.4624726759954174d, (-0.0015301698418621374d), 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    double d1 = org.apache.commons.math.special.Erf.erf(3.375374108945388d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999981894830936d);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(1756.8296895627386d, 0.4834796729980234d, 100.0d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(100.0d, 0.8413447770361517d, (-0.8427008246141697d), 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d6 = normalDistributionImpl0.cumulativeProbability(0.0d, 0.742054901043145d);
    double d7 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.27097296358685363d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.special.Erf.erf(11329.12124753429d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MathException");

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    java.lang.Throwable[] throwable_array8 = mathException7.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException9 = new org.apache.commons.math.MaxIterationsExceededException(10, "hi!", (java.lang.Object[])throwable_array8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)maxIterationsExceededException9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("", (java.lang.Throwable)maxIterationsExceededException9);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException11);
    java.lang.String str13 = convergenceException12.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.ConvergenceException: "+ "'", str13.equals("org.apache.commons.math.ConvergenceException: "));

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(1.4624726759954174d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.12148594879691288d));

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("");
    java.lang.String str3 = mathException2.getPattern();
    java.lang.Throwable[] throwable_array4 = mathException2.getSuppressed();
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("", obj_array10);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("hi!", obj_array10, (java.lang.Throwable)mathException13);
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("", obj_array19);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("hi!", obj_array19, (java.lang.Throwable)mathException22);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("", obj_array27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array27, (java.lang.Throwable)mathException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", obj_array19, (java.lang.Throwable)convergenceException31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("hi!", obj_array10, (java.lang.Throwable)convergenceException32);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException34);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array4, (java.lang.Throwable)convergenceException34);
    java.lang.String str37 = convergenceException34.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str37.equals("org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(Double.NEGATIVE_INFINITY, 100.0d);
    normalDistributionImpl2.setStandardDeviation(0.8427007929497174d);
    normalDistributionImpl2.setMean((-656.6349403199896d));

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.7658911849115478d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.18634279061371561d);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.cumulativeProbability((-0.8427007929497151d));
    normalDistributionImpl0.setStandardDeviation(0.27097296358685363d);
    // The following exception was thrown during execution in test generation
    try {
      double d7 = normalDistributionImpl0.inverseCumulativeProbability(1.0000000000000056d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.19969790180335623d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.8427007929497174d, 0.0d, 0.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.9329612469541649d, 0.12751004237903563d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.14149806843691248d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.7999225850214973d, 359.1342053695754d);
    normalDistributionImpl2.setStandardDeviation(10.0d);
    normalDistributionImpl2.setMean(0.8413447770361517d);
    double d7 = normalDistributionImpl2.getStandardDeviation();
    // The following exception was thrown during execution in test generation
    try {
      double d10 = normalDistributionImpl2.cumulativeProbability(0.03357934683499325d, (-0.12148594879691288d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.0d);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.Throwable[] throwable_array3 = maxIterationsExceededException1.getSuppressed();
    int i4 = maxIterationsExceededException1.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.8413447770361517d, 0.742054901043145d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3981311869834955d);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.9999981894830936d, 0.8427007929497174d, 0.12751004237903563d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.44135998231265494d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    normalDistributionImpl0.setMean(0.7999225850214973d);
    double d11 = normalDistributionImpl0.inverseCumulativeProbability(0.500168982534911d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.8003461614568265d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.7658911849115478d, 1.00000035699529d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.26680537308630825d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.20007741497850268d, Double.NaN);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setMean(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException6);
    java.lang.Object[] obj_array9 = mathException6.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    int i11 = maxIterationsExceededException10.getMaxIterations();
    java.lang.Throwable[] throwable_array12 = maxIterationsExceededException10.getSuppressed();
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("hi!", (java.lang.Object[])throwable_array12, (java.lang.Throwable)convergenceException15);
    java.lang.Object[] obj_array17 = mathException16.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.9329612469541649d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)mathException9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array6);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException11);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)maxIterationsExceededException11);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException17);
    java.lang.Object[] obj_array20 = mathException17.getArguments();
    convergenceException13.addSuppressed((java.lang.Throwable)mathException17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.841344746068543d, 1.4624726759954174d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.1812540450657566d);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(1.4624726759954174d, 0.44135998231265494d, 0.20007741497850268d, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array25, (java.lang.Throwable)mathException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array8);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("", obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.27097296358685363d, 0.7999225850214973d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.10126614936222389d);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(25.746555910913887d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 57.18402859598079d);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d9 = normalDistributionImpl0.cumulativeProbability(0.7999225850214973d);
    double d12 = normalDistributionImpl0.cumulativeProbability(Double.NaN, 25.746555910913887d);
    // The following exception was thrown during execution in test generation
    try {
      normalDistributionImpl0.setStandardDeviation((-0.8427007929497151d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.4834796729980234d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 0.1900495205862412d, 1.6434734428101426E-188d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)mathException18);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", obj_array23);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array23, (java.lang.Throwable)mathException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)convergenceException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array6);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException30);
    java.lang.String str32 = convergenceException30.toString();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException35 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException35);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)maxIterationsExceededException35);
    convergenceException30.addSuppressed((java.lang.Throwable)mathException37);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str32.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-0.10401020739474981d), 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.44135998231265494d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6966082377198348d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)mathException9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array6);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (100) exceeded", obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.8427009411410833d, (-0.8427007929497151d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)mathException18);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", obj_array23);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array23, (java.lang.Throwable)mathException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)convergenceException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array6);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException30);
    java.lang.String str32 = convergenceException30.toString();
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str32.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d4 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException2 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException5);
    maxIterationsExceededException2.addSuppressed((java.lang.Throwable)mathException5);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)mathException5);
    java.lang.String str9 = convergenceException8.toString();
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException8);
    java.lang.String str11 = convergenceException10.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str9.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str11.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.8427009411410833d, 0.12751004237903563d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8235906961389694d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.19969790180335623d);
    double d10 = normalDistributionImpl0.cumulativeProbability(0.0d, 0.1900495205862412d);
    double d11 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0752924850939371d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.19969790180335623d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded");

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    java.lang.Object[] obj_array3 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("", obj_array3);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("hi!", obj_array3, (java.lang.Throwable)mathException6);
    java.lang.String str8 = mathException6.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str8.equals("org.apache.commons.math.MathException: "));

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", obj_array4);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array4, (java.lang.Throwable)convergenceException6);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("", obj_array12);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("hi!", obj_array12, (java.lang.Throwable)mathException15);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("", obj_array21);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("hi!", obj_array21, (java.lang.Throwable)mathException24);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("", obj_array29);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("hi!", obj_array29, (java.lang.Throwable)mathException32);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("hi!", obj_array21, (java.lang.Throwable)convergenceException33);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("hi!", obj_array12, (java.lang.Throwable)convergenceException34);
    java.lang.String str36 = convergenceException35.getPattern();
    convergenceException6.addSuppressed((java.lang.Throwable)convergenceException35);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (100) exceeded", (java.lang.Throwable)convergenceException35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "hi!"+ "'", str36.equals("hi!"));

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)mathException18);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", obj_array23);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array23, (java.lang.Throwable)mathException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)convergenceException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array6);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("", obj_array36);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException("hi!", obj_array36, (java.lang.Throwable)mathException39);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException39);
    java.lang.String str42 = mathException39.toString();
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", (java.lang.Throwable)mathException39);
    java.lang.String str44 = mathException43.toString();
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", (java.lang.Throwable)mathException43);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array6, (java.lang.Throwable)convergenceException45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str42 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str42.equals("org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str44 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.MathException"+ "'", str44.equals("org.apache.commons.math.MathException: org.apache.commons.math.MathException"));

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException5);
    java.lang.Object[] obj_array8 = mathException5.getArguments();
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)mathException18);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException20);
    int i22 = maxIterationsExceededException20.getMaxIterations();
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array8, (java.lang.Throwable)maxIterationsExceededException20);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 100);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.special.Erf.erf(1756.8296895627386d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP((-0.0013560785456266614d), 0.20007739078908882d, 0.8413447770361517d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException5);
    java.lang.Object[] obj_array8 = mathException5.getArguments();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException11);
    java.lang.Throwable[] throwable_array13 = mathException12.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8, (java.lang.Throwable)mathException12);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0752924850939371d, 0.7658911849115478d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.97362329841976d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.7999225850214973d);
    normalDistributionImpl0.setMean((-0.0013560785456266614d));
    normalDistributionImpl0.setMean(1.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = normalDistributionImpl0.cumulativeProbability(0.7658911849115478d, 0.26680537308630825d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8413447770361517d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, (-0.0015301698418621374d), 0.18634279061371561d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", throwable1);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.841344746068543d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.7999225850214973d);
    double d4 = normalDistributionImpl0.inverseCumulativeProbability(Double.NaN);
    normalDistributionImpl0.setMean(0.12751004237903563d);
    // The following exception was thrown during execution in test generation
    try {
      double d8 = normalDistributionImpl0.inverseCumulativeProbability(1751.8796585025225d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8413447770361517d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.9999995d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP((-0.0015301698418621374d), 0.14149806843691248d, 0.1812540450657566d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(359.9755501155279d, 0.742054901043145d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(1.6434734428101426E-188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 432.38918552781195d);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ");
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("");
    java.lang.String str4 = mathException3.getPattern();
    convergenceException1.addSuppressed((java.lang.Throwable)mathException3);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array14 = mathException11.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array14);
    int i16 = maxIterationsExceededException15.getMaxIterations();
    mathException3.addSuppressed((java.lang.Throwable)maxIterationsExceededException15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 10);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    double d6 = normalDistributionImpl2.cumulativeProbability(0.5596176923702425d, 0.8427009411410833d);
    // The following exception was thrown during execution in test generation
    try {
      double d8 = normalDistributionImpl2.inverseCumulativeProbability((-0.10401020739474981d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.8235906961389694d, 100.0d, 0.5596176923702425d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(1.3103482173811769E-170d);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = normalDistributionImpl0.inverseCumulativeProbability((-0.12148594879691288d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.8427005853958623d, 0.0752924850939371d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8841519364751589d);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    normalDistributionImpl0.setMean(0.7999225850214973d);
    double d11 = normalDistributionImpl0.inverseCumulativeProbability(0.27097296358685363d);
    normalDistributionImpl0.setMean((-0.12148594879691288d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.1900495205862412d);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.3981311869834955d, (-0.10401020739474981d), 0.0d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.0d), 10.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    double d5 = normalDistributionImpl2.inverseCumulativeProbability(0.20007741497850268d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.18634279061371561d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-9.413447310743813d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.5472174468217395d);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setStandardDeviation(1751.8796585025225d);
    double d6 = normalDistributionImpl0.cumulativeProbability(1751.8796585025225d);
    double d8 = normalDistributionImpl0.inverseCumulativeProbability(0.18634279061371561d);
    normalDistributionImpl0.setStandardDeviation(0.4773017245930811d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-1561.7203831754018d));

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    double d1 = org.apache.commons.math.special.Erf.erf((-9.413447310743813d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0000000000000093d));

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.cumulativeProbability((-0.8427007929497151d));
    normalDistributionImpl0.setMean(0.5058628570405063d);
    double d6 = normalDistributionImpl0.getStandardDeviation();
    double d7 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean(1.00000035699529d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.19969790180335623d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException6);
    java.lang.Object[] obj_array9 = mathException6.getArguments();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d8 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean(359.9755501155279d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.9999981894830936d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8427000413892123d);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1.00000035699529d, 359.9755501155279d, 0.14149806843691248d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma((-0.0015301698418621374d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.cumulativeProbability((-0.8427007929497151d));
    normalDistributionImpl0.setMean(0.5058628570405063d);
    double d6 = normalDistributionImpl0.getStandardDeviation();
    double d7 = normalDistributionImpl0.getStandardDeviation();
    // The following exception was thrown during execution in test generation
    try {
      double d10 = normalDistributionImpl0.cumulativeProbability(0.5058628570405063d, 0.18634279061371561d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.19969790180335623d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d4 = normalDistributionImpl0.cumulativeProbability(1.00000035699529d);
    double d5 = normalDistributionImpl0.getMean();
    double d6 = normalDistributionImpl0.getStandardDeviation();
    double d8 = normalDistributionImpl0.inverseCumulativeProbability(0.1900495205862412d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.8413448324509365d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-0.8777138773315375d));

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    java.lang.Object[] obj_array1 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array25, (java.lang.Throwable)mathException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException30);
    java.lang.String str33 = convergenceException30.toString();
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array1, (java.lang.Throwable)convergenceException30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str33.equals("org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(1756.8296895627386d, 0.5472174468217395d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d3 = normalDistributionImpl0.getMean();
    // The following exception was thrown during execution in test generation
    try {
      double d5 = normalDistributionImpl0.inverseCumulativeProbability((-656.6349403199896d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.4834796729980234d, 0.0d, 0.5d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(11329.12124753429d, 0.8413447770361517d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.742054901043145d, 0.8413448324509365d, 0.8003461614568265d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.3868548169018363d);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.19969790180335623d);
    double d8 = normalDistributionImpl0.getMean();
    // The following exception was thrown during execution in test generation
    try {
      double d10 = normalDistributionImpl0.inverseCumulativeProbability((-81.15865472296385d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.19969790180335623d);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setStandardDeviation(Double.NaN);
    normalDistributionImpl0.setMean(1.0d);
    double d9 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d11 = normalDistributionImpl0.inverseCumulativeProbability(0.7999225850214973d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(1751.8796585025225d, 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.10126614936222389d, 0.1812540450657566d);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.5058628570405063d);
    double d8 = normalDistributionImpl2.getMean();
    double d9 = normalDistributionImpl2.getStandardDeviation();
    // The following exception was thrown during execution in test generation
    try {
      double d12 = normalDistributionImpl2.cumulativeProbability(360.3947203428477d, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.841344746068543d);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException6);
    java.lang.Object[] obj_array9 = mathException6.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array9, (java.lang.Throwable)maxIterationsExceededException14);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException14);
    java.lang.String str17 = convergenceException16.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + ""+ "'", str17.equals(""));

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (100) exceeded");

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.9999981894830936d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0450614160717464E-6d);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    org.apache.commons.math.ConvergenceException convergenceException0 = new org.apache.commons.math.ConvergenceException();
    java.lang.Object[] obj_array1 = convergenceException0.getArguments();
    java.lang.String str2 = convergenceException0.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Convergence failed"+ "'", str2.equals("Convergence failed"));

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(1.0000002290142125d, 0.97362329841976d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6222879073739342d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(1.3103482173811769E-170d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 391.1691728923024d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException7);
    java.lang.Object[] obj_array10 = mathException7.getArguments();
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException22 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array17);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException22);
    int i24 = maxIterationsExceededException22.getMaxIterations();
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array10, (java.lang.Throwable)maxIterationsExceededException22);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException", obj_array10);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException27);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)convergenceException29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 100);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.5058628570405063d);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = normalDistributionImpl2.inverseCumulativeProbability((-0.8427007929497151d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("", throwable2);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)mathException3);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException3);
    java.lang.Object[] obj_array8 = null;
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)convergenceException9);
    mathException5.addSuppressed((java.lang.Throwable)mathException10);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException10);
    java.lang.String str13 = mathException10.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "hi!"+ "'", str13.equals("hi!"));

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded");

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(1.0000000000000056d, 0.3868548169018363d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3208103053669315d);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d3 = normalDistributionImpl0.cumulativeProbability((-1.0d), (-1.0d));
    normalDistributionImpl0.setStandardDeviation(0.8427009411410833d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.7999225850214973d);
    normalDistributionImpl0.setMean((-0.0013560785456266614d));
    double d6 = normalDistributionImpl0.inverseCumulativeProbability(0.3868548169018363d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8413447770361517d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-0.28888209727734576d));

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array25, (java.lang.Throwable)mathException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException32);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)mathException33);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException34);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", (java.lang.Throwable)mathException35);
    java.lang.Object[] obj_array40 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("", obj_array40);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException("hi!", obj_array40, (java.lang.Throwable)mathException43);
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException43);
    mathException35.addSuppressed((java.lang.Throwable)mathException43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.0d), 10.0d);
    normalDistributionImpl2.setMean(1751.8796585025225d);
    double d6 = normalDistributionImpl2.cumulativeProbability(0.841344746068543d);
    // The following exception was thrown during execution in test generation
    try {
      normalDistributionImpl2.setStandardDeviation((-656.6349403199896d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(432.38918552781195d, 1.4624726759954174d, 1756.8296895627386d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException4);
    java.lang.Throwable[] throwable_array6 = mathException5.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(10, "hi!", (java.lang.Object[])throwable_array6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException7);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException9);
    java.lang.Throwable[] throwable_array11 = convergenceException9.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    double d1 = org.apache.commons.math.special.Erf.erf((-0.12148594879691288d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.13641079793128386d));

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)mathException18);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", obj_array23);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array23, (java.lang.Throwable)mathException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)convergenceException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array6);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", (java.lang.Throwable)convergenceException30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException6);
    java.lang.Object[] obj_array9 = mathException6.getArguments();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("", obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.19969790180335623d, 1.0000000000000056d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.05228928432370872d);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: hi!");

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.inverseCumulativeProbability(0.19969790180335623d);
    double d6 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-0.8427008246141697d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(1751.8796585025225d, 0.1812540450657566d);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.8413448324509365d, 0.32045721550742096d, 0.0d, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d6 = normalDistributionImpl0.cumulativeProbability(0.0d, 0.742054901043145d);
    double d8 = normalDistributionImpl0.cumulativeProbability(0.0d);
    double d9 = normalDistributionImpl0.getMean();
    double d11 = normalDistributionImpl0.cumulativeProbability(1.6434734428101426E-188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.27097296358685363d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.5d);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(1.6653345369377348E-15d, 0.0d, 391.1691728923024d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 0.7999225850214973d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.8427007929497174d, 1.6434734428101426E-188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d9 = normalDistributionImpl0.cumulativeProbability(0.7999225850214973d);
    double d10 = normalDistributionImpl0.getStandardDeviation();
    double d11 = normalDistributionImpl0.getStandardDeviation();
    double d12 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.4834796729980234d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.841344746068543d);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException2);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException3);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.7999225850214973d);
    double d3 = normalDistributionImpl0.getMean();
    // The following exception was thrown during execution in test generation
    try {
      double d6 = normalDistributionImpl0.cumulativeProbability(100.0d, 0.14149806843691248d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8413447770361517d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.37718486772568516d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8570762719149951d);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma((-1561.7203831754018d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.5472174468217395d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.48487756382425307d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 0.26680537308630825d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    double d7 = normalDistributionImpl2.inverseCumulativeProbability(0.841344746068543d);
    double d8 = normalDistributionImpl2.getMean();
    double d10 = normalDistributionImpl2.cumulativeProbability(0.9999995d);
    double d11 = normalDistributionImpl2.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 359.9755501155279d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.841344746068543d);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException4);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException4);
    java.lang.Object[] obj_array7 = mathException4.getArguments();
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("", obj_array14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("hi!", obj_array14, (java.lang.Throwable)mathException17);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException19);
    int i21 = maxIterationsExceededException19.getMaxIterations();
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array7, (java.lang.Throwable)maxIterationsExceededException19);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException22);
    java.lang.String str24 = mathException22.getPattern();
    java.lang.Object[] obj_array25 = mathException22.getArguments();
    java.lang.Throwable throwable26 = null;
    // The following exception was thrown during execution in test generation
    try {
      mathException22.addSuppressed(throwable26);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str24.equals("org.apache.commons.math.ConvergenceException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(1.00000035699529d, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-1.0000000000000093d), 0.03357934683499325d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.4834796729980234d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.605489133290154d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    java.lang.Object[] obj_array3 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("", obj_array3);
    java.lang.Object[] obj_array5 = mathException4.getArguments();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException8);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException12);
    convergenceException9.addSuppressed((java.lang.Throwable)mathException12);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array5, (java.lang.Throwable)convergenceException9);
    java.lang.String str16 = mathException15.toString();
    java.lang.String str17 = mathException15.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str16.equals("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str17.equals("org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.5058628570405063d, (-0.13641079793128386d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)mathException12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array9);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException22);
    java.lang.Object[] obj_array25 = mathException22.getArguments();
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException28);
    java.lang.Throwable[] throwable_array30 = mathException29.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array25, (java.lang.Throwable)mathException29);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException31);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array17, (java.lang.Throwable)mathException32);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9, (java.lang.Throwable)mathException32);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException32);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException32);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (100) exceeded", (java.lang.Throwable)mathException32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array30);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    double d6 = normalDistributionImpl2.cumulativeProbability(0.5596176923702425d, 0.8427009411410833d);
    // The following exception was thrown during execution in test generation
    try {
      normalDistributionImpl2.setStandardDeviation(0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    // The following exception was thrown during execution in test generation
    try {
      double d8 = normalDistributionImpl2.cumulativeProbability(0.20007739078908882d, 0.1812540450657566d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException6);
    java.lang.Object[] obj_array9 = mathException6.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    int i11 = maxIterationsExceededException10.getMaxIterations();
    java.lang.Throwable[] throwable_array12 = maxIterationsExceededException10.getSuppressed();
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", obj_array26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array26, (java.lang.Throwable)mathException29);
    java.lang.Object[] obj_array34 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("", obj_array34);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException("hi!", obj_array34, (java.lang.Throwable)mathException37);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException("hi!", obj_array26, (java.lang.Throwable)convergenceException38);
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)convergenceException39);
    java.lang.String str41 = convergenceException40.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", (java.lang.Object[])throwable_array12, (java.lang.Throwable)convergenceException40);
    java.lang.String str43 = convergenceException42.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "hi!"+ "'", str41.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str43.equals("Maximal number of iterations ({0}) exceeded"));

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.0d), 10.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    double d5 = normalDistributionImpl2.inverseCumulativeProbability(0.20007741497850268d);
    double d8 = normalDistributionImpl2.cumulativeProbability(0.0d, 1.4624726759954174d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-9.413447310743813d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.05742674895019262d);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.20007739078908882d, 0.05742674895019262d, 0.46045407053534115d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.8427005853958623d, 1.0450614160717464E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999903344963721d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("", obj_array13);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("hi!", obj_array13, (java.lang.Throwable)mathException16);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)convergenceException17);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException18);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException19);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("", obj_array27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array27, (java.lang.Throwable)mathException30);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("", obj_array36);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException("hi!", obj_array36, (java.lang.Throwable)mathException39);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException("", obj_array44);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException("hi!", obj_array44, (java.lang.Throwable)mathException47);
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException("hi!", obj_array36, (java.lang.Throwable)convergenceException48);
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException("hi!", obj_array27, (java.lang.Throwable)convergenceException49);
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array27);
    java.lang.Object[] obj_array54 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException55 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array54);
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException("", obj_array27, (java.lang.Throwable)maxIterationsExceededException55);
    convergenceException19.addSuppressed((java.lang.Throwable)maxIterationsExceededException55);
    int i58 = maxIterationsExceededException55.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == (-1));

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.32045721550742096d, 1.0000000000000007d, 358.7417848012602d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1754.742849854119d, 359.9755501155279d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: hi!");
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException4);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException5);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException8 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException8);
    convergenceException5.addSuppressed((java.lang.Throwable)maxIterationsExceededException8);
    mathException1.addSuppressed((java.lang.Throwable)convergenceException5);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(1751.8796585025225d, 0.3868548169018363d);
    // The following exception was thrown during execution in test generation
    try {
      double d4 = normalDistributionImpl2.inverseCumulativeProbability(10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException7);
    java.lang.Object[] obj_array10 = mathException7.getArguments();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException13);
    java.lang.Throwable[] throwable_array15 = mathException14.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array10, (java.lang.Throwable)mathException14);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("", obj_array20);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("hi!", obj_array20, (java.lang.Throwable)mathException23);
    java.lang.String str25 = convergenceException24.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", obj_array10, (java.lang.Throwable)convergenceException24);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("Convergence failed", obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "hi!"+ "'", str25.equals("hi!"));

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("", obj_array14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("hi!", obj_array14, (java.lang.Throwable)mathException17);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)convergenceException18);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("", obj_array6);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException27);
    java.lang.Throwable[] throwable_array29 = mathException28.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException30 = new org.apache.commons.math.MaxIterationsExceededException(10, "hi!", (java.lang.Object[])throwable_array29);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)maxIterationsExceededException30);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("", (java.lang.Throwable)maxIterationsExceededException30);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException32);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array6, (java.lang.Throwable)mathException32);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException37);
    mathException34.addSuppressed((java.lang.Throwable)mathException37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("", obj_array14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("hi!", obj_array14, (java.lang.Throwable)mathException17);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", obj_array22);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("hi!", obj_array22, (java.lang.Throwable)mathException25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array14, (java.lang.Throwable)convergenceException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)convergenceException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array5);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException29);
    java.lang.Throwable[] throwable_array31 = mathException30.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array31);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!");

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: hi!");

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.8235906961389694d, 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6520197163006284d);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 0.20007741497850268d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ConvergenceException: ", obj_array2);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)mathException12);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("", obj_array18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)mathException21);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", obj_array26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array26, (java.lang.Throwable)mathException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)convergenceException31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException", (java.lang.Throwable)mathException34);
    java.lang.Object[] obj_array36 = mathException34.getArguments();
    java.lang.Object[] obj_array42 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException("", obj_array42);
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException("hi!", obj_array42, (java.lang.Throwable)mathException45);
    java.lang.Object[] obj_array51 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException("", obj_array51);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException("hi!", obj_array51, (java.lang.Throwable)mathException54);
    java.lang.Object[] obj_array59 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException("", obj_array59);
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException63 = new org.apache.commons.math.ConvergenceException("hi!", obj_array59, (java.lang.Throwable)mathException62);
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException("hi!", obj_array51, (java.lang.Throwable)convergenceException63);
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException("hi!", obj_array42, (java.lang.Throwable)convergenceException64);
    org.apache.commons.math.ConvergenceException convergenceException66 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array42);
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException66);
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException73 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException72);
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException72);
    java.lang.Object[] obj_array75 = mathException72.getArguments();
    java.lang.Object[] obj_array82 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException83 = new org.apache.commons.math.MathException("", obj_array82);
    org.apache.commons.math.MathException mathException85 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException86 = new org.apache.commons.math.ConvergenceException("hi!", obj_array82, (java.lang.Throwable)mathException85);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException87 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array82);
    org.apache.commons.math.ConvergenceException convergenceException88 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException87);
    int i89 = maxIterationsExceededException87.getMaxIterations();
    org.apache.commons.math.MathException mathException90 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array75, (java.lang.Throwable)maxIterationsExceededException87);
    convergenceException66.addSuppressed((java.lang.Throwable)maxIterationsExceededException87);
    org.apache.commons.math.ConvergenceException convergenceException92 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array36, (java.lang.Throwable)convergenceException66);
    java.lang.Throwable throwable93 = null;
    org.apache.commons.math.ConvergenceException convergenceException94 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: hi!", obj_array36, throwable93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i89 == 100);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)mathException10);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", obj_array16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("hi!", obj_array16, (java.lang.Throwable)mathException19);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", obj_array24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array24, (java.lang.Throwable)mathException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array16, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array7);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException31);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException32);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException33);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", (java.lang.Throwable)mathException33);
    java.lang.String str36 = mathException33.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str36.equals("org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.8427000413892123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.766643783778611d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array11 = mathException8.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("hi!", obj_array11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("", obj_array11);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MathException: org.apache.commons.math.MathException", obj_array11);
    int i16 = maxIterationsExceededException15.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 100);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MathException", throwable1);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException1);
    java.lang.Object[] obj_array3 = maxIterationsExceededException1.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.7999225850214973d, 359.1342053695754d);
    normalDistributionImpl2.setStandardDeviation(10.0d);
    normalDistributionImpl2.setStandardDeviation(0.48487756382425307d);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.19969790180335623d);
    normalDistributionImpl0.setMean(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)mathException10);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", obj_array16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("hi!", obj_array16, (java.lang.Throwable)mathException19);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", obj_array24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array24, (java.lang.Throwable)mathException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array16, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array7);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array7);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException", (java.lang.Throwable)mathException32);
    java.lang.Object[] obj_array34 = mathException32.getArguments();
    java.lang.Throwable[] throwable_array35 = mathException32.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 0.48487756382425307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    java.lang.Throwable[] throwable_array8 = mathException7.getSuppressed();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", (java.lang.Object[])throwable_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.MaxIterationsExceededException: hi!", (java.lang.Object[])throwable_array8);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", obj_array15);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("", obj_array20);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("hi!", obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", obj_array15, (java.lang.Throwable)mathException22);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException23);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array8, (java.lang.Throwable)convergenceException24);
    java.lang.String str26 = mathException25.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + ""+ "'", str26.equals(""));

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(1.4624726759954174d, 0.3981311869834955d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.15938761360816545d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.1900495205862412d, 0.579289981766467d, 1.00000035699529d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-0.8777138773315375d), (-0.8427007929497151d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", obj_array4);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("hi!", obj_array4, (java.lang.Throwable)mathException7);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("", obj_array13);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("hi!", obj_array13, (java.lang.Throwable)mathException16);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("", obj_array21);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("hi!", obj_array21, (java.lang.Throwable)mathException24);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("hi!", obj_array13, (java.lang.Throwable)convergenceException25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array4, (java.lang.Throwable)convergenceException26);
    java.lang.String str28 = convergenceException27.getPattern();
    java.lang.String str29 = convergenceException27.toString();
    java.lang.String str30 = convergenceException27.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "hi!"+ "'", str28.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str29.equals("org.apache.commons.math.ConvergenceException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "hi!"+ "'", str30.equals("hi!"));

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(1756.8296895627386d, 1.00000035699529d);
    double d4 = normalDistributionImpl2.inverseCumulativeProbability(0.018451351414325246d);
    double d5 = normalDistributionImpl2.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1754.742849854119d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.00000035699529d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.0d), 10.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    double d5 = normalDistributionImpl2.inverseCumulativeProbability(0.20007741497850268d);
    normalDistributionImpl2.setStandardDeviation(10.0d);
    double d8 = normalDistributionImpl2.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-9.413447310743813d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 10.0d);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array11 = mathException8.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array11);
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array11, (java.lang.Throwable)maxIterationsExceededException16);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException23);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException23);
    java.lang.Object[] obj_array26 = mathException23.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException27 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array26);
    int i28 = maxIterationsExceededException27.getMaxIterations();
    java.lang.Throwable[] throwable_array29 = maxIterationsExceededException27.getSuppressed();
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array11, (java.lang.Throwable)maxIterationsExceededException27);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array12 = mathException9.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array12);
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array12, (java.lang.Throwable)maxIterationsExceededException17);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", obj_array22);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("hi!", obj_array22, (java.lang.Throwable)mathException25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array12, (java.lang.Throwable)convergenceException27);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array12);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array12);
    java.lang.Throwable throwable33 = null;
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("", throwable33);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException34);
    java.lang.Throwable[] throwable_array36 = convergenceException35.getSuppressed();
    java.lang.Object[] obj_array37 = convergenceException35.getArguments();
    convergenceException30.addSuppressed((java.lang.Throwable)convergenceException35);
    java.lang.String str39 = convergenceException35.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str39.equals("org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException13);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException13);
    java.lang.Object[] obj_array16 = mathException13.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array16);
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array16, (java.lang.Throwable)maxIterationsExceededException21);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", obj_array26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array26, (java.lang.Throwable)mathException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException29);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array16, (java.lang.Throwable)convergenceException31);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException35 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (100) exceeded", obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array16);
    java.lang.Object[] obj_array43 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException("", obj_array43);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException("hi!", obj_array43, (java.lang.Throwable)mathException46);
    java.lang.Object[] obj_array52 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException("", obj_array52);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException("hi!", obj_array52, (java.lang.Throwable)mathException55);
    java.lang.Object[] obj_array60 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException("", obj_array60);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException("hi!", obj_array60, (java.lang.Throwable)mathException63);
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException("hi!", obj_array52, (java.lang.Throwable)convergenceException64);
    org.apache.commons.math.ConvergenceException convergenceException66 = new org.apache.commons.math.ConvergenceException("hi!", obj_array43, (java.lang.Throwable)convergenceException65);
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array43);
    java.lang.Object[] obj_array70 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException71 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array70);
    org.apache.commons.math.ConvergenceException convergenceException72 = new org.apache.commons.math.ConvergenceException("", obj_array43, (java.lang.Throwable)maxIterationsExceededException71);
    java.lang.String str73 = convergenceException72.toString();
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array16, (java.lang.Throwable)convergenceException72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str73 + "' != '" + "org.apache.commons.math.ConvergenceException: "+ "'", str73.equals("org.apache.commons.math.ConvergenceException: "));

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("");
    java.lang.String str5 = mathException4.getPattern();
    java.lang.Throwable[] throwable_array6 = mathException4.getSuppressed();
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("", obj_array12);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("hi!", obj_array12, (java.lang.Throwable)mathException15);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("", obj_array21);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("hi!", obj_array21, (java.lang.Throwable)mathException24);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("", obj_array29);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("hi!", obj_array29, (java.lang.Throwable)mathException32);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("hi!", obj_array21, (java.lang.Throwable)convergenceException33);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("hi!", obj_array12, (java.lang.Throwable)convergenceException34);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array12);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException36);
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array6, (java.lang.Throwable)convergenceException36);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array6);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException42 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException42);
    java.lang.Throwable[] throwable_array44 = maxIterationsExceededException42.getSuppressed();
    java.lang.Object[] obj_array53 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException("", obj_array53);
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException57 = new org.apache.commons.math.ConvergenceException("hi!", obj_array53, (java.lang.Throwable)mathException56);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException58 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array53);
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array53);
    java.lang.Object[] obj_array61 = null;
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException66);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException66);
    java.lang.Object[] obj_array69 = mathException66.getArguments();
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException73 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException72);
    java.lang.Throwable[] throwable_array74 = mathException73.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException75 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array69, (java.lang.Throwable)mathException73);
    org.apache.commons.math.MathException mathException76 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException75);
    org.apache.commons.math.MathException mathException77 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array61, (java.lang.Throwable)mathException76);
    org.apache.commons.math.ConvergenceException convergenceException78 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array53, (java.lang.Throwable)mathException76);
    org.apache.commons.math.MathException mathException79 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException76);
    org.apache.commons.math.ConvergenceException convergenceException80 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array44, (java.lang.Throwable)mathException79);
    org.apache.commons.math.ConvergenceException convergenceException81 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array6, (java.lang.Throwable)convergenceException80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array74);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d3 = normalDistributionImpl0.cumulativeProbability((-1.0d), (-1.0d));
    normalDistributionImpl0.setMean(Double.NaN);
    // The following exception was thrown during execution in test generation
    try {
      double d7 = normalDistributionImpl0.inverseCumulativeProbability(0.500168982534911d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.27097296358685363d, 0.15938761360816545d, (-0.13641079793128386d), 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.018451351414325246d, 359.1342053695754d, (-0.0013560785456266614d), 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.0752924850939371d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.084798202271244d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(10.0d, 0.8841519364751589d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.611146460314862E-8d);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(Double.NaN, 0.17277561905771788d);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.8427007929497174d, 359.1342053695754d);
    // The following exception was thrown during execution in test generation
    try {
      double d5 = normalDistributionImpl2.cumulativeProbability(0.8003461614568265d, 0.6520197163006284d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", obj_array1);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.084798202271244d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.4242170456061403d);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.579289981766467d, 432.38918552781195d, 0.46045407053534115d, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1.6653345369377348E-15d, 0.5058628570405063d, 0.0d, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }


    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException", (java.lang.Throwable)mathException2);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException2);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException2);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d10 = normalDistributionImpl0.cumulativeProbability(Double.NaN, (-0.8427007929497151d));
    double d11 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean((-0.0013560785456266614d));
    double d14 = normalDistributionImpl0.getMean();
    // The following exception was thrown during execution in test generation
    try {
      normalDistributionImpl0.setStandardDeviation((-81.15865472296385d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == (-0.0013560785456266614d));

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException3);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException4);
    java.lang.Object[] obj_array6 = convergenceException4.getArguments();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: hi!", obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.27097296358685363d, (-1.0000000000000093d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(1.4624726759954174d, 358.7417848012602d, 0.20007739078908882d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.27097296358685363d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.29843863477669813d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.5058628570405063d);
    double d8 = normalDistributionImpl2.getMean();
    double d9 = normalDistributionImpl2.getStandardDeviation();
    double d11 = normalDistributionImpl2.cumulativeProbability(0.7658911849115478d);
    double d12 = normalDistributionImpl2.getMean();
    // The following exception was thrown during execution in test generation
    try {
      double d14 = normalDistributionImpl2.inverseCumulativeProbability(358.7417848012602d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 359.1342053695754d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array25, (java.lang.Throwable)mathException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("", obj_array8);
    java.lang.Throwable throwable34 = null;
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", obj_array8, throwable34);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("", obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.605489133290154d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6081631309242475d);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array12 = mathException9.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array12);
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array12, (java.lang.Throwable)maxIterationsExceededException17);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException24);
    java.lang.Object[] obj_array27 = mathException24.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array27);
    int i29 = maxIterationsExceededException28.getMaxIterations();
    java.lang.Throwable[] throwable_array30 = maxIterationsExceededException28.getSuppressed();
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array12, (java.lang.Throwable)maxIterationsExceededException28);
    java.lang.Object[] obj_array38 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("", obj_array38);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException("hi!", obj_array38, (java.lang.Throwable)mathException41);
    java.lang.Object[] obj_array46 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("", obj_array46);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException("hi!", obj_array46, (java.lang.Throwable)mathException49);
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException("hi!", obj_array38, (java.lang.Throwable)convergenceException50);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException51);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException52);
    java.lang.String str54 = mathException53.getPattern();
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException53);
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array12, (java.lang.Throwable)mathException55);
    org.apache.commons.math.ConvergenceException convergenceException57 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array12);
    java.lang.String str58 = convergenceException57.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str54 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str54.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str58 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str58.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!");
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException1);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    java.lang.Object[] obj_array1 = null;
    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", throwable3);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("hi!", obj_array1, throwable3);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.1900495205862412d, 0.97362329841976d);
    double d5 = normalDistributionImpl2.cumulativeProbability(0.1812540450657566d, 0.9329612469541649d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.28088357797469427d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.9999995d, 1.0000000000000007d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.36787922530658235d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setStandardDeviation(Double.NaN);
    normalDistributionImpl0.setMean(1751.8796585025225d);
    double d10 = normalDistributionImpl0.cumulativeProbability((-0.0013560785456266614d), (-0.0013560785456266614d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(1.0000002290142125d, 358.7417848012602d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException7);
    java.lang.Object[] obj_array10 = mathException7.getArguments();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("hi!", obj_array10);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("", obj_array10);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { convergenceException13 };
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", obj_array22);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("hi!", obj_array22, (java.lang.Throwable)mathException25);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException27 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array22);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException27);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14, (java.lang.Throwable)convergenceException28);
    java.lang.Throwable[] throwable_array31 = convergenceException28.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array31);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.MathException: ");

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.8427007929497174d, 359.1342053695754d);
    double d3 = normalDistributionImpl2.getMean();
    // The following exception was thrown during execution in test generation
    try {
      double d6 = normalDistributionImpl2.cumulativeProbability(0.15213439140809148d, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.8427007929497174d);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setStandardDeviation(1751.8796585025225d);
    double d6 = normalDistributionImpl0.inverseCumulativeProbability(0.5058628570405063d);
    double d7 = normalDistributionImpl0.getStandardDeviation();
    double d8 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 25.746555910913887d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1751.8796585025225d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("", throwable3);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException4);
    java.lang.Throwable[] throwable_array6 = convergenceException5.getSuppressed();
    java.lang.Object[] obj_array7 = convergenceException5.getArguments();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array7, (java.lang.Throwable)mathException8);
    java.lang.String str10 = mathException9.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str10.equals("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException3);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException3);
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    java.lang.String str10 = mathException9.getPattern();
    mathException5.addSuppressed((java.lang.Throwable)mathException9);
    java.lang.String str12 = mathException5.toString();
    java.lang.String str13 = mathException5.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str12.equals("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str13.equals("org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.4752364971106908d, 0.1900495205862412d, Double.NEGATIVE_INFINITY, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.9999995d, 0.18634279061371561d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.1700111489996042d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.cumulativeProbability((-0.8427007929497151d));
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d7 = normalDistributionImpl0.cumulativeProbability(0.0d);
    double d8 = normalDistributionImpl0.getStandardDeviation();
    double d10 = normalDistributionImpl0.cumulativeProbability(0.8427005853958623d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.19969790180335623d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.20007741497850268d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.5005409014673755d);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5204998778130466d);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException4);
    java.lang.Throwable[] throwable_array6 = mathException5.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException8 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array6, (java.lang.Throwable)maxIterationsExceededException8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.5058628570405063d);
    double d8 = normalDistributionImpl2.getMean();
    double d9 = normalDistributionImpl2.getStandardDeviation();
    double d11 = normalDistributionImpl2.cumulativeProbability(0.7658911849115478d);
    double d13 = normalDistributionImpl2.cumulativeProbability(0.44135998231265494d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException5);
    java.lang.Object[] obj_array8 = mathException5.getArguments();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException11);
    java.lang.Throwable[] throwable_array13 = mathException12.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8, (java.lang.Throwable)mathException12);
    java.lang.Object[] obj_array15 = mathException12.getArguments();
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (100) exceeded", throwable1);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)mathException18);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", obj_array23);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array23, (java.lang.Throwable)mathException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)convergenceException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array6);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException30);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException36);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException36);
    java.lang.Object[] obj_array39 = mathException36.getArguments();
    java.lang.Object[] obj_array46 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("", obj_array46);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException("hi!", obj_array46, (java.lang.Throwable)mathException49);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException51 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array46);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException51);
    int i53 = maxIterationsExceededException51.getMaxIterations();
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array39, (java.lang.Throwable)maxIterationsExceededException51);
    convergenceException30.addSuppressed((java.lang.Throwable)maxIterationsExceededException51);
    int i56 = maxIterationsExceededException51.getMaxIterations();
    java.lang.String str57 = maxIterationsExceededException51.getPattern();
    java.lang.Throwable[] throwable_array58 = maxIterationsExceededException51.getSuppressed();
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "hi!"+ "'", str57.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array58);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.683426358457353d, 0.05228928432370872d, 0.17277561905771788d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.7999225850214973d, 359.1342053695754d);
    normalDistributionImpl2.setStandardDeviation(10.0d);
    normalDistributionImpl2.setMean(0.8413447770361517d);
    double d8 = normalDistributionImpl2.inverseCumulativeProbability(1.3103482173811769E-170d);
    double d9 = normalDistributionImpl2.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-81.15865472296385d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 10.0d);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.018451351414325246d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.020817758028864413d);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)mathException12);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("", obj_array18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)mathException21);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", obj_array26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array26, (java.lang.Throwable)mathException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)convergenceException31);
    java.lang.Throwable throwable35 = null;
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("", throwable35);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException36);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array9, (java.lang.Throwable)convergenceException37);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (100) exceeded", obj_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException41 = new org.apache.commons.math.MaxIterationsExceededException((-1), "Convergence failed", obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException");
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)mathException2);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array25, (java.lang.Throwable)mathException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    java.lang.Object[] obj_array35 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException36 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array35);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException("", obj_array8, (java.lang.Throwable)maxIterationsExceededException36);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("", obj_array8);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException("", obj_array44);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException("hi!", obj_array44, (java.lang.Throwable)mathException47);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException49 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException49);
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array8, (java.lang.Throwable)convergenceException50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array11 = mathException8.getArguments();
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException14);
    java.lang.Throwable[] throwable_array16 = mathException15.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array11, (java.lang.Throwable)mathException15);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("", obj_array21);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("hi!", obj_array21, (java.lang.Throwable)mathException24);
    java.lang.String str26 = convergenceException25.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", obj_array11, (java.lang.Throwable)convergenceException25);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array11);
    java.lang.Throwable throwable31 = null;
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("", throwable31);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)mathException32);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", obj_array11, (java.lang.Throwable)mathException33);
    java.lang.Throwable throwable35 = null;
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array11, throwable35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "hi!"+ "'", str26.equals("hi!"));

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException7);
    java.lang.Object[] obj_array10 = mathException7.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array10, (java.lang.Throwable)maxIterationsExceededException15);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException22);
    java.lang.Object[] obj_array25 = mathException22.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException26 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array25);
    int i27 = maxIterationsExceededException26.getMaxIterations();
    java.lang.Throwable[] throwable_array28 = maxIterationsExceededException26.getSuppressed();
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array10, (java.lang.Throwable)maxIterationsExceededException26);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array28);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array11 = mathException8.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array11);
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array11, (java.lang.Throwable)maxIterationsExceededException16);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException23);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException23);
    java.lang.Object[] obj_array26 = mathException23.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException27 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array26);
    int i28 = maxIterationsExceededException27.getMaxIterations();
    java.lang.Throwable[] throwable_array29 = maxIterationsExceededException27.getSuppressed();
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array11, (java.lang.Throwable)maxIterationsExceededException27);
    int i31 = maxIterationsExceededException27.getMaxIterations();
    java.lang.String str32 = maxIterationsExceededException27.toString();
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)maxIterationsExceededException27);
    int i34 = maxIterationsExceededException27.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str32 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str32.equals("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 10);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    java.lang.Object[] obj_array2 = null;
    java.lang.Object[] obj_array4 = null;
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array12 = mathException9.getArguments();
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException15);
    java.lang.Throwable[] throwable_array17 = mathException16.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array12, (java.lang.Throwable)mathException16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException18);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array4, (java.lang.Throwable)mathException19);
    java.lang.Object[] obj_array21 = mathException19.getArguments();
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array2, (java.lang.Throwable)mathException19);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d9 = normalDistributionImpl0.cumulativeProbability(0.7999225850214973d);
    double d12 = normalDistributionImpl0.cumulativeProbability(Double.NaN, 25.746555910913887d);
    double d14 = normalDistributionImpl0.cumulativeProbability(0.742054901043145d);
    double d15 = normalDistributionImpl0.getMean();
    double d16 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.4834796729980234d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.46045407053534115d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.841344746068543d);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.27097296358685363d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2029553297494835d);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", obj_array4);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(100, "", obj_array4);
    int i7 = maxIterationsExceededException6.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 100);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(25.746555910913887d, 0.14149806843691248d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)mathException18);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", obj_array23);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array23, (java.lang.Throwable)mathException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)convergenceException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("", (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)mathException30);
    java.lang.Throwable throwable32 = null;
    // The following exception was thrown during execution in test generation
    try {
      convergenceException31.addSuppressed(throwable32);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)mathException10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array7);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array7);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("", obj_array18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)mathException21);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException21);
    java.lang.String str24 = mathException21.toString();
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", (java.lang.Throwable)mathException21);
    java.lang.String str26 = mathException25.toString();
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", obj_array7, (java.lang.Throwable)mathException25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str24.equals("org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.MathException"+ "'", str26.equals("org.apache.commons.math.MathException: org.apache.commons.math.MathException"));

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("", obj_array14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("hi!", obj_array14, (java.lang.Throwable)mathException17);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", obj_array22);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("hi!", obj_array22, (java.lang.Throwable)mathException25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array14, (java.lang.Throwable)convergenceException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)convergenceException27);
    java.lang.Throwable[] throwable_array29 = convergenceException28.getSuppressed();
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!");
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: hi!", (java.lang.Throwable)convergenceException2);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException4);
    java.lang.Throwable[] throwable_array6 = mathException5.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(10, "hi!", (java.lang.Object[])throwable_array6);
    int i8 = maxIterationsExceededException7.getMaxIterations();
    int i9 = maxIterationsExceededException7.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 10);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.3981311869834955d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4265940723174745d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException6);
    java.lang.Object[] obj_array9 = mathException6.getArguments();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP((-1016.4733086401367d), 0.6520197163006284d, 0.9999981894830936d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(391.1691728923024d, 1.3103482173811769E-170d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.7999225850214973d);
    double d4 = normalDistributionImpl0.inverseCumulativeProbability(Double.NaN);
    double d6 = normalDistributionImpl0.cumulativeProbability(0.05228928432370872d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8413447770361517d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.9999995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.5208509042457623d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException4 = new org.apache.commons.math.MaxIterationsExceededException((-1));
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    maxIterationsExceededException4.addSuppressed((java.lang.Throwable)mathException7);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)mathException7);
    java.lang.String str11 = convergenceException10.toString();
    java.lang.Throwable[] throwable_array12 = convergenceException10.getSuppressed();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array1, (java.lang.Throwable)convergenceException10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str11.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.inverseCumulativeProbability(0.19969790180335623d);
    normalDistributionImpl0.setStandardDeviation(358.7417848012602d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-0.8427008246141697d));

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.19969790180335623d);
    // The following exception was thrown during execution in test generation
    try {
      normalDistributionImpl0.setStandardDeviation((-0.13641079793128386d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d6 = normalDistributionImpl0.cumulativeProbability(0.0d, 0.742054901043145d);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = normalDistributionImpl0.cumulativeProbability(0.9999995d, (-9.413447310743813d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.27097296358685363d);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(11329.12124753429d, 0.3868548169018363d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", obj_array4);
    java.lang.Object[] obj_array6 = new java.lang.Object[] { "" };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException7);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)mathException18);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException20);
    maxIterationsExceededException7.addSuppressed((java.lang.Throwable)maxIterationsExceededException20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 0.12751004237903563d, 0.0d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: hi!");

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.5058628570405063d);
    double d8 = normalDistributionImpl2.getStandardDeviation();
    double d10 = normalDistributionImpl2.inverseCumulativeProbability(0.4265940723174745d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 358.9785127269039d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-1.0d), 0.5596176923702425d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.5058628570405063d);
    double d8 = normalDistributionImpl2.getMean();
    double d11 = normalDistributionImpl2.cumulativeProbability((-9.413447310743813d), 0.8413447770361517d);
    normalDistributionImpl2.setMean(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    java.lang.Object[] obj_array10 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("", obj_array10);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("hi!", obj_array10, (java.lang.Throwable)mathException13);
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("", obj_array19);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("hi!", obj_array19, (java.lang.Throwable)mathException22);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("", obj_array27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array27, (java.lang.Throwable)mathException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", obj_array19, (java.lang.Throwable)convergenceException31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("hi!", obj_array10, (java.lang.Throwable)convergenceException32);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("", obj_array10);
    java.lang.Throwable throwable36 = null;
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", obj_array10, throwable36);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException39 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MathException: ", obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!");

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d3 = normalDistributionImpl0.cumulativeProbability((-1.0d), (-1.0d));
    double d4 = normalDistributionImpl0.getStandardDeviation();
    double d5 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1.0d, 0.5208509042457623d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5940148830784451d);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)mathException8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array5);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException10);
    java.lang.String str12 = maxIterationsExceededException10.getPattern();
    java.lang.Object[] obj_array21 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("", obj_array21);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("hi!", obj_array21, (java.lang.Throwable)mathException24);
    java.lang.Object[] obj_array30 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("", obj_array30);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("hi!", obj_array30, (java.lang.Throwable)mathException33);
    java.lang.Object[] obj_array38 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("", obj_array38);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException("hi!", obj_array38, (java.lang.Throwable)mathException41);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException("hi!", obj_array30, (java.lang.Throwable)convergenceException42);
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException("hi!", obj_array21, (java.lang.Throwable)convergenceException43);
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array21);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException46 = new org.apache.commons.math.MaxIterationsExceededException(0, "Maximal number of iterations ({0}) exceeded", obj_array21);
    java.lang.Object[] obj_array54 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("", obj_array54);
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException("hi!", obj_array54, (java.lang.Throwable)mathException57);
    java.lang.Object[] obj_array63 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException("", obj_array63);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException("hi!", obj_array63, (java.lang.Throwable)mathException66);
    java.lang.Object[] obj_array71 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException("", obj_array71);
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException75 = new org.apache.commons.math.ConvergenceException("hi!", obj_array71, (java.lang.Throwable)mathException74);
    org.apache.commons.math.ConvergenceException convergenceException76 = new org.apache.commons.math.ConvergenceException("hi!", obj_array63, (java.lang.Throwable)convergenceException75);
    org.apache.commons.math.ConvergenceException convergenceException77 = new org.apache.commons.math.ConvergenceException("hi!", obj_array54, (java.lang.Throwable)convergenceException76);
    org.apache.commons.math.ConvergenceException convergenceException78 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array54);
    org.apache.commons.math.MathException mathException79 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException78);
    org.apache.commons.math.MathException mathException80 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)mathException79);
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException80);
    org.apache.commons.math.ConvergenceException convergenceException82 = new org.apache.commons.math.ConvergenceException("", obj_array21, (java.lang.Throwable)mathException80);
    maxIterationsExceededException10.addSuppressed((java.lang.Throwable)convergenceException82);
    int i84 = maxIterationsExceededException10.getMaxIterations();
    int i85 = maxIterationsExceededException10.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == 100);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException3);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)maxIterationsExceededException3);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", (java.lang.Throwable)maxIterationsExceededException3);
    int i7 = maxIterationsExceededException3.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(359.1342053695754d, 1.00000035699529d, 0.8427007929497174d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma((-0.8777138773315375d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("", obj_array14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("hi!", obj_array14, (java.lang.Throwable)mathException17);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", obj_array22);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("hi!", obj_array22, (java.lang.Throwable)mathException25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array14, (java.lang.Throwable)convergenceException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)convergenceException27);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    java.lang.Object[] obj_array10 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("", obj_array10);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("hi!", obj_array10, (java.lang.Throwable)mathException13);
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("", obj_array19);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("hi!", obj_array19, (java.lang.Throwable)mathException22);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("", obj_array27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array27, (java.lang.Throwable)mathException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", obj_array19, (java.lang.Throwable)convergenceException31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("hi!", obj_array10, (java.lang.Throwable)convergenceException32);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException35 = new org.apache.commons.math.MaxIterationsExceededException(0, "Maximal number of iterations ({0}) exceeded", obj_array10);
    java.lang.Object[] obj_array43 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException("", obj_array43);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException("hi!", obj_array43, (java.lang.Throwable)mathException46);
    java.lang.Object[] obj_array52 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException("", obj_array52);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException("hi!", obj_array52, (java.lang.Throwable)mathException55);
    java.lang.Object[] obj_array60 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException("", obj_array60);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException("hi!", obj_array60, (java.lang.Throwable)mathException63);
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException("hi!", obj_array52, (java.lang.Throwable)convergenceException64);
    org.apache.commons.math.ConvergenceException convergenceException66 = new org.apache.commons.math.ConvergenceException("hi!", obj_array43, (java.lang.Throwable)convergenceException65);
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array43);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException67);
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)mathException68);
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException69);
    org.apache.commons.math.ConvergenceException convergenceException71 = new org.apache.commons.math.ConvergenceException("", obj_array10, (java.lang.Throwable)mathException69);
    org.apache.commons.math.ConvergenceException convergenceException72 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException", obj_array10);
    org.apache.commons.math.MathException mathException73 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: hi!", obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("", obj_array14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("hi!", obj_array14, (java.lang.Throwable)mathException17);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", obj_array22);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("hi!", obj_array22, (java.lang.Throwable)mathException25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array14, (java.lang.Throwable)convergenceException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)convergenceException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array5);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException29);
    java.lang.String str31 = convergenceException29.toString();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException34 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException34);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)maxIterationsExceededException34);
    convergenceException29.addSuppressed((java.lang.Throwable)mathException36);
    java.lang.String str38 = convergenceException29.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str31.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str38.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1.2029553297494835d, 0.26680537308630825d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8397267780453156d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d10 = normalDistributionImpl0.cumulativeProbability(Double.NaN, (-0.8427007929497151d));
    double d11 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean((-0.0013560785456266614d));
    // The following exception was thrown during execution in test generation
    try {
      double d15 = normalDistributionImpl0.inverseCumulativeProbability(358.7417848012602d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    normalDistributionImpl0.setMean(0.7999225850214973d);
    double d11 = normalDistributionImpl0.inverseCumulativeProbability(0.27097296358685363d);
    normalDistributionImpl0.setStandardDeviation(0.5058628570405063d);
    normalDistributionImpl0.setMean(0.5d);
    // The following exception was thrown during execution in test generation
    try {
      double d18 = normalDistributionImpl0.cumulativeProbability(0.020817758028864413d, (-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.1900495205862412d);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.8841519364751589d, 25.746555910913887d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999999999958408d);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.0752924850939371d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.5474146764610768d);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-0.10401020739474981d), 0.8427000413892123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException4);
    java.lang.Throwable[] throwable_array6 = mathException5.getSuppressed();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", (java.lang.Object[])throwable_array6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array25, (java.lang.Throwable)mathException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException", (java.lang.Throwable)mathException33);
    java.lang.Object[] obj_array35 = mathException33.getArguments();
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(1.2029553297494835d, 0.9999981894830936d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5457187384231d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)mathException10);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", obj_array16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("hi!", obj_array16, (java.lang.Throwable)mathException19);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", obj_array24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array24, (java.lang.Throwable)mathException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array16, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array7);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array7);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException40);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException40);
    java.lang.Object[] obj_array43 = mathException40.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException44 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array43);
    java.lang.Object[] obj_array47 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException48 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array47);
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array43, (java.lang.Throwable)maxIterationsExceededException48);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException55);
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException55);
    java.lang.Object[] obj_array58 = mathException55.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException59 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array58);
    int i60 = maxIterationsExceededException59.getMaxIterations();
    java.lang.Throwable[] throwable_array61 = maxIterationsExceededException59.getSuppressed();
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array43, (java.lang.Throwable)maxIterationsExceededException59);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", obj_array7, (java.lang.Throwable)mathException62);
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException63);
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array61);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.cumulativeProbability((-0.8427007929497151d));
    normalDistributionImpl0.setMean(0.5058628570405063d);
    double d7 = normalDistributionImpl0.inverseCumulativeProbability(0.27097296358685363d);
    double d9 = normalDistributionImpl0.inverseCumulativeProbability(0.14149806843691248d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.19969790180335623d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == (-0.10401020739474981d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-0.5677501047251626d));

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array12 = mathException9.getArguments();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("hi!", obj_array12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array12);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("", obj_array12);
    java.lang.Throwable throwable16 = null;
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("hi!", obj_array12, throwable16);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array12);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.special.Erf.erf(57.18402859598079d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-0.5677501047251626d), 0.2745347477142007d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    double d6 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 0.7658911849115478d);
    double d4 = normalDistributionImpl2.cumulativeProbability(0.46045407053534115d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.7261467339139256d);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException6);
    java.lang.Object[] obj_array9 = mathException6.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException12);
    java.lang.Throwable[] throwable_array14 = mathException13.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array9, (java.lang.Throwable)mathException13);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array1, (java.lang.Throwable)mathException16);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("");
    java.lang.String str22 = mathException21.getPattern();
    java.lang.Throwable[] throwable_array23 = mathException21.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException21);
    java.lang.Throwable[] throwable_array25 = convergenceException24.getSuppressed();
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("Convergence failed", (java.lang.Throwable)mathException26);
    mathException16.addSuppressed((java.lang.Throwable)mathException27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d9 = normalDistributionImpl0.cumulativeProbability(0.7999225850214973d);
    double d11 = normalDistributionImpl0.inverseCumulativeProbability(0.19969790180335623d);
    double d12 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.4834796729980234d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == (-0.0013560785456266614d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(2.4242170456061403d, 0.4752364971106908d, 0.742054901043145d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.03347204026517582d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 0.841344746068543d, (-0.0015301698418621374d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.1700111489996042d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6957617972546788d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    java.lang.Object[] obj_array10 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("", obj_array10);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("hi!", obj_array10, (java.lang.Throwable)mathException13);
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("", obj_array19);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("hi!", obj_array19, (java.lang.Throwable)mathException22);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("", obj_array27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array27, (java.lang.Throwable)mathException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", obj_array19, (java.lang.Throwable)convergenceException31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("hi!", obj_array10, (java.lang.Throwable)convergenceException32);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException35 = new org.apache.commons.math.MaxIterationsExceededException(0, "Maximal number of iterations ({0}) exceeded", obj_array10);
    java.lang.Object[] obj_array43 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException("", obj_array43);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException("hi!", obj_array43, (java.lang.Throwable)mathException46);
    java.lang.Object[] obj_array52 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException("", obj_array52);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException("hi!", obj_array52, (java.lang.Throwable)mathException55);
    java.lang.Object[] obj_array60 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException("", obj_array60);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException("hi!", obj_array60, (java.lang.Throwable)mathException63);
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException("hi!", obj_array52, (java.lang.Throwable)convergenceException64);
    org.apache.commons.math.ConvergenceException convergenceException66 = new org.apache.commons.math.ConvergenceException("hi!", obj_array43, (java.lang.Throwable)convergenceException65);
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array43);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException67);
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)mathException68);
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException69);
    org.apache.commons.math.ConvergenceException convergenceException71 = new org.apache.commons.math.ConvergenceException("", obj_array10, (java.lang.Throwable)mathException69);
    java.lang.Throwable[] throwable_array72 = convergenceException71.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException73 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array72);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: hi!");

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array6);
    java.lang.Object[] obj_array8 = new java.lang.Object[] { "" };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException9 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array8);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("", obj_array18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)mathException21);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("", obj_array27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array27, (java.lang.Throwable)mathException30);
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("", obj_array35);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException("hi!", obj_array35, (java.lang.Throwable)mathException38);
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException("hi!", obj_array27, (java.lang.Throwable)convergenceException39);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)convergenceException40);
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array18);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException43 = new org.apache.commons.math.MaxIterationsExceededException(0, "Maximal number of iterations ({0}) exceeded", obj_array18);
    java.lang.Object[] obj_array51 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException("", obj_array51);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException("hi!", obj_array51, (java.lang.Throwable)mathException54);
    java.lang.Object[] obj_array60 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException("", obj_array60);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException("hi!", obj_array60, (java.lang.Throwable)mathException63);
    java.lang.Object[] obj_array68 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException("", obj_array68);
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException72 = new org.apache.commons.math.ConvergenceException("hi!", obj_array68, (java.lang.Throwable)mathException71);
    org.apache.commons.math.ConvergenceException convergenceException73 = new org.apache.commons.math.ConvergenceException("hi!", obj_array60, (java.lang.Throwable)convergenceException72);
    org.apache.commons.math.ConvergenceException convergenceException74 = new org.apache.commons.math.ConvergenceException("hi!", obj_array51, (java.lang.Throwable)convergenceException73);
    org.apache.commons.math.ConvergenceException convergenceException75 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array51);
    org.apache.commons.math.MathException mathException76 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException75);
    org.apache.commons.math.MathException mathException77 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)mathException76);
    org.apache.commons.math.MathException mathException78 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException77);
    org.apache.commons.math.ConvergenceException convergenceException79 = new org.apache.commons.math.ConvergenceException("", obj_array18, (java.lang.Throwable)mathException77);
    java.lang.Object[] obj_array80 = convergenceException79.getArguments();
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (100) exceeded", obj_array8, (java.lang.Throwable)convergenceException79);
    java.lang.Object[] obj_array82 = new java.lang.Object[] { "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (100) exceeded" };
    org.apache.commons.math.ConvergenceException convergenceException83 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array82);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.03357934683499325d, Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.766643783778611d, 0.26680537308630825d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6484430133650835d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!");

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.8570762719149951d, 0.0d, 0.4834796729980234d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.5058628570405063d);
    double d9 = normalDistributionImpl2.cumulativeProbability(0.0d);
    double d11 = normalDistributionImpl2.inverseCumulativeProbability(0.32045721550742096d);
    // The following exception was thrown during execution in test generation
    try {
      double d13 = normalDistributionImpl2.inverseCumulativeProbability(2.5474146764610768d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 358.7417848012602d);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    double d1 = org.apache.commons.math.special.Erf.erf(1.2029553297494835d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9111012712822969d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.44135998231265494d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.46748882925107393d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(1756.8296895627386d, 1.6434734428101426E-188d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    // The following exception was thrown during execution in test generation
    try {
      double d6 = normalDistributionImpl2.cumulativeProbability(0.37718486772568516d, 0.17277561905771788d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.6434734428101426E-188d);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    java.lang.Throwable throwable4 = null;
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", throwable4);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)mathException5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException5);
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)convergenceException11);
    mathException7.addSuppressed((java.lang.Throwable)mathException12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException12);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("Convergence failed", (java.lang.Throwable)mathException12);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException12);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MathException", (java.lang.Throwable)mathException16);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d9 = normalDistributionImpl0.cumulativeProbability(0.7999225850214973d);
    double d10 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setStandardDeviation(0.5596176923702425d);
    normalDistributionImpl0.setMean(1.0000000000000056d);
    double d16 = normalDistributionImpl0.cumulativeProbability(0.37718486772568516d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.4834796729980234d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.13286931860950468d);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.05228928432370872d, 0.5596176923702425d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.02657552341500491d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("");
    java.lang.String str2 = mathException1.getPattern();
    java.lang.Throwable[] throwable_array3 = mathException1.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException1);
    java.lang.Throwable[] throwable_array5 = convergenceException4.getSuppressed();
    java.lang.String str6 = convergenceException4.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.ConvergenceException: "+ "'", str6.equals("org.apache.commons.math.ConvergenceException: "));

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("", throwable1);
    java.lang.Object[] obj_array3 = convergenceException2.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: ");

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)mathException10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array7);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException12);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)maxIterationsExceededException12);
    java.lang.Throwable[] throwable_array15 = maxIterationsExceededException12.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("", throwable2);
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException3);
    java.lang.Throwable[] throwable_array5 = convergenceException4.getSuppressed();
    java.lang.Object[] obj_array6 = convergenceException4.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException4);
    java.lang.String str8 = convergenceException7.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "hi!"+ "'", str8.equals("hi!"));

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.6222879073739342d, 0.7999225850214973d);
    // The following exception was thrown during execution in test generation
    try {
      double d5 = normalDistributionImpl2.cumulativeProbability(1.4624726759954174d, 0.605489133290154d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.8823193626826147d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.787891298942987d);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.8427007929497174d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7666442006550894d);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException10);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException10);
    java.lang.Object[] obj_array13 = mathException10.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array13);
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array17);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array13, (java.lang.Throwable)maxIterationsExceededException18);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", obj_array23);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array23, (java.lang.Throwable)mathException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException30 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("", obj_array13);
    java.lang.Object[] obj_array32 = convergenceException31.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(3.375374108945388d, 0.8235906961389694d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.028398906812863122d);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(432.38918552781195d, 0.5472174468217395d, 0.6081631309242475d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1.6957617972546788d, 1.6957617972546788d, 0.37718486772568516d, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(Double.NEGATIVE_INFINITY, 100.0d);
    double d4 = normalDistributionImpl2.cumulativeProbability(0.03357934683499325d);
    double d5 = normalDistributionImpl2.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(1751.8796585025225d, 0.3868548169018363d);
    normalDistributionImpl2.setStandardDeviation(0.1900495205862412d);
    normalDistributionImpl2.setStandardDeviation(0.8413448324509365d);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = normalDistributionImpl2.cumulativeProbability(0.7999225850214973d, 0.10126614936222389d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!");

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("", throwable3);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException4);
    java.lang.Throwable[] throwable_array6 = convergenceException5.getSuppressed();
    java.lang.Object[] obj_array7 = convergenceException5.getArguments();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded");
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: hi!", obj_array7, (java.lang.Throwable)mathException9);
    java.lang.String str11 = mathException9.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str11.equals("Maximal number of iterations ({0}) exceeded"));

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)mathException8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException8);
    java.lang.String str11 = mathException8.toString();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", (java.lang.Throwable)mathException8);
    java.lang.Throwable[] throwable_array13 = mathException12.getSuppressed();
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("", obj_array20);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("hi!", obj_array20, (java.lang.Throwable)mathException23);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException25);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", (java.lang.Throwable)maxIterationsExceededException25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: hi!", (java.lang.Object[])throwable_array13, (java.lang.Throwable)maxIterationsExceededException25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str11.equals("org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)mathException9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array6);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException11);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException17);
    java.lang.Object[] obj_array20 = mathException17.getArguments();
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("", obj_array27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array27, (java.lang.Throwable)mathException30);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array27);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException32);
    int i34 = maxIterationsExceededException32.getMaxIterations();
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array20, (java.lang.Throwable)maxIterationsExceededException32);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException35);
    java.lang.String str37 = mathException35.getPattern();
    maxIterationsExceededException11.addSuppressed((java.lang.Throwable)mathException35);
    java.lang.String str39 = maxIterationsExceededException11.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)maxIterationsExceededException11);
    java.lang.String str41 = convergenceException40.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str37.equals("org.apache.commons.math.ConvergenceException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "hi!"+ "'", str39.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str41.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.15213439140809148d, 0.26680537308630825d, 0.4265940723174745d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)mathException10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array7);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException12);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)maxIterationsExceededException12);
    int i15 = maxIterationsExceededException12.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 100);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("");
    java.lang.String str4 = mathException3.getPattern();
    java.lang.Throwable[] throwable_array5 = mathException3.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array5);
    int i7 = maxIterationsExceededException6.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 10);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)mathException18);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", obj_array23);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array23, (java.lang.Throwable)mathException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)convergenceException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array6);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException30);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)mathException31);
    java.lang.String str33 = mathException31.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str33.equals("org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.0d), 10.0d);
    normalDistributionImpl2.setMean(1751.8796585025225d);
    double d6 = normalDistributionImpl2.cumulativeProbability(0.841344746068543d);
    double d9 = normalDistributionImpl2.cumulativeProbability(0.15213439140809148d, 0.8003461614568265d);
    double d11 = normalDistributionImpl2.inverseCumulativeProbability(0.6966082377198348d);
    normalDistributionImpl2.setStandardDeviation(0.579289981766467d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1757.0263601561753d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.018451351414325246d);
    // The following exception was thrown during execution in test generation
    try {
      double d10 = normalDistributionImpl0.cumulativeProbability(359.1342053695754d, 0.9999995d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException7);
    java.lang.Object[] obj_array10 = mathException7.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    int i12 = maxIterationsExceededException11.getMaxIterations();
    java.lang.Throwable[] throwable_array13 = maxIterationsExceededException11.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ConvergenceException: ", (java.lang.Object[])throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-0.8777138773315375d), 0.9999995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.19969790180335623d);
    normalDistributionImpl0.setMean(10.0d);
    double d11 = normalDistributionImpl0.cumulativeProbability(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == (-8.881784197001252E-16d));

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    normalDistributionImpl0.setMean(0.7999225850214973d);
    double d11 = normalDistributionImpl0.cumulativeProbability(1.0000000000000007d);
    double d13 = normalDistributionImpl0.cumulativeProbability(1.0450614160717464E-6d);
    double d14 = normalDistributionImpl0.getStandardDeviation();
    double d15 = normalDistributionImpl0.getStandardDeviation();
    double d17 = normalDistributionImpl0.cumulativeProbability(1.00000035699529d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.579289981766467d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.21187812850751586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.5792901213646999d);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", obj_array4);
    java.lang.Object[] obj_array6 = new java.lang.Object[] { "" };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException7);
    int i9 = maxIterationsExceededException7.getMaxIterations();
    int i10 = maxIterationsExceededException7.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 100);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-81.15865472296385d), 0.6081631309242475d, (-8.881784197001252E-16d), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)mathException10);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)mathException18);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)convergenceException19);
    java.lang.String str21 = convergenceException19.toString();
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException19);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException19);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException23);
    java.lang.Object[] obj_array25 = convergenceException23.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException26 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array25);
    java.lang.Object[] obj_array32 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("", obj_array32);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("hi!", obj_array32, (java.lang.Throwable)mathException35);
    java.lang.Object[] obj_array41 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("", obj_array41);
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException("hi!", obj_array41, (java.lang.Throwable)mathException44);
    java.lang.Object[] obj_array49 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException("", obj_array49);
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException("hi!", obj_array49, (java.lang.Throwable)mathException52);
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException("hi!", obj_array41, (java.lang.Throwable)convergenceException53);
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException("hi!", obj_array32, (java.lang.Throwable)convergenceException54);
    java.lang.Throwable throwable58 = null;
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException("", throwable58);
    org.apache.commons.math.ConvergenceException convergenceException60 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException59);
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array32, (java.lang.Throwable)convergenceException60);
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException("", obj_array25, (java.lang.Throwable)convergenceException60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str21.equals("org.apache.commons.math.ConvergenceException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    java.lang.Throwable[] throwable_array9 = mathException8.getSuppressed();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", (java.lang.Object[])throwable_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.MaxIterationsExceededException: hi!", (java.lang.Object[])throwable_array9);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", obj_array16);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("", obj_array21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("hi!", obj_array21);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", obj_array16, (java.lang.Throwable)mathException23);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array9, (java.lang.Throwable)convergenceException25);
    java.lang.Object[] obj_array28 = null;
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException35);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException35);
    java.lang.Object[] obj_array38 = mathException35.getArguments();
    java.lang.Object[] obj_array45 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException("", obj_array45);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException("hi!", obj_array45, (java.lang.Throwable)mathException48);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException50 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array45);
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException50);
    int i52 = maxIterationsExceededException50.getMaxIterations();
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array38, (java.lang.Throwable)maxIterationsExceededException50);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array38);
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException", obj_array38);
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array28, (java.lang.Throwable)convergenceException55);
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", (java.lang.Object[])throwable_array9, (java.lang.Throwable)mathException56);
    java.lang.Throwable throwable58 = null;
    // The following exception was thrown during execution in test generation
    try {
      mathException57.addSuppressed(throwable58);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 100);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.03347204026517582d, (-1.0d), 0.05228928432370872d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    java.lang.Object[] obj_array1 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)mathException12);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("", obj_array18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)mathException21);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", obj_array26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array26, (java.lang.Throwable)mathException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)convergenceException31);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("", obj_array9);
    java.lang.Object[] obj_array40 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("", obj_array40);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("hi!", obj_array40);
    java.lang.Object[] obj_array49 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException("", obj_array49);
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException("hi!", obj_array49, (java.lang.Throwable)mathException52);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException54 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array49);
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException54);
    int i56 = maxIterationsExceededException54.getMaxIterations();
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", obj_array40, (java.lang.Throwable)maxIterationsExceededException54);
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array40);
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException("", obj_array9, (java.lang.Throwable)convergenceException58);
    java.lang.String str60 = convergenceException58.toString();
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array1, (java.lang.Throwable)convergenceException58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str60 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.MathException: "+ "'", str60.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.MathException: "));

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("");
    java.lang.String str5 = mathException4.getPattern();
    java.lang.Throwable[] throwable_array6 = mathException4.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException4);
    java.lang.Throwable[] throwable_array8 = convergenceException7.getSuppressed();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("Convergence failed", (java.lang.Throwable)mathException9);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException", (java.lang.Throwable)mathException10);
    java.lang.String str12 = mathException10.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "Convergence failed"+ "'", str12.equals("Convergence failed"));

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.37718486772568516d, (-656.6349403199896d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setStandardDeviation(Double.NaN);
    normalDistributionImpl0.setMean(1.0d);
    double d9 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d12 = normalDistributionImpl0.cumulativeProbability(0.3981311869834955d, 0.05742674895019262d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    normalDistributionImpl0.setMean(0.7999225850214973d);
    double d11 = normalDistributionImpl0.inverseCumulativeProbability(0.27097296358685363d);
    normalDistributionImpl0.setStandardDeviation(0.5058628570405063d);
    normalDistributionImpl0.setMean(0.5d);
    normalDistributionImpl0.setStandardDeviation(0.29843863477669813d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.1900495205862412d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException4);
    java.lang.Throwable[] throwable_array6 = mathException5.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(10, "hi!", (java.lang.Object[])throwable_array6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException7);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException9);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException9);
    java.lang.Throwable[] throwable_array12 = convergenceException9.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("", obj_array13);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("hi!", obj_array13, (java.lang.Throwable)mathException16);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)convergenceException17);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException18);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException19);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException19);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException19);
    java.lang.String str23 = convergenceException19.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str23.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException1);
    java.lang.String str3 = mathException1.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", obj_array4);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("hi!", obj_array4, (java.lang.Throwable)mathException7);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("", obj_array12);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("hi!", obj_array12, (java.lang.Throwable)mathException15);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("hi!", obj_array4, (java.lang.Throwable)convergenceException16);
    java.lang.String str18 = convergenceException16.toString();
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException16);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException16);
    java.lang.Throwable throwable21 = null;
    // The following exception was thrown during execution in test generation
    try {
      convergenceException20.addSuppressed(throwable21);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str18.equals("org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.020817758028864413d, 100.0d, 0.05742674895019262d, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.14149806843691248d, Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)mathException8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array5);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException10);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException16);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException16);
    java.lang.Object[] obj_array19 = mathException16.getArguments();
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", obj_array26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array26, (java.lang.Throwable)mathException29);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException31 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array26);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException31);
    int i33 = maxIterationsExceededException31.getMaxIterations();
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array19, (java.lang.Throwable)maxIterationsExceededException31);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException34);
    java.lang.String str36 = mathException34.getPattern();
    maxIterationsExceededException10.addSuppressed((java.lang.Throwable)mathException34);
    java.lang.Object[] obj_array38 = mathException34.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str36.equals("org.apache.commons.math.ConvergenceException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.32045721550742096d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.34959162450913733d);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(358.7417848012602d, 0.4265940723174745d, (-0.8777138773315375d), (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)mathException10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array7);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException12);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException18);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException18);
    java.lang.Object[] obj_array21 = mathException18.getArguments();
    java.lang.Object[] obj_array28 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("", obj_array28);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", obj_array28, (java.lang.Throwable)mathException31);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException33 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array28);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException33);
    int i35 = maxIterationsExceededException33.getMaxIterations();
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array21, (java.lang.Throwable)maxIterationsExceededException33);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException36);
    java.lang.String str38 = mathException36.getPattern();
    maxIterationsExceededException12.addSuppressed((java.lang.Throwable)mathException36);
    java.lang.String str40 = maxIterationsExceededException12.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)maxIterationsExceededException12);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)convergenceException41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str38.equals("org.apache.commons.math.ConvergenceException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "hi!"+ "'", str40.equals("hi!"));

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.579289981766467d, 0.5005409014673755d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3677750022774541d);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(1.4624726759954174d, 0.48487756382425307d, 0.9999999999958408d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException10);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException10);
    java.lang.Object[] obj_array13 = mathException10.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array13);
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array17);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array13, (java.lang.Throwable)maxIterationsExceededException18);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", obj_array23);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array23, (java.lang.Throwable)mathException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array13);
    java.lang.Throwable[] throwable_array32 = convergenceException31.getSuppressed();
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array32);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(359.1342053695754d, 0.7658911849115478d, 1.4624726759954174d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)mathException12);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("", obj_array18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)mathException21);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", obj_array26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array26, (java.lang.Throwable)mathException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)convergenceException31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    java.lang.Object[] obj_array36 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException37 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array36);
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException("", obj_array9, (java.lang.Throwable)maxIterationsExceededException37);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("", obj_array9);
    java.lang.Object[] obj_array43 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException("", obj_array43);
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array43, (java.lang.Throwable)convergenceException45);
    java.lang.Object[] obj_array51 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException("", obj_array51);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException("hi!", obj_array51, (java.lang.Throwable)mathException54);
    java.lang.Object[] obj_array60 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException("", obj_array60);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException("hi!", obj_array60, (java.lang.Throwable)mathException63);
    java.lang.Object[] obj_array68 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException("", obj_array68);
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException72 = new org.apache.commons.math.ConvergenceException("hi!", obj_array68, (java.lang.Throwable)mathException71);
    org.apache.commons.math.ConvergenceException convergenceException73 = new org.apache.commons.math.ConvergenceException("hi!", obj_array60, (java.lang.Throwable)convergenceException72);
    org.apache.commons.math.ConvergenceException convergenceException74 = new org.apache.commons.math.ConvergenceException("hi!", obj_array51, (java.lang.Throwable)convergenceException73);
    java.lang.String str75 = convergenceException74.getPattern();
    convergenceException45.addSuppressed((java.lang.Throwable)convergenceException74);
    java.lang.String str77 = convergenceException74.toString();
    org.apache.commons.math.MathException mathException78 = new org.apache.commons.math.MathException("", obj_array9, (java.lang.Throwable)convergenceException74);
    java.lang.Throwable throwable79 = null;
    org.apache.commons.math.MathException mathException80 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: ", obj_array9, throwable79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "hi!"+ "'", str75.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str77 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str77.equals("org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.8397267780453156d, 2.4242170456061403d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.934825618911975d);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException5);
    java.lang.Object[] obj_array8 = mathException5.getArguments();
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)mathException18);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException20);
    int i22 = maxIterationsExceededException20.getMaxIterations();
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array8, (java.lang.Throwable)maxIterationsExceededException20);
    java.lang.Object[] obj_array24 = maxIterationsExceededException20.getArguments();
    java.lang.Object[] obj_array25 = maxIterationsExceededException20.getArguments();
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: hi!", obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)mathException11);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array8);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException21);
    java.lang.Object[] obj_array24 = mathException21.getArguments();
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException27);
    java.lang.Throwable[] throwable_array29 = mathException28.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array24, (java.lang.Throwable)mathException28);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException30);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array16, (java.lang.Throwable)mathException31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array8, (java.lang.Throwable)mathException31);
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("", obj_array37);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException("hi!", obj_array37, (java.lang.Throwable)mathException40);
    mathException31.addSuppressed((java.lang.Throwable)convergenceException41);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.018451351414325246d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.9822447794601215d);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("");
    java.lang.String str3 = mathException2.getPattern();
    java.lang.Throwable[] throwable_array4 = mathException2.getSuppressed();
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("", obj_array10);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("hi!", obj_array10, (java.lang.Throwable)mathException13);
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("", obj_array19);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("hi!", obj_array19, (java.lang.Throwable)mathException22);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("", obj_array27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array27, (java.lang.Throwable)mathException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", obj_array19, (java.lang.Throwable)convergenceException31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("hi!", obj_array10, (java.lang.Throwable)convergenceException32);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException34);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array4, (java.lang.Throwable)convergenceException34);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(1751.8796585025225d, 0.3868548169018363d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.3868548169018363d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setStandardDeviation(1751.8796585025225d);
    double d6 = normalDistributionImpl0.cumulativeProbability(1751.8796585025225d);
    double d7 = normalDistributionImpl0.getStandardDeviation();
    double d8 = normalDistributionImpl0.getStandardDeviation();
    double d10 = normalDistributionImpl0.inverseCumulativeProbability(1.0450614160717464E-6d);
    double d12 = normalDistributionImpl0.cumulativeProbability(57.18402859598079d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1751.8796585025225d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1751.8796585025225d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == (-8311.809491651215d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.5130197734717544d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("", obj_array13);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("hi!", obj_array13, (java.lang.Throwable)mathException16);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)convergenceException17);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException18);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException19);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("", obj_array27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array27, (java.lang.Throwable)mathException30);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("", obj_array36);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException("hi!", obj_array36, (java.lang.Throwable)mathException39);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException("", obj_array44);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException("hi!", obj_array44, (java.lang.Throwable)mathException47);
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException("hi!", obj_array36, (java.lang.Throwable)convergenceException48);
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException("hi!", obj_array27, (java.lang.Throwable)convergenceException49);
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array27);
    java.lang.Object[] obj_array54 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException55 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array54);
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException("", obj_array27, (java.lang.Throwable)maxIterationsExceededException55);
    convergenceException19.addSuppressed((java.lang.Throwable)maxIterationsExceededException55);
    java.lang.Object[] obj_array63 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException("", obj_array63);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException("hi!", obj_array63, (java.lang.Throwable)mathException66);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException68 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array63);
    org.apache.commons.math.ConvergenceException convergenceException69 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException68);
    convergenceException19.addSuppressed((java.lang.Throwable)maxIterationsExceededException68);
    int i71 = maxIterationsExceededException68.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 100);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(2.4242170456061403d, 1.0000002290142125d, 0.36787922530658235d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.8446553147724056d);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 0.6222879073739342d, 0.934825618911975d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", throwable1);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.2745347477142007d, 1.3103482173811769E-170d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.5483966252211277E-47d);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d3 = normalDistributionImpl0.cumulativeProbability((-1.0d), (-1.0d));
    double d4 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

}
