
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest1 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test001"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 3.375374108945388d);
    normalDistributionImpl2.setMean(0.0d);
    double d5 = normalDistributionImpl2.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test002"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.5058628570405063d);
    double d8 = normalDistributionImpl2.getMean();
    double d9 = normalDistributionImpl2.getStandardDeviation();
    double d11 = normalDistributionImpl2.cumulativeProbability(0.7658911849115478d);
    double d14 = normalDistributionImpl2.cumulativeProbability(0.028398906812863122d, Double.NaN);
    normalDistributionImpl2.setStandardDeviation(0.44135998231265494d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test003"); }


    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array14 = mathException11.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array14);
    java.lang.Object[] obj_array18 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array18);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array14, (java.lang.Throwable)maxIterationsExceededException19);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", obj_array24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array24, (java.lang.Throwable)mathException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array14);
    java.lang.Throwable[] throwable_array33 = convergenceException32.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: hi!", (java.lang.Object[])throwable_array33);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException43);
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException43);
    java.lang.Object[] obj_array46 = mathException43.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException47 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array46);
    java.lang.Object[] obj_array50 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException51 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array50);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array46, (java.lang.Throwable)maxIterationsExceededException51);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException("", obj_array46);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("");
    java.lang.String str56 = mathException55.getPattern();
    java.lang.Throwable[] throwable_array57 = mathException55.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException55);
    java.lang.Throwable[] throwable_array59 = convergenceException58.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException60 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array46, (java.lang.Throwable)convergenceException58);
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException("Convergence failed", (java.lang.Object[])throwable_array33, (java.lang.Throwable)convergenceException60);
    java.lang.String str62 = convergenceException60.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str56 + "' != '" + ""+ "'", str56.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str62 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str62.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test004"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.27097296358685363d, (-0.12148594879691288d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test005"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d10 = normalDistributionImpl0.cumulativeProbability(Double.NaN, (-0.8427007929497151d));
    double d11 = normalDistributionImpl0.getMean();
    double d12 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test006"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException7);
    java.lang.Object[] obj_array10 = mathException7.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array10, (java.lang.Throwable)maxIterationsExceededException15);
    int i17 = maxIterationsExceededException15.getMaxIterations();
    int i18 = maxIterationsExceededException15.getMaxIterations();
    int i19 = maxIterationsExceededException15.getMaxIterations();
    java.lang.Object[] obj_array20 = maxIterationsExceededException15.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)maxIterationsExceededException15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj_array20);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test007"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(57.18402859598079d, (-0.8427007929497151d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test008"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.9111012712822969d, (-656.6349403199896d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test009"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.7999225850214973d, 359.1342053695754d);
    normalDistributionImpl2.setStandardDeviation(10.0d);
    normalDistributionImpl2.setMean(0.8413447770361517d);
    double d7 = normalDistributionImpl2.getMean();
    // The following exception was thrown during execution in test generation
    try {
      double d10 = normalDistributionImpl2.cumulativeProbability(1756.8296895627386d, 0.18634279061371561d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.8413447770361517d);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test010"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException7);
    java.lang.Object[] obj_array10 = mathException7.getArguments();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException13);
    java.lang.Throwable[] throwable_array15 = mathException14.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array10, (java.lang.Throwable)mathException14);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", (java.lang.Throwable)mathException14);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: hi!", (java.lang.Throwable)convergenceException17);
    java.lang.Throwable[] throwable_array19 = mathException18.getSuppressed();
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test011"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException7);
    java.lang.Object[] obj_array10 = mathException7.getArguments();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException13);
    java.lang.Throwable[] throwable_array15 = mathException14.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array10, (java.lang.Throwable)mathException14);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("", obj_array20);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("hi!", obj_array20, (java.lang.Throwable)mathException23);
    java.lang.String str25 = convergenceException24.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", obj_array10, (java.lang.Throwable)convergenceException24);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    java.lang.Throwable throwable30 = null;
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("", throwable30);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)mathException31);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", obj_array10, (java.lang.Throwable)mathException32);
    java.lang.String str34 = mathException32.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "hi!"+ "'", str25.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str34.equals("org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test012"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.cumulativeProbability((-0.8427007929497151d));
    normalDistributionImpl0.setMean(0.5058628570405063d);
    double d6 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setStandardDeviation(0.8841519364751589d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.19969790180335623d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test013"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException4);
    java.lang.Throwable[] throwable_array6 = mathException5.getSuppressed();
    java.lang.Throwable[] throwable_array7 = mathException5.getSuppressed();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException11);
    java.lang.String str14 = mathException11.toString();
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array7, (java.lang.Throwable)mathException11);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: hi!", (java.lang.Object[])throwable_array7);
    java.lang.String str17 = convergenceException16.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str14.equals("org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.MathException: hi!"+ "'", str17.equals("org.apache.commons.math.MathException: hi!"));

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test014"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.787891298942987d, 1754.742849854119d, 57.18402859598079d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test015"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.8446553147724056d, 0.6547332566813524d, 57.18402859598079d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.38487466233528966d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test016"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException4);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException4);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", obj_array9);
    java.lang.String str11 = mathException10.getPattern();
    mathException6.addSuppressed((java.lang.Throwable)mathException10);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test017"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException2 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException2);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)maxIterationsExceededException2);
    int i5 = maxIterationsExceededException2.getMaxIterations();
    java.lang.String str6 = maxIterationsExceededException2.toString();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str6.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test018"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d10 = normalDistributionImpl0.cumulativeProbability(Double.NaN, (-0.8427007929497151d));
    double d11 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean((-0.0013560785456266614d));
    double d14 = normalDistributionImpl0.getMean();
    double d15 = normalDistributionImpl0.getStandardDeviation();
    // The following exception was thrown during execution in test generation
    try {
      double d17 = normalDistributionImpl0.inverseCumulativeProbability((-0.28888209727734576d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == (-0.0013560785456266614d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test019"); }


    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array14 = mathException11.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array14);
    java.lang.Object[] obj_array18 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array18);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array14, (java.lang.Throwable)maxIterationsExceededException19);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", obj_array24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array24, (java.lang.Throwable)mathException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array14);
    java.lang.Throwable[] throwable_array33 = convergenceException32.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException34 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.MaxIterationsExceededException: hi!", (java.lang.Object[])throwable_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array33);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test020"); }


    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)mathException12);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("", obj_array18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)mathException21);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", obj_array26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array26, (java.lang.Throwable)mathException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)convergenceException31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException36 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.MathException", obj_array9);
    java.lang.String str37 = maxIterationsExceededException36.toString();
    int i38 = maxIterationsExceededException36.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException"+ "'", str37.equals("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 1);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test021"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.9329612469541649d, 57.18402859598079d, 0.5472174468217395d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test022"); }


    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("", throwable2);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)mathException3);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException3);
    java.lang.Object[] obj_array8 = null;
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)convergenceException9);
    mathException5.addSuppressed((java.lang.Throwable)mathException10);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException10);
    java.lang.Object[] obj_array13 = mathException12.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test023"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, (-0.0013560785456266614d), 0.5792901213646999d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test024"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ");
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException1);
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException1);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test025"); }


    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array11 = mathException8.getArguments();
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException14);
    java.lang.Throwable[] throwable_array16 = mathException15.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array11, (java.lang.Throwable)mathException15);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException24);
    java.lang.Object[] obj_array27 = mathException24.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array27);
    java.lang.Object[] obj_array31 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array27, (java.lang.Throwable)maxIterationsExceededException32);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException32);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", obj_array11, (java.lang.Throwable)maxIterationsExceededException32);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException36 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.MathException: hi!", obj_array11);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException42);
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException42);
    java.lang.Object[] obj_array45 = mathException42.getArguments();
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException("hi!", obj_array45);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException", obj_array45);
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException("", obj_array11, (java.lang.Throwable)convergenceException47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test026"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setStandardDeviation(1751.8796585025225d);
    double d7 = normalDistributionImpl0.cumulativeProbability((-81.15865472296385d), (-0.10401020739474981d));
    double d9 = normalDistributionImpl0.inverseCumulativeProbability(0.28088357797469427d);
    // The following exception was thrown during execution in test generation
    try {
      double d12 = normalDistributionImpl0.cumulativeProbability(0.27097296358685363d, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.018451351414325246d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-1016.4733086401367d));

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test027"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-0.28888209727734576d), 0.028398906812863122d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test028"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d10 = normalDistributionImpl0.cumulativeProbability(0.0d, 0.0d);
    normalDistributionImpl0.setMean(0.5d);
    double d14 = normalDistributionImpl0.cumulativeProbability(0.03357934683499325d);
    normalDistributionImpl0.setStandardDeviation(0.3208103053669315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.32045721550742096d);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test029"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", obj_array4);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("hi!", obj_array4, (java.lang.Throwable)mathException7);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException7);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: ", (java.lang.Throwable)mathException7);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test030"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("");
    java.lang.String str2 = mathException1.getPattern();
    java.lang.Throwable[] throwable_array3 = mathException1.getSuppressed();
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException1);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test031"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d3 = normalDistributionImpl0.cumulativeProbability((-1.0d), (-1.0d));
    normalDistributionImpl0.setStandardDeviation(0.500168982534911d);
    double d7 = normalDistributionImpl0.cumulativeProbability(57.18402859598079d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test032"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException", obj_array1);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test033"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!");
    java.lang.String str2 = convergenceException1.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str2.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test034"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.9999995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.886080374686628E-7d);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test035"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException4);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException4);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", obj_array9);
    java.lang.String str11 = mathException10.getPattern();
    mathException6.addSuppressed((java.lang.Throwable)mathException10);
    java.lang.String str13 = mathException6.toString();
    java.lang.String str14 = mathException6.toString();
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)mathException6);
    java.lang.String str16 = mathException6.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + ""+ "'", str11.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str13.equals("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str14.equals("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str16.equals("org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test036"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.11407660781971485d);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test037"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.084798202271244d, 0.0d, 0.19969790180335623d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test038"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)mathException10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array7);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException12);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)maxIterationsExceededException12);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: hi!", (java.lang.Throwable)convergenceException14);
    java.lang.Throwable[] throwable_array16 = convergenceException14.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test039"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.500168982534911d, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test040"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.5058628570405063d);
    double d8 = normalDistributionImpl2.getMean();
    double d9 = normalDistributionImpl2.getStandardDeviation();
    double d11 = normalDistributionImpl2.cumulativeProbability(0.7658911849115478d);
    double d13 = normalDistributionImpl2.cumulativeProbability(1756.8296895627386d);
    normalDistributionImpl2.setMean(0.8427000413892123d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test041"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException2 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException2);
    java.lang.Throwable[] throwable_array4 = maxIterationsExceededException2.getSuppressed();
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("", obj_array13);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("hi!", obj_array13, (java.lang.Throwable)mathException16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array13);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array13);
    java.lang.Object[] obj_array21 = null;
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException26);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException26);
    java.lang.Object[] obj_array29 = mathException26.getArguments();
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException32);
    java.lang.Throwable[] throwable_array34 = mathException33.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array29, (java.lang.Throwable)mathException33);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException35);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array21, (java.lang.Throwable)mathException36);
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13, (java.lang.Throwable)mathException36);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException36);
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array4, (java.lang.Throwable)mathException39);
    java.lang.String str41 = mathException39.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str41.equals("org.apache.commons.math.MathException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test042"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.19969790180335623d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test043"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.7999225850214973d, 358.7417848012602d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 358.7417848012602d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test044"); }


    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("", throwable3);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)mathException4);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException4);
    java.lang.Object[] obj_array9 = null;
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)convergenceException10);
    mathException6.addSuppressed((java.lang.Throwable)mathException11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException11);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("Convergence failed", (java.lang.Throwable)mathException11);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException11);
    java.lang.String str16 = mathException11.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "hi!"+ "'", str16.equals("hi!"));

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test045"); }


    java.lang.Object[] obj_array3 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("", obj_array3);
    java.lang.Object[] obj_array5 = mathException4.getArguments();
    java.lang.Object[] obj_array6 = mathException4.getArguments();
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("", obj_array11);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("hi!", obj_array11, (java.lang.Throwable)mathException14);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException14);
    java.lang.String str17 = mathException14.toString();
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", (java.lang.Throwable)mathException14);
    java.lang.String str19 = mathException18.getPattern();
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: hi!", obj_array6, (java.lang.Throwable)mathException18);
    java.lang.Object[] obj_array21 = mathException20.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str17.equals("org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.MathException"+ "'", str19.equals("org.apache.commons.math.MathException"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test046"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.21187812850751586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.46302568902061d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test047"); }


    java.lang.Object[] obj_array3 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("", obj_array3);
    java.lang.Object[] obj_array5 = mathException4.getArguments();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test048"); }


    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException6);
    java.lang.Object[] obj_array9 = mathException6.getArguments();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test049"); }


    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("", throwable2);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)mathException3);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException3);
    java.lang.String str6 = mathException3.getPattern();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test050"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 391.1691728923024d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test051"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.02657552341500491d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02998020888482096d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test052"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d6 = normalDistributionImpl0.cumulativeProbability(0.0d, 0.742054901043145d);
    normalDistributionImpl0.setStandardDeviation(0.9999995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.27097296358685363d);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test053"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.9999999999958408d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.4003021792395884E-12d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test054"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)mathException18);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", obj_array23);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array23, (java.lang.Throwable)mathException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)convergenceException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array6);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException30);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException31);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException32);
    java.lang.String str34 = mathException32.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str34.equals("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test055"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(3.387230000904901d, 0.5005409014673755d, (-1.0d), 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test056"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.8413448324509365d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7658912157193382d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test057"); }


    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException5);
    java.lang.Throwable[] throwable_array7 = mathException6.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException8 = new org.apache.commons.math.MaxIterationsExceededException(10, "hi!", (java.lang.Object[])throwable_array7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)maxIterationsExceededException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test058"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.19969790180335623d);
    double d8 = normalDistributionImpl0.getMean();
    normalDistributionImpl0.setMean(0.0d);
    double d12 = normalDistributionImpl0.inverseCumulativeProbability(0.841344746068543d);
    double d14 = normalDistributionImpl0.inverseCumulativeProbability(0.6081631309242475d);
    double d15 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.19969790180335623d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0000002290142125d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.2745347477142007d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test059"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: hi!", obj_array1);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test060"); }


    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException2);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException3);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException4);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test061"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.7999225850214973d, 359.1342053695754d);
    normalDistributionImpl2.setStandardDeviation(10.0d);
    normalDistributionImpl2.setMean(0.8413447770361517d);
    double d7 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setMean(0.32045721550742096d);
    double d11 = normalDistributionImpl2.cumulativeProbability(0.6547332566813524d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.5133332014716827d);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test062"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.0d), 10.0d);
    normalDistributionImpl2.setMean(1751.8796585025225d);
    double d6 = normalDistributionImpl2.cumulativeProbability(0.841344746068543d);
    double d9 = normalDistributionImpl2.cumulativeProbability(0.15213439140809148d, 0.8003461614568265d);
    double d11 = normalDistributionImpl2.inverseCumulativeProbability(0.6966082377198348d);
    double d12 = normalDistributionImpl2.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1757.0263601561753d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.0d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test063"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(1756.8296895627386d, 1.6434734428101426E-188d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    double d4 = normalDistributionImpl2.getMean();
    double d6 = normalDistributionImpl2.inverseCumulativeProbability(0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.6434734428101426E-188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1756.8296895627386d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1756.8296895627386d);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test064"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array25, (java.lang.Throwable)mathException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException", (java.lang.Throwable)mathException33);
    java.lang.Object[] obj_array35 = mathException33.getArguments();
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array35);
    java.lang.String str37 = mathException36.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str37.equals("Maximal number of iterations ({0}) exceeded"));

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test065"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.8841519364751589d, 0.4265940723174745d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5938607035172963d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test066"); }


    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException3);
    java.lang.Throwable[] throwable_array5 = mathException4.getSuppressed();
    java.lang.Throwable[] throwable_array6 = mathException4.getSuppressed();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test067"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: ");

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test068"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.7261467339139256d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2299176850431417d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test069"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-0.8427007929497151d), 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test070"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array25, (java.lang.Throwable)mathException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException33 = new org.apache.commons.math.MaxIterationsExceededException(0, "Maximal number of iterations ({0}) exceeded", obj_array8);
    int i34 = maxIterationsExceededException33.getMaxIterations();
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)maxIterationsExceededException33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test071"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d3 = normalDistributionImpl0.cumulativeProbability((-1.0d), (-1.0d));
    normalDistributionImpl0.setStandardDeviation(0.500168982534911d);
    // The following exception was thrown during execution in test generation
    try {
      double d8 = normalDistributionImpl0.cumulativeProbability(3.387230000904901d, 0.14149806843691248d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test072"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.6966082377198348d, 0.0752924850939371d);
    double d3 = normalDistributionImpl2.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.6966082377198348d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test073"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.7261467339139256d, 0.9999999999958408d);
    double d4 = normalDistributionImpl2.inverseCumulativeProbability(0.028398906812863122d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-1.1787167915393815d));

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test074"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.8397267780453156d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0000000000000009d);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test075"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean((-0.0013560785456266614d));
    normalDistributionImpl0.setMean((-9.413447310743813d));
    double d7 = normalDistributionImpl0.cumulativeProbability((-0.12148594879691288d));
    double d8 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0000000000000007d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-9.413447310743813d));

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test076"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(1.2029553297494835d, 3.611146460314862E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0101272207030832E-9d);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test077"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.020817758028864413d, 0.3208103053669315d, 1.0d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test078"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(57.18402859598079d, 0.4773017245930811d, 0.7658912157193382d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 3.1124247859483316E-96d);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test079"); }


    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)mathException12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array9);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException22);
    java.lang.Object[] obj_array25 = mathException22.getArguments();
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException28);
    java.lang.Throwable[] throwable_array30 = mathException29.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array25, (java.lang.Throwable)mathException29);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException31);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array17, (java.lang.Throwable)mathException32);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array9, (java.lang.Throwable)mathException32);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException32);
    java.lang.Throwable throwable39 = null;
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException("", throwable39);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException40);
    java.lang.Throwable[] throwable_array42 = convergenceException41.getSuppressed();
    java.lang.Object[] obj_array43 = convergenceException41.getArguments();
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException();
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array43, (java.lang.Throwable)mathException44);
    mathException35.addSuppressed((java.lang.Throwable)mathException45);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test080"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array25, (java.lang.Throwable)mathException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException41);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException41);
    java.lang.Object[] obj_array44 = mathException41.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException45 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array44);
    java.lang.Object[] obj_array48 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException49 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array48);
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array44, (java.lang.Throwable)maxIterationsExceededException49);
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException56);
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException56);
    java.lang.Object[] obj_array59 = mathException56.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException60 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array59);
    int i61 = maxIterationsExceededException60.getMaxIterations();
    java.lang.Throwable[] throwable_array62 = maxIterationsExceededException60.getSuppressed();
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array44, (java.lang.Throwable)maxIterationsExceededException60);
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", obj_array8, (java.lang.Throwable)mathException63);
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException("", obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array62);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test081"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array25, (java.lang.Throwable)mathException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException37);
    java.lang.Throwable[] throwable_array39 = mathException38.getSuppressed();
    java.lang.Throwable[] throwable_array40 = mathException38.getSuppressed();
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("hi!", obj_array8, (java.lang.Throwable)mathException38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array40);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test082"); }


    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException12);
    java.lang.Object[] obj_array15 = mathException12.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array15);
    java.lang.Object[] obj_array19 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array19);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array15, (java.lang.Throwable)maxIterationsExceededException20);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array25, (java.lang.Throwable)mathException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException28);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array15, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array15);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException33 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: ", obj_array15);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test083"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.02657552341500491d, (-8311.809491651215d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test084"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.8841519364751589d, 1.6653345369377348E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.97235489139892E-14d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test085"); }


    java.lang.Object[] obj_array1 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", obj_array16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("hi!", obj_array16, (java.lang.Throwable)mathException19);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)convergenceException20);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", (java.lang.Throwable)convergenceException22);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("hi!", obj_array1, (java.lang.Throwable)convergenceException22);
    java.lang.String str26 = mathException25.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "hi!"+ "'", str26.equals("hi!"));

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test086"); }


    java.lang.Object[] obj_array1 = null;
    java.lang.Throwable throwable4 = null;
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", throwable4);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException5);
    java.lang.Throwable[] throwable_array7 = convergenceException6.getSuppressed();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: hi!", obj_array1, (java.lang.Throwable)convergenceException6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test087"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.0d), 0.48487756382425307d);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test088"); }


    org.apache.commons.math.ConvergenceException convergenceException0 = new org.apache.commons.math.ConvergenceException();
    java.lang.Throwable[] throwable_array1 = convergenceException0.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array1);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test089"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.7658911849115478d, 0.48487756382425307d, 0.6520197163006284d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.48856343326102736d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test090"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.15938761360816545d, 0.934825618911975d, 360.3947203428477d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test091"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.028398906812863122d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.545666646209422d);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test092"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.05228928432370872d, 0.0d, Double.NEGATIVE_INFINITY, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test093"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.0d), 10.0d);
    normalDistributionImpl2.setMean(1751.8796585025225d);
    normalDistributionImpl2.setMean(359.9755501155279d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test094"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)mathException8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array5);
    java.lang.Throwable[] throwable_array11 = maxIterationsExceededException10.getSuppressed();
    int i12 = maxIterationsExceededException10.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test095"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    normalDistributionImpl2.setStandardDeviation(0.8427007929497174d);
    double d6 = normalDistributionImpl2.inverseCumulativeProbability(0.27097296358685363d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 358.62026477039063d);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test096"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.8823193626826147d, 0.8413447770361517d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3759361905059354d);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test097"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, (-0.12148594879691288d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test098"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.5058628570405063d);
    double d8 = normalDistributionImpl2.getMean();
    double d9 = normalDistributionImpl2.getStandardDeviation();
    double d11 = normalDistributionImpl2.cumulativeProbability(0.7658911849115478d);
    double d13 = normalDistributionImpl2.cumulativeProbability(1756.8296895627386d);
    double d15 = normalDistributionImpl2.inverseCumulativeProbability(0.1812540450657566d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 358.3680799079188d);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test099"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.19969790180335623d);
    normalDistributionImpl0.setMean(10.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d11 = normalDistributionImpl0.inverseCumulativeProbability(57.18402859598079d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test100"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    normalDistributionImpl0.setMean(0.7999225850214973d);
    double d11 = normalDistributionImpl0.inverseCumulativeProbability(0.27097296358685363d);
    normalDistributionImpl0.setStandardDeviation(57.18402859598079d);
    normalDistributionImpl0.setMean(0.32045721550742096d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.1900495205862412d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test101"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.34959162450913733d, 0.2299176850431417d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.36628922616122284d);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test102"); }


    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array11 = mathException8.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("hi!", obj_array11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("", obj_array11);
    java.lang.Throwable throwable15 = null;
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("hi!", obj_array11, throwable15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException17);
    java.lang.Throwable[] throwable_array19 = mathException17.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test103"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(1756.8296895627386d, 1.00000035699529d);
    double d4 = normalDistributionImpl2.inverseCumulativeProbability(0.018451351414325246d);
    // The following exception was thrown during execution in test generation
    try {
      double d6 = normalDistributionImpl2.inverseCumulativeProbability(3.545666646209422d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1754.742849854119d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test104"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.4773017245930811d, 1.00000035699529d);
    double d3 = normalDistributionImpl2.getMean();
    // The following exception was thrown during execution in test generation
    try {
      double d6 = normalDistributionImpl2.cumulativeProbability(0.8397267780453156d, 0.18634279061371561d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.4773017245930811d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test105"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.5058628570405063d);
    double d8 = normalDistributionImpl2.getMean();
    double d9 = normalDistributionImpl2.getStandardDeviation();
    double d11 = normalDistributionImpl2.cumulativeProbability(0.7658911849115478d);
    double d12 = normalDistributionImpl2.getMean();
    double d13 = normalDistributionImpl2.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 359.1342053695754d);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test106"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)mathException11);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array8);
    java.lang.Throwable[] throwable_array14 = maxIterationsExceededException13.getSuppressed();
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("", obj_array20);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("hi!", obj_array20, (java.lang.Throwable)mathException23);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Object[])throwable_array14, (java.lang.Throwable)maxIterationsExceededException25);
    java.lang.Object[] obj_array33 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("", obj_array33);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException("hi!", obj_array33, (java.lang.Throwable)mathException36);
    java.lang.Object[] obj_array42 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException("", obj_array42);
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException("hi!", obj_array42, (java.lang.Throwable)mathException45);
    java.lang.Object[] obj_array50 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException("", obj_array50);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException("hi!", obj_array50, (java.lang.Throwable)mathException53);
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException("hi!", obj_array42, (java.lang.Throwable)convergenceException54);
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException("hi!", obj_array33, (java.lang.Throwable)convergenceException55);
    org.apache.commons.math.ConvergenceException convergenceException57 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array33);
    org.apache.commons.math.MathException mathException58 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException", (java.lang.Object[])throwable_array14, (java.lang.Throwable)convergenceException57);
    java.lang.Object[] obj_array63 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException("", obj_array63);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException("hi!", obj_array63, (java.lang.Throwable)mathException66);
    java.lang.Object[] obj_array71 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException("", obj_array71);
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException75 = new org.apache.commons.math.ConvergenceException("hi!", obj_array71, (java.lang.Throwable)mathException74);
    org.apache.commons.math.ConvergenceException convergenceException76 = new org.apache.commons.math.ConvergenceException("hi!", obj_array63, (java.lang.Throwable)convergenceException75);
    java.lang.String str77 = convergenceException75.toString();
    org.apache.commons.math.MathException mathException78 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException75);
    org.apache.commons.math.ConvergenceException convergenceException79 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException75);
    org.apache.commons.math.ConvergenceException convergenceException80 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array14, (java.lang.Throwable)convergenceException75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str77 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str77.equals("org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test107"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ");

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test108"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", obj_array4);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array4);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test109"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.38487466233528966d, 0.13286931860950468d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5006521268402522d);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test110"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException7);
    java.lang.Object[] obj_array10 = mathException7.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array10, (java.lang.Throwable)maxIterationsExceededException15);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("", obj_array20);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("hi!", obj_array20, (java.lang.Throwable)mathException23);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException23);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array10, (java.lang.Throwable)convergenceException25);
    java.lang.String str27 = convergenceException25.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.ConvergenceException: "+ "'", str27.equals("org.apache.commons.math.ConvergenceException: "));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test111"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean((-0.0013560785456266614d));
    normalDistributionImpl0.setMean((-9.413447310743813d));
    double d7 = normalDistributionImpl0.cumulativeProbability(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test112"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)mathException10);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", obj_array16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("hi!", obj_array16, (java.lang.Throwable)mathException19);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", obj_array24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array24, (java.lang.Throwable)mathException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array16, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array7);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array7);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException", (java.lang.Throwable)mathException32);
    java.lang.Throwable throwable34 = null;
    // The following exception was thrown during execution in test generation
    try {
      mathException32.addSuppressed(throwable34);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test113"); }


    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    java.lang.Throwable[] throwable_array8 = mathException7.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException9 = new org.apache.commons.math.MaxIterationsExceededException(10, "hi!", (java.lang.Object[])throwable_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(1, "hi!", (java.lang.Object[])throwable_array8);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException10);
    java.lang.String str12 = convergenceException11.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test114"); }


    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array11 = mathException8.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("hi!", obj_array11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("", obj_array11);
    java.lang.Throwable throwable15 = null;
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("hi!", obj_array11, throwable15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test115"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 0.28088357797469427d, 0.27097296358685363d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test116"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.0d), 10.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setMean(0.27097296358685363d);
    normalDistributionImpl2.setStandardDeviation(0.579289981766467d);
    normalDistributionImpl2.setMean((-0.8777138773315375d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 10.0d);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test117"); }


    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array12 = mathException9.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array12);
    int i14 = maxIterationsExceededException13.getMaxIterations();
    java.lang.Throwable[] throwable_array15 = maxIterationsExceededException13.getSuppressed();
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("hi!", (java.lang.Object[])throwable_array15, (java.lang.Throwable)convergenceException18);
    java.lang.Throwable[] throwable_array20 = convergenceException18.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array20);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test118"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.9999995d, 359.1342053695754d, (-1.0d), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test119"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.3759361905059354d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test120"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("");
    java.lang.String str2 = mathException1.getPattern();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array11 = mathException8.getArguments();
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException14);
    java.lang.Throwable[] throwable_array16 = mathException15.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array11, (java.lang.Throwable)mathException15);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("", obj_array21);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("hi!", obj_array21, (java.lang.Throwable)mathException24);
    java.lang.String str26 = convergenceException25.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", obj_array11, (java.lang.Throwable)convergenceException25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException27);
    mathException1.addSuppressed((java.lang.Throwable)mathException28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + ""+ "'", str2.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "hi!"+ "'", str26.equals("hi!"));

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test121"); }


    double d1 = org.apache.commons.math.special.Erf.erf(2.5474146764610768d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9996849357782854d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test122"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.7666442006550894d, 3.545666646209422d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9830735958194811d);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test123"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array25, (java.lang.Throwable)mathException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: hi!", obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test124"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP((-1016.4733086401367d), 0.3677750022774541d, 358.7417848012602d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test125"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-1.1787167915393815d), 0.5005409014673755d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test126"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array2);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test127"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ");
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("");
    java.lang.String str4 = mathException3.getPattern();
    convergenceException1.addSuppressed((java.lang.Throwable)mathException3);
    java.lang.String str6 = mathException3.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + ""+ "'", str6.equals(""));

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test128"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.7658912157193382d, 0.7658911849115478d, 3.375374108945388d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.4107405134475188d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test129"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.6081631309242475d, 3.1124247859483316E-96d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 9.21855191684252E-59d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test130"); }


    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array14 = mathException11.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array14);
    java.lang.Object[] obj_array18 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array18);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array14, (java.lang.Throwable)maxIterationsExceededException19);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", obj_array24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array24, (java.lang.Throwable)mathException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException31 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test131"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: hi!", obj_array1);
    java.lang.String str3 = convergenceException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str3.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test132"); }


    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException3);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException3);
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    java.lang.String str10 = mathException9.getPattern();
    mathException5.addSuppressed((java.lang.Throwable)mathException9);
    java.lang.String str12 = mathException5.toString();
    java.lang.String str13 = mathException5.toString();
    java.lang.Object[] obj_array15 = null;
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", obj_array22);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("hi!", obj_array22, (java.lang.Throwable)mathException25);
    java.lang.Object[] obj_array30 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("", obj_array30);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("hi!", obj_array30, (java.lang.Throwable)mathException33);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("hi!", obj_array22, (java.lang.Throwable)convergenceException34);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException35);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException36);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", (java.lang.Throwable)convergenceException36);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("hi!", obj_array15, (java.lang.Throwable)convergenceException36);
    mathException5.addSuppressed((java.lang.Throwable)mathException39);
    java.lang.Throwable[] throwable_array41 = mathException39.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + ""+ "'", str10.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str12.equals("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str13.equals("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test133"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d5 = normalDistributionImpl2.cumulativeProbability(0.7999225850214973d, 0.8427007929497174d);
    double d6 = normalDistributionImpl2.getStandardDeviation();
    // The following exception was thrown during execution in test generation
    try {
      double d8 = normalDistributionImpl2.inverseCumulativeProbability((-0.14987533905583372d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test134"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.7999225850214973d, 359.1342053695754d);
    double d3 = normalDistributionImpl2.getMean();
    double d5 = normalDistributionImpl2.inverseCumulativeProbability(0.03357934683499325d);
    normalDistributionImpl2.setStandardDeviation(2.4242170456061403d);
    // The following exception was thrown during execution in test generation
    try {
      normalDistributionImpl2.setStandardDeviation((-1016.4733086401367d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.7999225850214973d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-656.6349403199896d));

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test135"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.1900495205862412d, 0.5058628570405063d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.11358553390288262d);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test136"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean((-0.0013560785456266614d));
    // The following exception was thrown during execution in test generation
    try {
      double d5 = normalDistributionImpl0.inverseCumulativeProbability(358.7417848012602d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test137"); }


    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    java.lang.Throwable[] throwable_array8 = mathException7.getSuppressed();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", (java.lang.Object[])throwable_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.MaxIterationsExceededException: hi!", (java.lang.Object[])throwable_array8);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", obj_array15);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("", obj_array20);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("hi!", obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", obj_array15, (java.lang.Throwable)mathException22);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException23);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array8, (java.lang.Throwable)convergenceException24);
    java.lang.Throwable throwable26 = null;
    // The following exception was thrown during execution in test generation
    try {
      convergenceException24.addSuppressed(throwable26);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test138"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException");

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test139"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(391.1691728923024d, 0.9111012712822969d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test140"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP((-1016.4733086401367d), 0.742054901043145d, 0.7666442006550894d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test141"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.5006521268402522d, (-0.28888209727734576d), 0.26680537308630825d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test142"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d2 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test143"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException7);
    java.lang.Object[] obj_array10 = mathException7.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array10, (java.lang.Throwable)maxIterationsExceededException15);
    int i17 = maxIterationsExceededException15.getMaxIterations();
    int i18 = maxIterationsExceededException15.getMaxIterations();
    int i19 = maxIterationsExceededException15.getMaxIterations();
    java.lang.Object[] obj_array20 = maxIterationsExceededException15.getArguments();
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", (java.lang.Throwable)maxIterationsExceededException15);
    int i22 = maxIterationsExceededException15.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-1));

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test144"); }


    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("", throwable2);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)mathException3);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException3);
    java.lang.String str6 = mathException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str6.equals("org.apache.commons.math.MathException: "));

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test145"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.1900495205862412d, 1.46302568902061d);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test146"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d9 = normalDistributionImpl0.cumulativeProbability(0.7999225850214973d);
    double d10 = normalDistributionImpl0.getStandardDeviation();
    double d11 = normalDistributionImpl0.getStandardDeviation();
    double d13 = normalDistributionImpl0.cumulativeProbability(8.97235489139892E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.4834796729980234d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.20007741497852793d);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test147"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.05228928432370872d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.9229750475125633d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test148"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    java.lang.Throwable[] throwable_array9 = mathException8.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(10, "hi!", (java.lang.Object[])throwable_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array9);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("", (java.lang.Object[])throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test149"); }


    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)mathException12);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("", obj_array18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)mathException21);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", obj_array26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array26, (java.lang.Throwable)mathException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)convergenceException31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException36 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.MathException", obj_array9);
    java.lang.String str37 = maxIterationsExceededException36.toString();
    java.lang.Object[] obj_array46 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("", obj_array46);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException("hi!", obj_array46, (java.lang.Throwable)mathException49);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException51 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array46);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException51);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)convergenceException52);
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException53);
    maxIterationsExceededException36.addSuppressed((java.lang.Throwable)mathException53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException"+ "'", str37.equals("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test150"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", obj_array4);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("hi!", obj_array4);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("", obj_array13);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("hi!", obj_array13, (java.lang.Throwable)mathException16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException18);
    int i20 = maxIterationsExceededException18.getMaxIterations();
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", obj_array4, (java.lang.Throwable)maxIterationsExceededException18);
    int i22 = maxIterationsExceededException18.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 100);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test151"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)mathException10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array7);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException12);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)maxIterationsExceededException12);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("", obj_array21);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("hi!", obj_array21, (java.lang.Throwable)mathException24);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException26 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array21);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException26);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("", (java.lang.Throwable)maxIterationsExceededException26);
    int i29 = maxIterationsExceededException26.getMaxIterations();
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException26);
    convergenceException14.addSuppressed((java.lang.Throwable)maxIterationsExceededException26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 100);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test152"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.7999225850214973d, 359.1342053695754d);
    normalDistributionImpl2.setStandardDeviation(10.0d);
    normalDistributionImpl2.setMean(0.8427007929497174d);
    normalDistributionImpl2.setMean(0.500168982534911d);
    normalDistributionImpl2.setMean((-81.15865472296385d));

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test153"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: hi!", throwable1);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test154"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.cumulativeProbability((-0.8427007929497151d));
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d8 = normalDistributionImpl0.cumulativeProbability(0.0d, 1751.8796585025225d);
    normalDistributionImpl0.setMean(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.19969790180335623d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.7999225850214973d);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test155"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.00454015742533731d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999999808712758d);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test156"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 0.03347204026517582d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test157"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)mathException10);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", obj_array16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("hi!", obj_array16, (java.lang.Throwable)mathException19);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", obj_array24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array24, (java.lang.Throwable)mathException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array16, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array7);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(0, "Maximal number of iterations ({0}) exceeded", obj_array7);
    int i33 = maxIterationsExceededException32.getMaxIterations();
    int i34 = maxIterationsExceededException32.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test158"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.8427009411410833d, 1.0000002290142125d, 3.375374108945388d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test159"); }


    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException13);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException13);
    java.lang.Object[] obj_array16 = mathException13.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array16);
    java.lang.Object[] obj_array20 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array16, (java.lang.Throwable)maxIterationsExceededException21);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", obj_array26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array26, (java.lang.Throwable)mathException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException29);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array16, (java.lang.Throwable)convergenceException31);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException33 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException34 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: ", obj_array16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException35 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test160"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    java.lang.Throwable[] throwable_array9 = mathException8.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(10, "hi!", (java.lang.Object[])throwable_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(1, "hi!", (java.lang.Object[])throwable_array9);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("", obj_array18);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { "" };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array20);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException21);
    int i23 = maxIterationsExceededException21.getMaxIterations();
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException21);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)maxIterationsExceededException21);
    java.lang.String str26 = mathException25.getPattern();
    java.lang.Throwable[] throwable_array27 = mathException25.getSuppressed();
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (100) exceeded", (java.lang.Object[])throwable_array27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array9, (java.lang.Throwable)mathException28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str26.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array27);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test161"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("", obj_array14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("hi!", obj_array14, (java.lang.Throwable)mathException17);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)convergenceException18);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array6);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: hi!", (java.lang.Throwable)convergenceException20);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", obj_array26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array26, (java.lang.Throwable)mathException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException29);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: ", (java.lang.Throwable)mathException29);
    convergenceException20.addSuppressed((java.lang.Throwable)convergenceException32);
    java.lang.Object[] obj_array34 = convergenceException20.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test162"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.cumulativeProbability((-0.8427007929497151d));
    normalDistributionImpl0.setMean(0.5058628570405063d);
    double d7 = normalDistributionImpl0.inverseCumulativeProbability(0.27097296358685363d);
    normalDistributionImpl0.setStandardDeviation(0.4752364971106908d);
    double d11 = normalDistributionImpl0.cumulativeProbability(391.1691728923024d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.19969790180335623d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == (-0.10401020739474981d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test163"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 0.8446553147724056d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test164"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(Double.NEGATIVE_INFINITY, 100.0d);
    normalDistributionImpl2.setMean(0.0d);
    double d5 = normalDistributionImpl2.getMean();
    double d6 = normalDistributionImpl2.getMean();
    // The following exception was thrown during execution in test generation
    try {
      double d9 = normalDistributionImpl2.cumulativeProbability(0.6222879073739342d, 0.4265940723174745d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test165"); }


    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)mathException12);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("", obj_array18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)mathException21);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", obj_array26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array26, (java.lang.Throwable)mathException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)convergenceException31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    java.lang.Object[] obj_array36 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException37 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array36);
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException("", obj_array9, (java.lang.Throwable)maxIterationsExceededException37);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("", obj_array9);
    java.lang.Object[] obj_array43 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException("", obj_array43);
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array43, (java.lang.Throwable)convergenceException45);
    java.lang.Object[] obj_array51 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException("", obj_array51);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException55 = new org.apache.commons.math.ConvergenceException("hi!", obj_array51, (java.lang.Throwable)mathException54);
    java.lang.Object[] obj_array60 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException("", obj_array60);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException("hi!", obj_array60, (java.lang.Throwable)mathException63);
    java.lang.Object[] obj_array68 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException("", obj_array68);
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException72 = new org.apache.commons.math.ConvergenceException("hi!", obj_array68, (java.lang.Throwable)mathException71);
    org.apache.commons.math.ConvergenceException convergenceException73 = new org.apache.commons.math.ConvergenceException("hi!", obj_array60, (java.lang.Throwable)convergenceException72);
    org.apache.commons.math.ConvergenceException convergenceException74 = new org.apache.commons.math.ConvergenceException("hi!", obj_array51, (java.lang.Throwable)convergenceException73);
    java.lang.String str75 = convergenceException74.getPattern();
    convergenceException45.addSuppressed((java.lang.Throwable)convergenceException74);
    java.lang.String str77 = convergenceException74.toString();
    org.apache.commons.math.MathException mathException78 = new org.apache.commons.math.MathException("", obj_array9, (java.lang.Throwable)convergenceException74);
    org.apache.commons.math.ConvergenceException convergenceException79 = new org.apache.commons.math.ConvergenceException("Convergence failed", obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str75 + "' != '" + "hi!"+ "'", str75.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str77 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str77.equals("org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test166"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException4);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException4);
    java.lang.Object[] obj_array7 = mathException4.getArguments();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException10);
    java.lang.Throwable[] throwable_array12 = mathException11.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array7, (java.lang.Throwable)mathException11);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException13);
    java.lang.Throwable[] throwable_array15 = mathException14.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test167"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.5058628570405063d, 0.6547332566813524d, (-656.6349403199896d), 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test168"); }


    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException6);
    java.lang.Object[] obj_array9 = mathException6.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException12);
    java.lang.Throwable[] throwable_array14 = mathException13.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array9, (java.lang.Throwable)mathException13);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", (java.lang.Throwable)mathException13);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: hi!", (java.lang.Throwable)convergenceException16);
    java.lang.String str18 = convergenceException16.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str18.equals("Maximal number of iterations ({0}) exceeded"));

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test169"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.1900495205862412d, 0.15213439140809148d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.25846156180185953d);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test170"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("", obj_array14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("hi!", obj_array14, (java.lang.Throwable)mathException17);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", obj_array22);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("hi!", obj_array22, (java.lang.Throwable)mathException25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array14, (java.lang.Throwable)convergenceException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)convergenceException27);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array5);
    java.lang.Throwable[] throwable_array30 = mathException29.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array30);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test171"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.7999225850214973d, 359.1342053695754d);
    normalDistributionImpl2.setStandardDeviation(10.0d);
    double d5 = normalDistributionImpl2.getStandardDeviation();
    // The following exception was thrown during execution in test generation
    try {
      double d8 = normalDistributionImpl2.cumulativeProbability(0.683426358457353d, 0.084798202271244d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 10.0d);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test172"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.8413447770361517d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.11407658076791805d);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test173"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.4834796729980234d, 0.7999225850214973d);
    double d5 = normalDistributionImpl2.cumulativeProbability((-1016.4733086401367d), 0.028398906812863122d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.2847099632628896d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test174"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.6966082377198348d, 0.0752924850939371d);
    double d4 = normalDistributionImpl2.cumulativeProbability(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-1.4432899320127035E-15d));

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test175"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.5472174468217395d, 1.0d, 0.29843863477669813d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.8161731630158707d);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test176"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(1756.8296895627386d, 1.6434734428101426E-188d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    double d5 = normalDistributionImpl2.inverseCumulativeProbability(0.5133332014716827d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.6434734428101426E-188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1756.8296895627386d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test177"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.841344746068543d, 2.5474146764610768d, 1.0000002290142125d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test178"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d10 = normalDistributionImpl0.cumulativeProbability(Double.NaN, (-0.8427007929497151d));
    double d11 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean((-0.0013560785456266614d));
    double d14 = normalDistributionImpl0.getMean();
    double d15 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setStandardDeviation(0.8427007929497174d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == (-0.0013560785456266614d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test179"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.32045721550742096d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test180"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", obj_array4);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException6 = new org.apache.commons.math.MaxIterationsExceededException(100, "", obj_array4);
    java.lang.Object[] obj_array7 = maxIterationsExceededException6.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test181"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.02657552341500491d, 0.7666442006550894d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.00896184118219645d);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test182"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    normalDistributionImpl0.setMean(0.7999225850214973d);
    double d11 = normalDistributionImpl0.cumulativeProbability(1.0000000000000007d);
    double d12 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.579289981766467d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.7999225850214973d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test183"); }


    java.lang.Object[] obj_array3 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("", obj_array3);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array3, (java.lang.Throwable)convergenceException5);
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("", obj_array11);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("hi!", obj_array11, (java.lang.Throwable)mathException14);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("", obj_array20);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("hi!", obj_array20, (java.lang.Throwable)mathException23);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("", obj_array28);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", obj_array28, (java.lang.Throwable)mathException31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("hi!", obj_array20, (java.lang.Throwable)convergenceException32);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("hi!", obj_array11, (java.lang.Throwable)convergenceException33);
    java.lang.String str35 = convergenceException34.getPattern();
    convergenceException5.addSuppressed((java.lang.Throwable)convergenceException34);
    java.lang.Throwable[] throwable_array37 = convergenceException34.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str35 + "' != '" + "hi!"+ "'", str35.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array37);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test184"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: hi!");
    java.lang.Throwable[] throwable_array2 = mathException1.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test185"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-0.8427008246141697d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test186"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.3677750022774541d, 1.6957617972546788d);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test187"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d9 = normalDistributionImpl0.cumulativeProbability(0.7999225850214973d);
    double d11 = normalDistributionImpl0.inverseCumulativeProbability(0.19969790180335623d);
    normalDistributionImpl0.setMean(0.5058628570405063d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.4834796729980234d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == (-0.0013560785456266614d));

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test188"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.32045721550742096d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0266061689651749d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test189"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.2299176850431417d, 358.9785127269039d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.000000000000017d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test190"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.9329612469541649d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.04251862806654927d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test191"); }


    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("");
    java.lang.String str4 = mathException3.getPattern();
    java.lang.Throwable[] throwable_array5 = mathException3.getSuppressed();
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("", obj_array11);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("hi!", obj_array11, (java.lang.Throwable)mathException14);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("", obj_array20);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("hi!", obj_array20, (java.lang.Throwable)mathException23);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("", obj_array28);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", obj_array28, (java.lang.Throwable)mathException31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("hi!", obj_array20, (java.lang.Throwable)convergenceException32);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("hi!", obj_array11, (java.lang.Throwable)convergenceException33);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array11);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException35);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array5, (java.lang.Throwable)convergenceException35);
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException45);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException45);
    java.lang.Object[] obj_array48 = mathException45.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException49 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array48);
    java.lang.Object[] obj_array52 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException53 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array52);
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array48, (java.lang.Throwable)maxIterationsExceededException53);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException60);
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException60);
    java.lang.Object[] obj_array63 = mathException60.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException64 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array63);
    int i65 = maxIterationsExceededException64.getMaxIterations();
    java.lang.Throwable[] throwable_array66 = maxIterationsExceededException64.getSuppressed();
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array48, (java.lang.Throwable)maxIterationsExceededException64);
    convergenceException35.addSuppressed((java.lang.Throwable)maxIterationsExceededException64);
    java.lang.Object[] obj_array69 = convergenceException35.getArguments();
    java.lang.Throwable throwable70 = null;
    org.apache.commons.math.ConvergenceException convergenceException71 = new org.apache.commons.math.ConvergenceException("hi!", obj_array69, throwable70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test192"); }


    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array14 = mathException11.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array14);
    java.lang.Object[] obj_array18 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array18);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array14, (java.lang.Throwable)maxIterationsExceededException19);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", obj_array24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array24, (java.lang.Throwable)mathException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException31 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: ", obj_array14);
    int i33 = maxIterationsExceededException32.getMaxIterations();
    java.lang.Object[] obj_array34 = maxIterationsExceededException32.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test193"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)mathException8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array5);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException10);
    int i12 = maxIterationsExceededException10.getMaxIterations();
    java.lang.String str13 = maxIterationsExceededException10.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: hi!"+ "'", str13.equals("org.apache.commons.math.MaxIterationsExceededException: hi!"));

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test194"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(2.886080374686628E-7d, 0.0d, 0.00454015742533731d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test195"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.5058628570405063d);
    double d8 = normalDistributionImpl2.getMean();
    double d10 = normalDistributionImpl2.inverseCumulativeProbability(0.9329612469541649d);
    double d11 = normalDistributionImpl2.getMean();
    double d13 = normalDistributionImpl2.cumulativeProbability((-1.0000000000000093d));
    // The following exception was thrown during execution in test generation
    try {
      double d16 = normalDistributionImpl2.cumulativeProbability(1.000000000000017d, (-1.1787167915393815d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 360.3947203428477d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test196"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.4265940723174745d, 2.5474146764610768d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9812568198560236d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test197"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.5058628570405063d);
    double d8 = normalDistributionImpl2.getMean();
    double d9 = normalDistributionImpl2.getStandardDeviation();
    double d11 = normalDistributionImpl2.cumulativeProbability(0.7658911849115478d);
    double d13 = normalDistributionImpl2.cumulativeProbability(Double.NEGATIVE_INFINITY);
    // The following exception was thrown during execution in test generation
    try {
      double d16 = normalDistributionImpl2.cumulativeProbability(0.32045721550742096d, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test198"); }


    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array11 = mathException8.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array11);
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array11, (java.lang.Throwable)maxIterationsExceededException16);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException23);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException23);
    java.lang.Object[] obj_array26 = mathException23.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException27 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array26);
    int i28 = maxIterationsExceededException27.getMaxIterations();
    java.lang.Throwable[] throwable_array29 = maxIterationsExceededException27.getSuppressed();
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array11, (java.lang.Throwable)maxIterationsExceededException27);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)mathException30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test199"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.48487756382425307d, 0.500168982534911d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.30742584132210593d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test200"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d2 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test201"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.special.Erf.erf(391.1691728923024d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test202"); }


    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException6);
    java.lang.Object[] obj_array9 = mathException6.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array9, (java.lang.Throwable)maxIterationsExceededException14);
    int i16 = maxIterationsExceededException14.getMaxIterations();
    java.lang.Object[] obj_array17 = maxIterationsExceededException14.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj_array17);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test203"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    normalDistributionImpl0.setMean(0.7999225850214973d);
    double d11 = normalDistributionImpl0.inverseCumulativeProbability(0.27097296358685363d);
    normalDistributionImpl0.setStandardDeviation(0.5058628570405063d);
    double d14 = normalDistributionImpl0.getMean();
    double d17 = normalDistributionImpl0.cumulativeProbability((-9.413447310743813d), 0.3868548169018363d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.1900495205862412d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.7999225850214973d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.2070897385639921d);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test204"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setStandardDeviation(Double.NaN);
    normalDistributionImpl0.setMean(0.20007741497852793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test205"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 3.545666646209422d, 0.48856343326102736d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test206"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.0d), 10.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setMean(0.27097296358685363d);
    double d6 = normalDistributionImpl2.getMean();
    normalDistributionImpl2.setStandardDeviation(0.8368387485735187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.27097296358685363d);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test207"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("", obj_array1);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test208"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d10 = normalDistributionImpl0.cumulativeProbability(0.0d, 0.0d);
    double d11 = normalDistributionImpl0.getStandardDeviation();
    double d12 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 1.0d);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test209"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)mathException10);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", obj_array16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("hi!", obj_array16, (java.lang.Throwable)mathException19);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", obj_array24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array24, (java.lang.Throwable)mathException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array16, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array7);
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("", obj_array37);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException("hi!", obj_array37, (java.lang.Throwable)mathException40);
    java.lang.Object[] obj_array45 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException("", obj_array45);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException("hi!", obj_array45, (java.lang.Throwable)mathException48);
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException("hi!", obj_array37, (java.lang.Throwable)convergenceException49);
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException("", obj_array37);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException51);
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: hi!", obj_array7, (java.lang.Throwable)convergenceException51);
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test210"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.11407658076791805d, 0.20007739078908882d, 358.3680799079188d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.7204090414146783d);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test211"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.inverseCumulativeProbability(0.19969790180335623d);
    double d7 = normalDistributionImpl0.cumulativeProbability(0.841344746068543d);
    double d9 = normalDistributionImpl0.cumulativeProbability(359.9755501155279d);
    normalDistributionImpl0.setStandardDeviation(0.5133332014716827d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-0.8427008246141697d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.7999225850214973d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test212"); }


    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)mathException12);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)convergenceException21);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("");
    java.lang.String str25 = mathException24.getPattern();
    java.lang.Throwable[] throwable_array26 = mathException24.getSuppressed();
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("hi!", obj_array9, (java.lang.Throwable)mathException24);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array9);
    java.lang.Throwable throwable29 = null;
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", obj_array9, throwable29);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException31 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + ""+ "'", str25.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array26);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test213"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException7);
    java.lang.Object[] obj_array10 = mathException7.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array10, (java.lang.Throwable)maxIterationsExceededException15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", (java.lang.Throwable)convergenceException16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test214"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)mathException10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array7);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException12);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)maxIterationsExceededException12);
    java.lang.Object[] obj_array15 = maxIterationsExceededException12.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test215"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(3.9822447794601215d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7695016351442134d);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test216"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-0.13641079793128386d), 0.8161731630158707d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test217"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.0d), 10.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setMean(0.27097296358685363d);
    normalDistributionImpl2.setStandardDeviation(1.0266061689651749d);
    normalDistributionImpl2.setMean(1.0000000000000007d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 10.0d);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test218"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(359.1342053695754d, 0.9999999999958408d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test219"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)mathException11);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array8);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException21);
    java.lang.Object[] obj_array24 = mathException21.getArguments();
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException27);
    java.lang.Throwable[] throwable_array29 = mathException28.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array24, (java.lang.Throwable)mathException28);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException30);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array16, (java.lang.Throwable)mathException31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array8, (java.lang.Throwable)mathException31);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException31);
    java.lang.Throwable throwable38 = null;
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("", throwable38);
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException39);
    java.lang.Throwable[] throwable_array41 = convergenceException40.getSuppressed();
    java.lang.Object[] obj_array42 = convergenceException40.getArguments();
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException();
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array42, (java.lang.Throwable)mathException43);
    mathException34.addSuppressed((java.lang.Throwable)mathException44);
    java.lang.Throwable throwable47 = null;
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", throwable47);
    // The following exception was thrown during execution in test generation
    try {
      mathException44.addSuppressed(throwable47);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test220"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)mathException10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array7);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)convergenceException13);
    java.lang.String str15 = convergenceException13.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "hi!"+ "'", str15.equals("hi!"));

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test221"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.7658912157193382d, 0.3677750022774541d, 0.8823193626826147d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.5786641736118835d);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test222"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.30742584132210593d, 0.02998020888482096d, 0.36628922616122284d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.37677094921496823d);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test223"); }


    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)mathException12);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)convergenceException21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", obj_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException24 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MaxIterationsExceededException: hi!", obj_array9);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("");
    java.lang.String str27 = mathException26.getPattern();
    java.lang.Throwable[] throwable_array28 = mathException26.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException26);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)convergenceException30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + ""+ "'", str27.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array28);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test224"); }


    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array11 = mathException8.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array11);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", obj_array11);
    java.lang.Throwable throwable14 = null;
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", obj_array11, throwable14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test225"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("", obj_array14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("hi!", obj_array14, (java.lang.Throwable)mathException17);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)convergenceException18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("");
    java.lang.String str22 = mathException21.getPattern();
    java.lang.Throwable[] throwable_array23 = mathException21.getSuppressed();
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("hi!", obj_array6, (java.lang.Throwable)mathException21);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array6);
    java.lang.Throwable[] throwable_array26 = convergenceException25.getSuppressed();
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array26);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test226"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.0000000000000093d), (-0.14987533905583372d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test227"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.5006521268402522d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5710855338687306d);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test228"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.5058628570405063d);
    double d8 = normalDistributionImpl2.getMean();
    double d11 = normalDistributionImpl2.cumulativeProbability((-9.413447310743813d), 0.8413447770361517d);
    normalDistributionImpl2.setStandardDeviation(0.5938607035172963d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test229"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.5058628570405063d, (-0.8777138773315375d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test230"); }


    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("", throwable2);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)mathException3);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException3);
    java.lang.Object[] obj_array8 = null;
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)convergenceException9);
    mathException5.addSuppressed((java.lang.Throwable)mathException10);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException17);
    java.lang.Object[] obj_array20 = mathException17.getArguments();
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException23);
    java.lang.Throwable[] throwable_array25 = mathException24.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array20, (java.lang.Throwable)mathException24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException24);
    java.lang.String str28 = mathException24.toString();
    mathException5.addSuppressed((java.lang.Throwable)mathException24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str28 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str28.equals("org.apache.commons.math.MathException: "));

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test231"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.7999225850214973d, 358.7417848012602d);
    normalDistributionImpl2.setMean(358.9785127269039d);
    double d5 = normalDistributionImpl2.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 358.7417848012602d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test232"); }


    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException6);
    java.lang.Object[] obj_array9 = mathException6.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array9, (java.lang.Throwable)maxIterationsExceededException14);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException14);
    int i17 = maxIterationsExceededException14.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test233"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.7999225850214973d);
    double d4 = normalDistributionImpl0.inverseCumulativeProbability(Double.NaN);
    normalDistributionImpl0.setMean(359.9755501155279d);
    double d7 = normalDistributionImpl0.getStandardDeviation();
    // The following exception was thrown during execution in test generation
    try {
      double d10 = normalDistributionImpl0.cumulativeProbability(1.00000035699529d, 0.48856343326102736d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8413447770361517d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.9999995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test234"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.36787922530658235d, 0.9111012712822969d);
    normalDistributionImpl2.setMean(1.0000000000000056d);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test235"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-656.6349403199896d), 0.11407660781971485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test236"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(1.00000035699529d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.0606316963878157E-7d));

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test237"); }


    java.lang.Object[] obj_array1 = null;
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("", obj_array10);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("hi!", obj_array10, (java.lang.Throwable)mathException13);
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("", obj_array19);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("hi!", obj_array19, (java.lang.Throwable)mathException22);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("", obj_array27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array27, (java.lang.Throwable)mathException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", obj_array19, (java.lang.Throwable)convergenceException31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("hi!", obj_array10, (java.lang.Throwable)convergenceException32);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array10);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", obj_array1, (java.lang.Throwable)convergenceException37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test238"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)mathException10);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", obj_array16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("hi!", obj_array16, (java.lang.Throwable)mathException19);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", obj_array24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array24, (java.lang.Throwable)mathException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array16, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array7);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException31);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)mathException32);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException33);
    java.lang.Object[] obj_array35 = mathException34.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test239"); }


    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("", throwable2);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)mathException3);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException3);
    java.lang.Object[] obj_array6 = mathException5.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test240"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!");

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test241"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(3.9822447794601215d, 1.0000002290142125d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.01951756936620628d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test242"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 0.4752364971106908d, 0.44135998231265494d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test243"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.3677750022774541d, 0.00896184118219645d, 0.12751004237903563d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.19803483136213895d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test244"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(358.9785127269039d, 2.886080374686628E-7d, 0.7666442006550894d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test245"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException6);
    java.lang.Object[] obj_array9 = mathException6.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException12);
    java.lang.Throwable[] throwable_array14 = mathException13.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array9, (java.lang.Throwable)mathException13);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array1, (java.lang.Throwable)mathException16);
    java.lang.Object[] obj_array18 = mathException16.getArguments();
    java.lang.String str19 = mathException16.getPattern();
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", obj_array24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array24, (java.lang.Throwable)mathException27);
    java.lang.Object[] obj_array29 = convergenceException28.getArguments();
    java.lang.Throwable throwable30 = null;
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array29, throwable30);
    mathException16.addSuppressed((java.lang.Throwable)mathException31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str19 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str19.equals("org.apache.commons.math.ConvergenceException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test246"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-9.413447310743813d), 0.11407660781971485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test247"); }


    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException5);
    java.lang.Throwable[] throwable_array7 = mathException6.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException8 = new org.apache.commons.math.MaxIterationsExceededException(10, "hi!", (java.lang.Object[])throwable_array7);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException10);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException10);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test248"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-81.15865472296385d), 0.8427000413892123d, (-2.0606316963878157E-7d), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test249"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.934825618911975d, 0.1900495205862412d);
    normalDistributionImpl2.setStandardDeviation(0.00242766770162689d);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test250"); }


    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array14 = mathException11.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array14);
    java.lang.Object[] obj_array18 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array18);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array14, (java.lang.Throwable)maxIterationsExceededException19);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", obj_array24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array24, (java.lang.Throwable)mathException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14, (java.lang.Throwable)convergenceException29);
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("", obj_array37);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException("hi!", obj_array37, (java.lang.Throwable)mathException40);
    java.lang.Object[] obj_array46 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("", obj_array46);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException("hi!", obj_array46, (java.lang.Throwable)mathException49);
    java.lang.Object[] obj_array54 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("", obj_array54);
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException("hi!", obj_array54, (java.lang.Throwable)mathException57);
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException("hi!", obj_array46, (java.lang.Throwable)convergenceException58);
    org.apache.commons.math.ConvergenceException convergenceException60 = new org.apache.commons.math.ConvergenceException("hi!", obj_array37, (java.lang.Throwable)convergenceException59);
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array37);
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException61);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)mathException62);
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array14, (java.lang.Throwable)mathException63);
    org.apache.commons.math.MathException mathException65 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException63);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException65);
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MathException", (java.lang.Throwable)mathException65);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test251"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.special.Erf.erf(358.62026477039063d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test252"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(10);
    java.lang.String str2 = maxIterationsExceededException1.getPattern();
    int i3 = maxIterationsExceededException1.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "Maximal number of iterations ({0}) exceeded"+ "'", str2.equals("Maximal number of iterations ({0}) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 10);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test253"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(1.734570504297551d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.08812819566467511d));

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test254"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 0.9996849357782854d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test255"); }


    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array14 = mathException11.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array14);
    java.lang.Object[] obj_array18 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array18);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array14, (java.lang.Throwable)maxIterationsExceededException19);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", obj_array24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array24, (java.lang.Throwable)mathException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array14, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array14);
    java.lang.Throwable[] throwable_array33 = convergenceException32.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: hi!", (java.lang.Object[])throwable_array33);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array33);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test256"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)mathException10);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", obj_array16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("hi!", obj_array16, (java.lang.Throwable)mathException19);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", obj_array24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array24, (java.lang.Throwable)mathException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array16, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array7);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array7);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array7);
    java.lang.Object[] obj_array34 = mathException33.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test257"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.6484430133650835d, 1.0d, 0.8413448324509365d, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test258"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 0.934825618911975d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test259"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.4834796729980234d, 0.579289981766467d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7281478366986667d);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test260"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(57.18402859598079d, 0.9999995d, 0.44135998231265494d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test261"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.21187812850751586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.23554893437357297d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test262"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException");

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test263"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException3 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array2);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test264"); }


    double d1 = org.apache.commons.math.special.Erf.erf((-0.8427007929497151d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.766644200655088d));

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test265"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.7999225850214973d);
    double d4 = normalDistributionImpl0.inverseCumulativeProbability(Double.NaN);
    normalDistributionImpl0.setMean(0.20007741497850268d);
    normalDistributionImpl0.setMean(0.4773017245930811d);
    double d11 = normalDistributionImpl0.cumulativeProbability(0.5058628570405063d, 0.9965778025382259d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8413447770361517d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.9999995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.18682318918996688d);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test266"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.7999225850214973d);
    double d4 = normalDistributionImpl0.inverseCumulativeProbability(Double.NaN);
    normalDistributionImpl0.setMean(0.20007741497850268d);
    normalDistributionImpl0.setMean(0.4773017245930811d);
    normalDistributionImpl0.setStandardDeviation(0.8368387485735187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8413447770361517d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.9999995d);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test267"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.26680537308630825d, 0.7999225850214973d);
    double d4 = normalDistributionImpl2.cumulativeProbability(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.3693637305222951d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test268"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)mathException10);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)mathException18);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)convergenceException19);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException22 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.MaxIterationsExceededException: hi!", obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test269"); }


    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException6);
    java.lang.Object[] obj_array9 = mathException6.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    int i11 = maxIterationsExceededException10.getMaxIterations();
    java.lang.Throwable[] throwable_array12 = maxIterationsExceededException10.getSuppressed();
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array14);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("hi!", (java.lang.Object[])throwable_array12, (java.lang.Throwable)convergenceException15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test270"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-0.0015301698418621374d), (-0.0015301698418621374d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test271"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d3 = normalDistributionImpl0.cumulativeProbability((-1.0d), (-1.0d));
    normalDistributionImpl0.setMean(Double.NaN);
    double d6 = normalDistributionImpl0.getStandardDeviation();
    // The following exception was thrown during execution in test generation
    try {
      normalDistributionImpl0.setStandardDeviation(0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test272"); }


    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException5);
    java.lang.Throwable[] throwable_array7 = mathException6.getSuppressed();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", (java.lang.Object[])throwable_array7);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException9 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test273"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d10 = normalDistributionImpl0.cumulativeProbability(Double.NaN, (-0.8427007929497151d));
    normalDistributionImpl0.setStandardDeviation(0.9329612469541649d);
    double d13 = normalDistributionImpl0.getMean();
    double d14 = normalDistributionImpl0.getMean();
    double d15 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.841344746068543d);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test274"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { "" };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException10);
    int i12 = maxIterationsExceededException10.getMaxIterations();
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException10);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)maxIterationsExceededException10);
    java.lang.String str15 = mathException14.getPattern();
    java.lang.Throwable[] throwable_array16 = mathException14.getSuppressed();
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (100) exceeded", (java.lang.Object[])throwable_array16);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array16);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test275"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(Double.NEGATIVE_INFINITY, 100.0d);
    normalDistributionImpl2.setMean(0.0d);
    double d5 = normalDistributionImpl2.getMean();
    normalDistributionImpl2.setStandardDeviation(0.8397267780453156d);
    double d9 = normalDistributionImpl2.inverseCumulativeProbability(0.34959162450913733d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-0.3244899335874804d));

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test276"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.special.Erf.erf(1751.7101650261818d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test277"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!");
    java.lang.String str2 = convergenceException1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str2.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test278"); }


    double d1 = org.apache.commons.math.special.Erf.erf(1.0000000000000009d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8427007929497154d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test279"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)mathException18);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", obj_array23);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array23, (java.lang.Throwable)mathException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)convergenceException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array6);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException30);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: hi!", (java.lang.Throwable)mathException31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test280"); }


    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException5);
    java.lang.Object[] obj_array8 = mathException5.getArguments();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException11);
    java.lang.Throwable[] throwable_array13 = mathException12.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8, (java.lang.Throwable)mathException12);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException21);
    java.lang.Object[] obj_array24 = mathException21.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException25 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array24);
    java.lang.Object[] obj_array28 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException29 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array24, (java.lang.Throwable)maxIterationsExceededException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException29);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", obj_array8, (java.lang.Throwable)maxIterationsExceededException29);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException34);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException41);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException41);
    java.lang.Object[] obj_array44 = mathException41.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException45 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array44);
    int i46 = maxIterationsExceededException45.getMaxIterations();
    java.lang.Throwable[] throwable_array47 = maxIterationsExceededException45.getSuppressed();
    mathException34.addSuppressed((java.lang.Throwable)maxIterationsExceededException45);
    java.lang.Object[] obj_array49 = maxIterationsExceededException45.getArguments();
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException45);
    mathException32.addSuppressed((java.lang.Throwable)mathException50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array49);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test281"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.cumulativeProbability((-0.8427007929497151d));
    normalDistributionImpl0.setStandardDeviation(0.27097296358685363d);
    // The following exception was thrown during execution in test generation
    try {
      double d8 = normalDistributionImpl0.cumulativeProbability(0.9999995d, 0.9996849357782854d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.19969790180335623d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test282"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP((-8.881784197001252E-16d), 0.9329612469541649d, 0.934825618911975d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test283"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.8427009411410833d, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test284"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException4);
    java.lang.Throwable[] throwable_array6 = mathException5.getSuppressed();
    java.lang.Throwable[] throwable_array7 = mathException5.getSuppressed();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException11);
    java.lang.String str14 = mathException11.toString();
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array7, (java.lang.Throwable)mathException11);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str14.equals("org.apache.commons.math.MathException: "));

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test285"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.6484430133650835d, 0.2119888976872879d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6253524360300073d);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test286"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.02657552341500491d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.6129983367823857d);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test287"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setStandardDeviation(1751.8796585025225d);
    double d6 = normalDistributionImpl0.cumulativeProbability(1751.8796585025225d);
    double d7 = normalDistributionImpl0.getStandardDeviation();
    double d9 = normalDistributionImpl0.cumulativeProbability(0.742054901043145d);
    double d10 = normalDistributionImpl0.getMean();
    double d11 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1751.8796585025225d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.500168982534911d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test288"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma((-218.2263392488224d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test289"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!");
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array25, (java.lang.Throwable)mathException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException32);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)mathException33);
    mathException1.addSuppressed((java.lang.Throwable)mathException33);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException39);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException39);
    mathException1.addSuppressed((java.lang.Throwable)mathException41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test290"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    normalDistributionImpl0.setStandardDeviation(Double.NaN);
    normalDistributionImpl0.setMean(1.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d10 = normalDistributionImpl0.cumulativeProbability(0.5204998778130466d, 0.37677094921496823d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test291"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("", obj_array14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("hi!", obj_array14, (java.lang.Throwable)mathException17);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)convergenceException18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("");
    java.lang.String str22 = mathException21.getPattern();
    java.lang.Throwable[] throwable_array23 = mathException21.getSuppressed();
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("hi!", obj_array6, (java.lang.Throwable)mathException21);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array6);
    java.lang.Object[] obj_array26 = convergenceException25.getArguments();
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException34);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException34);
    java.lang.Object[] obj_array37 = mathException34.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException38 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array37);
    java.lang.Object[] obj_array41 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException42 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array41);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array37, (java.lang.Throwable)maxIterationsExceededException42);
    java.lang.Object[] obj_array47 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException("", obj_array47);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException("hi!", obj_array47, (java.lang.Throwable)mathException50);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException50);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array37, (java.lang.Throwable)convergenceException52);
    java.lang.Object[] obj_array54 = convergenceException52.getArguments();
    convergenceException25.addSuppressed((java.lang.Throwable)convergenceException52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + ""+ "'", str22.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test292"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.20007741497852793d, 0.7658911849115478d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.07596150468987528d);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test293"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma((-2.0606316963878157E-7d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test294"); }


    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException5);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException7);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)convergenceException8);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", obj_array26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array26, (java.lang.Throwable)mathException29);
    java.lang.Object[] obj_array34 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("", obj_array34);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException("hi!", obj_array34, (java.lang.Throwable)mathException37);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException("hi!", obj_array26, (java.lang.Throwable)convergenceException38);
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)convergenceException39);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array17);
    java.lang.Object[] obj_array44 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException45 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException("", obj_array17, (java.lang.Throwable)maxIterationsExceededException45);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("", obj_array17);
    convergenceException9.addSuppressed((java.lang.Throwable)mathException47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test295"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.5058628570405063d);
    double d9 = normalDistributionImpl2.cumulativeProbability(0.0d);
    double d11 = normalDistributionImpl2.inverseCumulativeProbability(0.32045721550742096d);
    double d12 = normalDistributionImpl2.getStandardDeviation();
    double d14 = normalDistributionImpl2.cumulativeProbability(0.15938761360816545d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 358.7417848012602d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test296"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.9111012712822969d, 0.15938761360816545d, (-81.15865472296385d), 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test297"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.020817758028864413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.860285444108874d);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test298"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    normalDistributionImpl0.setMean(0.7999225850214973d);
    double d11 = normalDistributionImpl0.cumulativeProbability(1.0000000000000007d);
    double d13 = normalDistributionImpl0.cumulativeProbability(1.0450614160717464E-6d);
    double d14 = normalDistributionImpl0.getStandardDeviation();
    double d15 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean(0.25846156180185953d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.579289981766467d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.21187812850751586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test299"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: hi!");
    java.lang.Object[] obj_array2 = mathException1.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test300"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.3693637305222951d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8787270785181263d);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test301"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.00242766770162689d, 0.766643783778611d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.028794320658061E-4d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test302"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: hi!");

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test303"); }


    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array11 = mathException8.getArguments();
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("", obj_array18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)mathException21);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException23 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array18);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException23);
    int i25 = maxIterationsExceededException23.getMaxIterations();
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array11, (java.lang.Throwable)maxIterationsExceededException23);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException", obj_array11);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException29 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException", obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 100);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test304"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.20007741497852793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.22278651618212827d);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test305"); }


    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array11 = mathException8.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("hi!", obj_array11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("", obj_array11);
    java.lang.Throwable throwable15 = null;
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("hi!", obj_array11, throwable15);
    java.lang.Object[] obj_array17 = convergenceException16.getArguments();
    java.lang.Throwable throwable18 = null;
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: ", obj_array17, throwable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test306"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.7999225850214973d, 359.1342053695754d);
    double d3 = normalDistributionImpl2.getMean();
    double d5 = normalDistributionImpl2.inverseCumulativeProbability(0.03357934683499325d);
    normalDistributionImpl2.setStandardDeviation(2.4242170456061403d);
    double d9 = normalDistributionImpl2.inverseCumulativeProbability(0.8570762719149951d);
    double d12 = normalDistributionImpl2.cumulativeProbability(0.605489133290154d, 0.787891298942987d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.7999225850214973d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-656.6349403199896d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 3.387230000904901d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.02998282402076835d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test307"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException4);
    java.lang.Throwable[] throwable_array6 = mathException5.getSuppressed();
    java.lang.Throwable[] throwable_array7 = mathException5.getSuppressed();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException11);
    java.lang.Throwable[] throwable_array13 = mathException12.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array13, (java.lang.Throwable)maxIterationsExceededException15);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array7, (java.lang.Throwable)mathException17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test308"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getMean();
    double d2 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test309"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.7999225850214973d);
    double d4 = normalDistributionImpl0.inverseCumulativeProbability(Double.NaN);
    normalDistributionImpl0.setMean(0.12751004237903563d);
    double d7 = normalDistributionImpl0.getStandardDeviation();
    // The following exception was thrown during execution in test generation
    try {
      double d9 = normalDistributionImpl0.inverseCumulativeProbability(358.62026477039063d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8413447770361517d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.9999995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test310"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.8368387485735187d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test311"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("Convergence failed", obj_array1);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test312"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.8446553147724056d, 0.19969790180335623d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7516143771871209d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test313"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.5058628570405063d);
    double d9 = normalDistributionImpl2.cumulativeProbability(0.0d);
    double d11 = normalDistributionImpl2.inverseCumulativeProbability(0.32045721550742096d);
    double d12 = normalDistributionImpl2.getStandardDeviation();
    double d13 = normalDistributionImpl2.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 358.7417848012602d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.841344746068543d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test314"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-81.15865472296385d), 0.22278651618212827d, 0.0d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test315"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.03347204026517582d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.03775505241898324d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test316"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.500168982534911d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5206483641733032d);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test317"); }


    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)mathException12);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("", obj_array18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)mathException21);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", obj_array26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array26, (java.lang.Throwable)mathException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)convergenceException31);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("", obj_array9);
    java.lang.Throwable throwable35 = null;
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", obj_array9, throwable35);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array9);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException("", obj_array44);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException("hi!", obj_array44, (java.lang.Throwable)mathException47);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException49 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array44);
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException49);
    java.lang.String str51 = convergenceException50.toString();
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array9, (java.lang.Throwable)convergenceException50);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str51 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str51.equals("org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test318"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.8413447770361517d, 0.7658911849115478d);
    normalDistributionImpl2.setStandardDeviation(0.5204998778130466d);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test319"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.6081631309242475d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.38577783968112067d);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test320"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.8427007929497174d, 359.1342053695754d);
    // The following exception was thrown during execution in test generation
    try {
      double d5 = normalDistributionImpl2.cumulativeProbability(0.8235906961389694d, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test321"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (100) exceeded");
    java.lang.Throwable[] throwable_array2 = convergenceException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test322"); }


    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    java.lang.Throwable[] throwable_array8 = mathException7.getSuppressed();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", (java.lang.Object[])throwable_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.MaxIterationsExceededException: hi!", (java.lang.Object[])throwable_array8);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", obj_array15);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("", obj_array20);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("hi!", obj_array20);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", obj_array15, (java.lang.Throwable)mathException22);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException23);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array8, (java.lang.Throwable)convergenceException24);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test323"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.3759361905059354d, (-1.0d), 1.6653345369377348E-15d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test324"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", obj_array4);
    java.lang.Object[] obj_array6 = new java.lang.Object[] { "" };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array6);
    int i8 = maxIterationsExceededException7.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 100);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test325"); }


    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException10);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException10);
    java.lang.Object[] obj_array13 = mathException10.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array13);
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array17);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array13, (java.lang.Throwable)maxIterationsExceededException18);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", obj_array23);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array23, (java.lang.Throwable)mathException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException30 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array13);
    int i31 = maxIterationsExceededException30.getMaxIterations();
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (100) exceeded", (java.lang.Throwable)maxIterationsExceededException30);
    int i33 = maxIterationsExceededException30.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 100);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test326"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(359.9755501155279d, 3.375374108945388d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test327"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.9999903344963721d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8426967806879124d);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test328"); }


    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException5);
    java.lang.Object[] obj_array8 = mathException5.getArguments();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException11);
    java.lang.Throwable[] throwable_array13 = mathException12.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8, (java.lang.Throwable)mathException12);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException12);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException20);
    java.lang.Throwable[] throwable_array22 = mathException21.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException23 = new org.apache.commons.math.MaxIterationsExceededException(10, "hi!", (java.lang.Object[])throwable_array22);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException23);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException25);
    mathException15.addSuppressed((java.lang.Throwable)convergenceException25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test329"); }


    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException(throwable2);
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("hi!", throwable2);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)convergenceException4);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test330"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.20007741497850268d, 0.20007741497850268d);
    double d4 = normalDistributionImpl2.inverseCumulativeProbability(0.8787270785181263d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.4338972209271252d);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test331"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-9.413447310743813d), 0.20007739078908882d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test332"); }


    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException6);
    java.lang.Object[] obj_array9 = mathException6.getArguments();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("hi!", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: hi!", obj_array9);
    java.lang.Object[] obj_array13 = convergenceException12.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test333"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d4 = normalDistributionImpl0.cumulativeProbability(1.00000035699529d);
    double d6 = normalDistributionImpl0.cumulativeProbability(0.4773017245930811d);
    normalDistributionImpl0.setMean(0.5204998778130466d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.8413448324509365d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.683426358457353d);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test334"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.8446553147724056d, 0.742054901043145d);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test335"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(360.3947203428477d, Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test336"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d10 = normalDistributionImpl0.cumulativeProbability(0.0d, 0.0d);
    double d11 = normalDistributionImpl0.getStandardDeviation();
    // The following exception was thrown during execution in test generation
    try {
      double d13 = normalDistributionImpl0.inverseCumulativeProbability(2.9229750475125633d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test337"); }


    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array11 = mathException8.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("hi!", obj_array11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("", obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array11);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("hi!", obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test338"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.0d), 10.0d);
    normalDistributionImpl2.setMean(1751.8796585025225d);
    double d6 = normalDistributionImpl2.cumulativeProbability(0.841344746068543d);
    normalDistributionImpl2.setStandardDeviation(0.2119888976872879d);
    double d10 = normalDistributionImpl2.cumulativeProbability(0.20007739078908882d);
    normalDistributionImpl2.setStandardDeviation(0.0752924850939371d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test339"); }


    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)mathException12);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)convergenceException21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", obj_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException24 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MaxIterationsExceededException: hi!", obj_array9);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("", obj_array29);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("hi!", obj_array29);
    java.lang.Object[] obj_array38 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("", obj_array38);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException("hi!", obj_array38, (java.lang.Throwable)mathException41);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException43 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array38);
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException43);
    int i45 = maxIterationsExceededException43.getMaxIterations();
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", obj_array29, (java.lang.Throwable)maxIterationsExceededException43);
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", obj_array9, (java.lang.Throwable)maxIterationsExceededException43);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array9);
    java.lang.String str49 = mathException48.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str49 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str49.equals("org.apache.commons.math.MathException: "));

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test340"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    normalDistributionImpl0.setMean(0.7999225850214973d);
    double d11 = normalDistributionImpl0.inverseCumulativeProbability(0.27097296358685363d);
    normalDistributionImpl0.setStandardDeviation(0.5058628570405063d);
    normalDistributionImpl0.setMean(0.5d);
    // The following exception was thrown during execution in test generation
    try {
      normalDistributionImpl0.setStandardDeviation((-0.3244899335874804d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.1900495205862412d);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test341"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(1.3103482173811769E-170d, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test342"); }


    double d1 = org.apache.commons.math.special.Erf.erf((-0.8427008246141697d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7666442182187537d));

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test343"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)mathException8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array5);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException12);
    maxIterationsExceededException10.addSuppressed((java.lang.Throwable)maxIterationsExceededException12);
    java.lang.String str15 = maxIterationsExceededException10.toString();
    java.lang.Object[] obj_array16 = maxIterationsExceededException10.getArguments();
    int i17 = maxIterationsExceededException10.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: hi!"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 100);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test344"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)mathException10);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)mathException18);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)convergenceException19);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException20);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", (java.lang.Throwable)convergenceException21);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test345"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.03347204026517582d, 0.3868548169018363d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9754687747991483d);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test346"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.9999903344963721d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.579156939994334E-6d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test347"); }


    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException9);
    java.lang.Throwable[] throwable_array11 = mathException10.getSuppressed();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", (java.lang.Object[])throwable_array11);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.MaxIterationsExceededException: hi!", (java.lang.Object[])throwable_array11);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array11);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.MathException: hi!", (java.lang.Object[])throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test348"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.5208509042457623d, 0.7204090414146783d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.24087716713889495d);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test349"); }


    java.lang.Object[] obj_array10 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("", obj_array10);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("hi!", obj_array10, (java.lang.Throwable)mathException13);
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("", obj_array19);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("hi!", obj_array19, (java.lang.Throwable)mathException22);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("", obj_array27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array27, (java.lang.Throwable)mathException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", obj_array19, (java.lang.Throwable)convergenceException31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("hi!", obj_array10, (java.lang.Throwable)convergenceException32);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: hi!", obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)mathException37);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)mathException37);
    java.lang.String str40 = mathException37.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: hi!"+ "'", str40.equals("org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: hi!"));

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test350"); }


    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MathException", obj_array2);
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException3);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test351"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d3 = normalDistributionImpl0.cumulativeProbability((-1.0d), (-1.0d));
    double d6 = normalDistributionImpl0.cumulativeProbability(0.8413448324509365d, 25.746555910913887d);
    double d7 = normalDistributionImpl0.getStandardDeviation();
    double d8 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.20007739078908882d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test352"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP((-656.6349403199896d), 1.6653345369377348E-15d, 0.3981311869834955d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test353"); }


    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException10);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException10);
    java.lang.Object[] obj_array13 = mathException10.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array13);
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array17);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array13, (java.lang.Throwable)maxIterationsExceededException18);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: ", obj_array13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test354"); }


    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array11 = mathException8.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array11);
    int i13 = maxIterationsExceededException12.getMaxIterations();
    java.lang.Throwable[] throwable_array14 = maxIterationsExceededException12.getSuppressed();
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("", obj_array19);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("hi!", obj_array19, (java.lang.Throwable)mathException22);
    java.lang.Object[] obj_array28 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("", obj_array28);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", obj_array28, (java.lang.Throwable)mathException31);
    java.lang.Object[] obj_array36 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("", obj_array36);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException("hi!", obj_array36, (java.lang.Throwable)mathException39);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException("hi!", obj_array28, (java.lang.Throwable)convergenceException40);
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException("hi!", obj_array19, (java.lang.Throwable)convergenceException41);
    java.lang.String str43 = convergenceException42.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", (java.lang.Object[])throwable_array14, (java.lang.Throwable)convergenceException42);
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array14);
    java.lang.Throwable throwable46 = null;
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: hi!", (java.lang.Object[])throwable_array14, throwable46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str43 + "' != '" + "hi!"+ "'", str43.equals("hi!"));

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test355"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.9965778025382259d, 0.8570762719149951d);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test356"); }


    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException6);
    java.lang.Object[] obj_array9 = mathException6.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException12);
    java.lang.Throwable[] throwable_array14 = mathException13.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array9, (java.lang.Throwable)mathException13);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException22);
    java.lang.Object[] obj_array25 = mathException22.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException26 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array25);
    java.lang.Object[] obj_array29 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException30 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array25, (java.lang.Throwable)maxIterationsExceededException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException30);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", obj_array9, (java.lang.Throwable)maxIterationsExceededException30);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (100) exceeded", obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test357"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.2745347477142007d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3021695301475822d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test358"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException(throwable1);
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException", throwable1);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test359"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.22278651618212827d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4099071388851772d);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test360"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.15213439140809148d, 5.579156939994334E-6d);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test361"); }


    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array12 = mathException9.getArguments();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("hi!", obj_array12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array12);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("", obj_array12);
    java.lang.Throwable throwable16 = null;
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("hi!", obj_array12, throwable16);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array12);
    java.lang.Throwable[] throwable_array19 = mathException18.getSuppressed();
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!");
    java.lang.Object[] obj_array28 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("", obj_array28);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", obj_array28, (java.lang.Throwable)mathException31);
    java.lang.Object[] obj_array37 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("", obj_array37);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException("hi!", obj_array37, (java.lang.Throwable)mathException40);
    java.lang.Object[] obj_array45 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException("", obj_array45);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException("hi!", obj_array45, (java.lang.Throwable)mathException48);
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException("hi!", obj_array37, (java.lang.Throwable)convergenceException49);
    org.apache.commons.math.ConvergenceException convergenceException51 = new org.apache.commons.math.ConvergenceException("hi!", obj_array28, (java.lang.Throwable)convergenceException50);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array28);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException52);
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)mathException53);
    mathException21.addSuppressed((java.lang.Throwable)mathException53);
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array19, (java.lang.Throwable)mathException21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array45);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test362"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.48856343326102736d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5951477465170645d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test363"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)mathException8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array5);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException10);
    java.lang.String str12 = maxIterationsExceededException10.getPattern();
    java.lang.Object[] obj_array21 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("", obj_array21);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("hi!", obj_array21, (java.lang.Throwable)mathException24);
    java.lang.Object[] obj_array30 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("", obj_array30);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("hi!", obj_array30, (java.lang.Throwable)mathException33);
    java.lang.Object[] obj_array38 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("", obj_array38);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException("hi!", obj_array38, (java.lang.Throwable)mathException41);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException("hi!", obj_array30, (java.lang.Throwable)convergenceException42);
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException("hi!", obj_array21, (java.lang.Throwable)convergenceException43);
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array21);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException46 = new org.apache.commons.math.MaxIterationsExceededException(0, "Maximal number of iterations ({0}) exceeded", obj_array21);
    java.lang.Object[] obj_array54 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("", obj_array54);
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException("hi!", obj_array54, (java.lang.Throwable)mathException57);
    java.lang.Object[] obj_array63 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException("", obj_array63);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException("hi!", obj_array63, (java.lang.Throwable)mathException66);
    java.lang.Object[] obj_array71 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException("", obj_array71);
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException75 = new org.apache.commons.math.ConvergenceException("hi!", obj_array71, (java.lang.Throwable)mathException74);
    org.apache.commons.math.ConvergenceException convergenceException76 = new org.apache.commons.math.ConvergenceException("hi!", obj_array63, (java.lang.Throwable)convergenceException75);
    org.apache.commons.math.ConvergenceException convergenceException77 = new org.apache.commons.math.ConvergenceException("hi!", obj_array54, (java.lang.Throwable)convergenceException76);
    org.apache.commons.math.ConvergenceException convergenceException78 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array54);
    org.apache.commons.math.MathException mathException79 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException78);
    org.apache.commons.math.MathException mathException80 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)mathException79);
    org.apache.commons.math.MathException mathException81 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException80);
    org.apache.commons.math.ConvergenceException convergenceException82 = new org.apache.commons.math.ConvergenceException("", obj_array21, (java.lang.Throwable)mathException80);
    maxIterationsExceededException10.addSuppressed((java.lang.Throwable)convergenceException82);
    int i84 = maxIterationsExceededException10.getMaxIterations();
    java.lang.String str85 = maxIterationsExceededException10.getPattern();
    int i86 = maxIterationsExceededException10.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "hi!"+ "'", str12.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str85 + "' != '" + "hi!"+ "'", str85.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i86 == 100);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test364"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ((-0.7666442182187537d), 0.17277561905771788d, 0.4265940723174745d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test365"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1757.0263601561753d, 0.36628922616122284d, 0.5786641736118835d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test366"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.9999999808712758d, 0.03347204026517582d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9670819477977308d);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test367"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.37718486772568516d, 360.3947203428477d, 0.11407658076791805d, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test368"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d9 = normalDistributionImpl0.cumulativeProbability(0.7999225850214973d);
    double d10 = normalDistributionImpl0.getStandardDeviation();
    double d11 = normalDistributionImpl0.getStandardDeviation();
    double d13 = normalDistributionImpl0.cumulativeProbability(0.6222879073739342d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.4834796729980234d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.41330288596095893d);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test369"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException7);
    java.lang.Object[] obj_array10 = mathException7.getArguments();
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException22 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array17);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException22);
    int i24 = maxIterationsExceededException22.getMaxIterations();
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array10, (java.lang.Throwable)maxIterationsExceededException22);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException34);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException34);
    java.lang.Object[] obj_array37 = mathException34.getArguments();
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("hi!", obj_array37);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array37);
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: hi!", obj_array37);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException", obj_array10, (java.lang.Throwable)convergenceException40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test370"); }


    java.lang.Object[] obj_array2 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("", obj_array2);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test371"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d3 = normalDistributionImpl0.cumulativeProbability((-1.0d), (-1.0d));
    double d4 = normalDistributionImpl0.getStandardDeviation();
    // The following exception was thrown during execution in test generation
    try {
      double d7 = normalDistributionImpl0.cumulativeProbability(0.13286931860950468d, 9.21855191684252E-59d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test372"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array25, (java.lang.Throwable)mathException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    java.lang.Object[] obj_array35 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException36 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array35);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException("", obj_array8, (java.lang.Throwable)maxIterationsExceededException36);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test373"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    normalDistributionImpl2.setStandardDeviation(0.8427007929497174d);
    normalDistributionImpl2.setMean(0.0d);
    double d9 = normalDistributionImpl2.cumulativeProbability(0.0d, 0.37718486772568516d);
    normalDistributionImpl2.setMean(0.02657552341500491d);
    // The following exception was thrown during execution in test generation
    try {
      normalDistributionImpl2.setStandardDeviation((-0.766644200655088d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.17277561905771788d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test374"); }


    java.lang.Throwable throwable2 = null;
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("", throwable2);
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException3);
    java.lang.String str5 = convergenceException4.toString();
    java.lang.String str6 = convergenceException4.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str5.equals("org.apache.commons.math.ConvergenceException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "hi!"+ "'", str6.equals("hi!"));

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test375"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)mathException10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array7);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array7);
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException20);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array23 = mathException20.getArguments();
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException26);
    java.lang.Throwable[] throwable_array28 = mathException27.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array23, (java.lang.Throwable)mathException27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException29);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array15, (java.lang.Throwable)mathException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array7, (java.lang.Throwable)mathException30);
    java.lang.String str33 = convergenceException32.toString();
    java.lang.String str34 = convergenceException32.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str33.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str34.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test376"); }


    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array12 = mathException9.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array12);
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array12, (java.lang.Throwable)maxIterationsExceededException17);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", obj_array22);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("hi!", obj_array22, (java.lang.Throwable)mathException25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array12, (java.lang.Throwable)convergenceException27);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array12);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array12);
    java.lang.Throwable throwable33 = null;
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("", throwable33);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException34);
    java.lang.Throwable[] throwable_array36 = convergenceException35.getSuppressed();
    java.lang.Object[] obj_array37 = convergenceException35.getArguments();
    convergenceException30.addSuppressed((java.lang.Throwable)convergenceException35);
    java.lang.String str39 = convergenceException30.toString();
    java.lang.String str40 = convergenceException30.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str39 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: "+ "'", str39.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str40 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: "+ "'", str40.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: "));

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test377"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException");
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException1);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test378"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean((-0.0013560785456266614d));
    normalDistributionImpl0.setMean((-9.413447310743813d));
    double d7 = normalDistributionImpl0.cumulativeProbability((-0.12148594879691288d));
    double d9 = normalDistributionImpl0.inverseCumulativeProbability(0.2299176850431417d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 1.0000000000000007d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == (-10.152565278158946d));

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test379"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.5058628570405063d);
    double d8 = normalDistributionImpl2.getMean();
    double d9 = normalDistributionImpl2.getStandardDeviation();
    double d11 = normalDistributionImpl2.cumulativeProbability(0.7658911849115478d);
    double d13 = normalDistributionImpl2.cumulativeProbability(1756.8296895627386d);
    double d14 = normalDistributionImpl2.getMean();
    normalDistributionImpl2.setMean(1.0000000000000056d);
    double d17 = normalDistributionImpl2.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.841344746068543d);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test380"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d4 = normalDistributionImpl0.inverseCumulativeProbability(0.8413447770361517d);
    double d5 = normalDistributionImpl0.getStandardDeviation();
    double d6 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.00000035699529d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test381"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl((-1.0d), 10.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    double d5 = normalDistributionImpl2.inverseCumulativeProbability(0.20007741497850268d);
    double d7 = normalDistributionImpl2.inverseCumulativeProbability(0.5710855338687306d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == (-9.413447310743813d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.7913852552962376d);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test382"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded");

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test383"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 0.4834796729980234d, 0.500168982534911d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test384"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.5786641736118835d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4319484236389117d);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test385"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.36787922530658235d, 0.9111012712822969d);
    normalDistributionImpl2.setMean(0.5204998778130466d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test386"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)mathException18);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", obj_array23);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array23, (java.lang.Throwable)mathException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)convergenceException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("", (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException", (java.lang.Throwable)mathException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test387"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!");
    java.lang.String str2 = convergenceException1.toString();
    java.lang.String str3 = convergenceException1.getPattern();
    java.lang.String str4 = convergenceException1.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str2.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str3.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str4.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test388"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.6547332566813524d, 0.02998282402076835d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.11040142864054796d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test389"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)mathException10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array7);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array7);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException20);
    java.lang.Throwable[] throwable_array22 = mathException21.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException23 = new org.apache.commons.math.MaxIterationsExceededException(10, "hi!", (java.lang.Object[])throwable_array22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)maxIterationsExceededException23);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", (java.lang.Throwable)maxIterationsExceededException23);
    java.lang.String str26 = mathException25.toString();
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException", obj_array7, (java.lang.Throwable)mathException25);
    java.lang.Object[] obj_array28 = mathException25.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str26.equals("org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test390"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.7999225850214973d, 359.1342053695754d);
    normalDistributionImpl2.setStandardDeviation(10.0d);
    normalDistributionImpl2.setMean(0.8413447770361517d);
    double d7 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setMean(0.32045721550742096d);
    normalDistributionImpl2.setMean(0.4338972209271252d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.0d);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test391"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.5058628570405063d);
    double d8 = normalDistributionImpl2.getMean();
    double d9 = normalDistributionImpl2.getStandardDeviation();
    double d11 = normalDistributionImpl2.cumulativeProbability(0.7658911849115478d);
    double d12 = normalDistributionImpl2.getMean();
    normalDistributionImpl2.setStandardDeviation(3.1124247859483316E-96d);
    // The following exception was thrown during execution in test generation
    try {
      double d17 = normalDistributionImpl2.cumulativeProbability(0.41330288596095893d, 0.25846156180185953d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 359.1342053695754d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test392"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(Double.NEGATIVE_INFINITY, 100.0d);
    double d4 = normalDistributionImpl2.cumulativeProbability(0.03357934683499325d);
    double d6 = normalDistributionImpl2.cumulativeProbability((-1.0000000000000093d));
    double d8 = normalDistributionImpl2.cumulativeProbability(0.5204998778130466d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test393"); }


    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException5);
    java.lang.Throwable[] throwable_array7 = mathException6.getSuppressed();
    java.lang.Throwable[] throwable_array8 = mathException6.getSuppressed();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException12);
    java.lang.String str15 = mathException12.toString();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array8, (java.lang.Throwable)mathException12);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array8);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException", (java.lang.Throwable)mathException17);
    java.lang.Object[] obj_array19 = mathException17.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str15.equals("org.apache.commons.math.MathException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test394"); }


    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)mathException12);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)convergenceException21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", obj_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException24 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MaxIterationsExceededException: hi!", obj_array9);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException31);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException31);
    java.lang.Object[] obj_array34 = mathException31.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException35 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array34);
    java.lang.Object[] obj_array38 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException39 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array38);
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array34, (java.lang.Throwable)maxIterationsExceededException39);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array9, (java.lang.Throwable)maxIterationsExceededException39);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test395"); }


    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException2);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException3);
    java.lang.Object[] obj_array5 = convergenceException3.getArguments();
    java.lang.Throwable[] throwable_array6 = convergenceException3.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test396"); }


    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("", throwable3);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)mathException4);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException4);
    java.lang.Object[] obj_array9 = null;
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)convergenceException10);
    mathException6.addSuppressed((java.lang.Throwable)mathException11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException11);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("Convergence failed", (java.lang.Throwable)mathException11);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException14);
    java.lang.String str16 = convergenceException14.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str16.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test397"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.5208509042457623d, 1.0266061689651749d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.1598375956511927d);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test398"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", obj_array4);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array4, (java.lang.Throwable)convergenceException6);
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("", obj_array12);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("hi!", obj_array12, (java.lang.Throwable)mathException15);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("", obj_array21);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("hi!", obj_array21, (java.lang.Throwable)mathException24);
    java.lang.Object[] obj_array29 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("", obj_array29);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("hi!", obj_array29, (java.lang.Throwable)mathException32);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("hi!", obj_array21, (java.lang.Throwable)convergenceException33);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("hi!", obj_array12, (java.lang.Throwable)convergenceException34);
    java.lang.String str36 = convergenceException35.getPattern();
    convergenceException6.addSuppressed((java.lang.Throwable)convergenceException35);
    java.lang.Object[] obj_array38 = convergenceException6.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (100) exceeded", (java.lang.Throwable)convergenceException6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str36 + "' != '" + "hi!"+ "'", str36.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test399"); }


    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("");
    java.lang.String str4 = mathException3.getPattern();
    java.lang.Throwable[] throwable_array5 = mathException3.getSuppressed();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("hi!", (java.lang.Object[])throwable_array5);
    java.lang.Object[] obj_array7 = mathException6.getArguments();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: hi!", obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + ""+ "'", str4.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test400"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test401"); }


    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    java.lang.String str7 = mathException6.getPattern();
    java.lang.Throwable[] throwable_array8 = mathException6.getSuppressed();
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("", obj_array14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("hi!", obj_array14, (java.lang.Throwable)mathException17);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", obj_array23);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array23, (java.lang.Throwable)mathException26);
    java.lang.Object[] obj_array31 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("", obj_array31);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("hi!", obj_array31, (java.lang.Throwable)mathException34);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("hi!", obj_array23, (java.lang.Throwable)convergenceException35);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException("hi!", obj_array14, (java.lang.Throwable)convergenceException36);
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array14);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException38);
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array8, (java.lang.Throwable)convergenceException38);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException42 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.MaxIterationsExceededException: hi!", (java.lang.Object[])throwable_array8);
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + ""+ "'", str7.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test402"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.9965778025382259d, 1.0101272207030832E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999999989141056d);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test403"); }


    java.lang.Throwable throwable3 = null;
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("", throwable3);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException4);
    java.lang.Throwable[] throwable_array6 = convergenceException5.getSuppressed();
    java.lang.Object[] obj_array7 = convergenceException5.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException5);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", (java.lang.Throwable)convergenceException5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test404"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(1.4624726759954174d, 1.0450614160717464E-6d, 0.34959162450913733d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test405"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.00242766770162689d, 1.00000035699529d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9994660868107273d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test406"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0752924850939371d, 1.0266061689651749d, 0.5938607035172963d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test407"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(1.0000002290142125d, 0.3981311869834955d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    // The following exception was thrown during execution in test generation
    try {
      double d5 = normalDistributionImpl2.inverseCumulativeProbability((-1.4432899320127035E-15d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.3981311869834955d);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test408"); }


    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException6);
    java.lang.Object[] obj_array9 = mathException6.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    int i11 = maxIterationsExceededException10.getMaxIterations();
    java.lang.Throwable[] throwable_array12 = maxIterationsExceededException10.getSuppressed();
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", obj_array26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array26, (java.lang.Throwable)mathException29);
    java.lang.Object[] obj_array34 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("", obj_array34);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException("hi!", obj_array34, (java.lang.Throwable)mathException37);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException("hi!", obj_array26, (java.lang.Throwable)convergenceException38);
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)convergenceException39);
    java.lang.String str41 = convergenceException40.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", (java.lang.Object[])throwable_array12, (java.lang.Throwable)convergenceException40);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str41 + "' != '" + "hi!"+ "'", str41.equals("hi!"));

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test409"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException7);
    java.lang.Object[] obj_array10 = mathException7.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    int i12 = maxIterationsExceededException11.getMaxIterations();
    java.lang.Throwable[] throwable_array13 = maxIterationsExceededException11.getSuppressed();
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("hi!", (java.lang.Object[])throwable_array13, (java.lang.Throwable)convergenceException16);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", (java.lang.Throwable)mathException17);
    java.lang.Object[] obj_array19 = convergenceException18.getArguments();
    java.lang.Object[] obj_array20 = convergenceException18.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test410"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.7999225850214973d);
    normalDistributionImpl0.setMean((-0.0013560785456266614d));
    normalDistributionImpl0.setMean(1.0d);
    double d8 = normalDistributionImpl0.cumulativeProbability(359.1342053695754d);
    double d9 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8413447770361517d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test411"); }


    java.lang.Throwable throwable4 = null;
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", throwable4);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException5);
    java.lang.Throwable[] throwable_array7 = convergenceException6.getSuppressed();
    java.lang.Object[] obj_array8 = convergenceException6.getArguments();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded");
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: hi!", obj_array8, (java.lang.Throwable)mathException10);
    java.lang.Object[] obj_array12 = mathException10.getArguments();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("hi!", obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test412"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(391.1691728923024d, 5.579156939994334E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test413"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(1756.8296895627386d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 11366.095855976466d);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test414"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(3.1124247859483316E-96d, 358.3680799079188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.000000000000019d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test415"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.11407658076791805d, 8.97235489139892E-14d, 0.07596150468987528d, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test416"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", throwable1);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array12 = mathException9.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array12);
    int i14 = maxIterationsExceededException13.getMaxIterations();
    java.lang.Throwable[] throwable_array15 = maxIterationsExceededException13.getSuppressed();
    int i16 = maxIterationsExceededException13.getMaxIterations();
    java.lang.Object[] obj_array17 = maxIterationsExceededException13.getArguments();
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException28);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException28);
    java.lang.Object[] obj_array31 = mathException28.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array31);
    java.lang.Object[] obj_array35 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException36 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array35);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array31, (java.lang.Throwable)maxIterationsExceededException36);
    java.lang.Object[] obj_array41 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("", obj_array41);
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException("hi!", obj_array41, (java.lang.Throwable)mathException44);
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException44);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array31, (java.lang.Throwable)convergenceException46);
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array31);
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array31);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array31);
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MathException", obj_array17, (java.lang.Throwable)mathException50);
    convergenceException2.addSuppressed((java.lang.Throwable)mathException50);
    org.apache.commons.math.ConvergenceException convergenceException53 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test417"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1757.0263601561753d, 0.9999981894830936d, 0.0d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test418"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException7);
    java.lang.Object[] obj_array10 = mathException7.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    int i13 = maxIterationsExceededException12.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test419"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.9830735958194811d, 0.5938607035172963d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5438353565801257d);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test420"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array25, (java.lang.Throwable)mathException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException33 = new org.apache.commons.math.MaxIterationsExceededException(0, "Maximal number of iterations ({0}) exceeded", obj_array8);
    java.lang.Object[] obj_array41 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("", obj_array41);
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException45 = new org.apache.commons.math.ConvergenceException("hi!", obj_array41, (java.lang.Throwable)mathException44);
    java.lang.Object[] obj_array50 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException("", obj_array50);
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException54 = new org.apache.commons.math.ConvergenceException("hi!", obj_array50, (java.lang.Throwable)mathException53);
    java.lang.Object[] obj_array58 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException("", obj_array58);
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException("hi!", obj_array58, (java.lang.Throwable)mathException61);
    org.apache.commons.math.ConvergenceException convergenceException63 = new org.apache.commons.math.ConvergenceException("hi!", obj_array50, (java.lang.Throwable)convergenceException62);
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException("hi!", obj_array41, (java.lang.Throwable)convergenceException63);
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array41);
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException65);
    org.apache.commons.math.MathException mathException67 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)mathException66);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException67);
    org.apache.commons.math.ConvergenceException convergenceException69 = new org.apache.commons.math.ConvergenceException("", obj_array8, (java.lang.Throwable)mathException67);
    org.apache.commons.math.ConvergenceException convergenceException70 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException67);
    java.lang.String str71 = convergenceException70.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str71 + "' != '" + "hi!"+ "'", str71.equals("hi!"));

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test421"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(1.0101272207030832E-9d, 0.10126614936222389d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.9999999981701109d);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test422"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { "" };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException10);
    int i12 = maxIterationsExceededException10.getMaxIterations();
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException10);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)maxIterationsExceededException10);
    java.lang.String str15 = mathException14.getPattern();
    java.lang.Throwable[] throwable_array16 = mathException14.getSuppressed();
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("", obj_array20);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", obj_array25);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("hi!", obj_array25);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", obj_array20, (java.lang.Throwable)mathException27);
    java.lang.String str29 = mathException27.toString();
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array16, (java.lang.Throwable)mathException27);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Object[])throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "org.apache.commons.math.MathException: hi!"+ "'", str29.equals("org.apache.commons.math.MathException: hi!"));

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test423"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.cumulativeProbability((-0.8427007929497151d));
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d7 = normalDistributionImpl0.cumulativeProbability(0.0d);
    double d8 = normalDistributionImpl0.getStandardDeviation();
    double d9 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.19969790180335623d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.20007741497850268d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.841344746068543d);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test424"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.12751004237903563d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.14310369337055778d);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test425"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException7);
    java.lang.Object[] obj_array10 = mathException7.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array10, (java.lang.Throwable)maxIterationsExceededException15);
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("", obj_array20);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("hi!", obj_array20, (java.lang.Throwable)mathException23);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException23);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array10, (java.lang.Throwable)convergenceException25);
    java.lang.Object[] obj_array27 = mathException26.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test426"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", obj_array4);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("hi!", obj_array4, (java.lang.Throwable)mathException7);
    java.lang.Object[] obj_array9 = convergenceException8.getArguments();
    java.lang.Throwable throwable10 = null;
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array9, throwable10);
    java.lang.String str12 = mathException11.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str12.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test427"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", obj_array4);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("hi!", obj_array4);
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test428"); }


    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", obj_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)mathException12);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("", obj_array18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)mathException21);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", obj_array26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array26, (java.lang.Throwable)mathException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", obj_array9, (java.lang.Throwable)convergenceException31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException36 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.MathException", obj_array9);
    java.lang.String str37 = maxIterationsExceededException36.toString();
    java.lang.String str38 = maxIterationsExceededException36.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str37 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException"+ "'", str37.equals("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "org.apache.commons.math.MathException"+ "'", str38.equals("org.apache.commons.math.MathException"));

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test429"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d10 = normalDistributionImpl0.cumulativeProbability(0.0d, 0.0d);
    double d11 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setStandardDeviation(3.6129983367823857d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test430"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.38487466233528966d, 0.8841519364751589d, 0.8397267780453156d, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test431"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)mathException9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array6);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException11);
    int i13 = maxIterationsExceededException11.getMaxIterations();
    int i14 = maxIterationsExceededException11.getMaxIterations();
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException24);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException24);
    java.lang.Object[] obj_array27 = mathException24.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array27);
    java.lang.Object[] obj_array31 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array27, (java.lang.Throwable)maxIterationsExceededException32);
    org.apache.commons.math.MathException mathException39 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException39);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException39);
    java.lang.Object[] obj_array42 = mathException39.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException43 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array42);
    int i44 = maxIterationsExceededException43.getMaxIterations();
    java.lang.Throwable[] throwable_array45 = maxIterationsExceededException43.getSuppressed();
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array27, (java.lang.Throwable)maxIterationsExceededException43);
    java.lang.Object[] obj_array53 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException("", obj_array53);
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException57 = new org.apache.commons.math.ConvergenceException("hi!", obj_array53, (java.lang.Throwable)mathException56);
    java.lang.Object[] obj_array61 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException("", obj_array61);
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException("hi!", obj_array61, (java.lang.Throwable)mathException64);
    org.apache.commons.math.ConvergenceException convergenceException66 = new org.apache.commons.math.ConvergenceException("hi!", obj_array53, (java.lang.Throwable)convergenceException65);
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException66);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException67);
    java.lang.String str69 = mathException68.getPattern();
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException68);
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array27, (java.lang.Throwable)mathException70);
    org.apache.commons.math.ConvergenceException convergenceException72 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array27);
    maxIterationsExceededException11.addSuppressed((java.lang.Throwable)convergenceException72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str69 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str69.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test432"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.018451351414325246d);
    double d9 = normalDistributionImpl0.cumulativeProbability(0.9999995d);
    double d10 = normalDistributionImpl0.getStandardDeviation();
    double d11 = normalDistributionImpl0.getMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8368387485735187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.018451351414325246d);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test433"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", obj_array4);
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array4, (java.lang.Throwable)convergenceException6);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)mathException18);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", obj_array24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array24, (java.lang.Throwable)mathException27);
    java.lang.Object[] obj_array32 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("", obj_array32);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("hi!", obj_array32, (java.lang.Throwable)mathException35);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException("hi!", obj_array24, (java.lang.Throwable)convergenceException36);
    org.apache.commons.math.ConvergenceException convergenceException38 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)convergenceException37);
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array15);
    java.lang.Object[] obj_array42 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException43 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array42);
    org.apache.commons.math.ConvergenceException convergenceException44 = new org.apache.commons.math.ConvergenceException("", obj_array15, (java.lang.Throwable)maxIterationsExceededException43);
    java.lang.Throwable[] throwable_array45 = convergenceException44.getSuppressed();
    java.lang.String str46 = convergenceException44.toString();
    java.lang.Object[] obj_array47 = convergenceException44.getArguments();
    java.lang.Object[] obj_array49 = null;
    java.lang.Object[] obj_array54 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("", obj_array54);
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException("hi!", obj_array54, (java.lang.Throwable)mathException57);
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException57);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)convergenceException59);
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException("", obj_array49, (java.lang.Throwable)mathException60);
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: hi!", obj_array47, (java.lang.Throwable)convergenceException61);
    org.apache.commons.math.ConvergenceException convergenceException63 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array4, (java.lang.Throwable)convergenceException62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.ConvergenceException: "+ "'", str46.equals("org.apache.commons.math.ConvergenceException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array54);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test434"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.5951477465170645d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.40575232993717414d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test435"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.5006521268402522d, 0.25846156180185953d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.47267450319283344d);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test436"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("", obj_array14);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("hi!", obj_array14, (java.lang.Throwable)mathException17);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", obj_array22);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("hi!", obj_array22, (java.lang.Throwable)mathException25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array14, (java.lang.Throwable)convergenceException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)convergenceException27);
    java.lang.String str29 = convergenceException28.getPattern();
    java.lang.String str30 = convergenceException28.toString();
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)convergenceException28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str29 + "' != '" + "hi!"+ "'", str29.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str30 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str30.equals("org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test437"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    normalDistributionImpl0.setMean(0.7999225850214973d);
    double d11 = normalDistributionImpl0.cumulativeProbability(1.0000000000000007d);
    double d13 = normalDistributionImpl0.cumulativeProbability(1.0450614160717464E-6d);
    double d14 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean(0.9999903344963721d);
    // The following exception was thrown during execution in test generation
    try {
      double d19 = normalDistributionImpl0.cumulativeProbability(9.496839851378617d, 0.8427007929497174d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.579289981766467d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.21187812850751586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test438"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException4);
    java.lang.Throwable[] throwable_array6 = mathException5.getSuppressed();
    java.lang.Throwable[] throwable_array7 = mathException5.getSuppressed();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException11);
    java.lang.Throwable[] throwable_array13 = mathException12.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array13, (java.lang.Throwable)maxIterationsExceededException15);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array7, (java.lang.Throwable)mathException17);
    java.lang.Throwable throwable21 = null;
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("", throwable21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)mathException22);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException22);
    java.lang.Object[] obj_array27 = null;
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array27);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)convergenceException28);
    mathException24.addSuppressed((java.lang.Throwable)mathException29);
    java.lang.String str31 = mathException24.getPattern();
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array7, (java.lang.Throwable)mathException24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str31 + "' != '" + ""+ "'", str31.equals(""));

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test439"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.cumulativeProbability((-0.8427007929497151d));
    normalDistributionImpl0.setMean(10.0d);
    double d6 = normalDistributionImpl0.getMean();
    double d8 = normalDistributionImpl0.inverseCumulativeProbability(0.30742584132210593d);
    double d10 = normalDistributionImpl0.cumulativeProbability(0.11358553390288262d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.19969790180335623d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 9.496839851378617d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 2.220446049250313E-16d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test440"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d4 = normalDistributionImpl0.cumulativeProbability(1.00000035699529d);
    normalDistributionImpl0.setStandardDeviation(0.5596176923702425d);
    double d8 = normalDistributionImpl0.cumulativeProbability(0.01951756936620628d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.8413448324509365d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.5139109350792078d);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test441"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d10 = normalDistributionImpl0.cumulativeProbability(0.0d, 0.0d);
    normalDistributionImpl0.setMean(0.5d);
    double d14 = normalDistributionImpl0.cumulativeProbability(0.03357934683499325d);
    double d17 = normalDistributionImpl0.cumulativeProbability(0.2745347477142007d, 0.9812568198560236d);
    double d19 = normalDistributionImpl0.inverseCumulativeProbability(0.4265940723174745d);
    normalDistributionImpl0.setMean(0.02998282402076835d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.32045721550742096d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.2740243318897752d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.31494786473337977d);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test442"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)mathException18);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", obj_array23);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array23, (java.lang.Throwable)mathException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)convergenceException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array6);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException30);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException36);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException36);
    java.lang.Object[] obj_array39 = mathException36.getArguments();
    java.lang.Object[] obj_array46 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("", obj_array46);
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException50 = new org.apache.commons.math.ConvergenceException("hi!", obj_array46, (java.lang.Throwable)mathException49);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException51 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array46);
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)maxIterationsExceededException51);
    int i53 = maxIterationsExceededException51.getMaxIterations();
    org.apache.commons.math.MathException mathException54 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array39, (java.lang.Throwable)maxIterationsExceededException51);
    convergenceException30.addSuppressed((java.lang.Throwable)maxIterationsExceededException51);
    int i56 = maxIterationsExceededException51.getMaxIterations();
    java.lang.String str57 = maxIterationsExceededException51.getPattern();
    java.lang.Throwable[] throwable_array58 = maxIterationsExceededException51.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException", (java.lang.Throwable)maxIterationsExceededException51);
    int i60 = maxIterationsExceededException51.getMaxIterations();
    java.lang.String str61 = maxIterationsExceededException51.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str57 + "' != '" + "hi!"+ "'", str57.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str61 + "' != '" + "hi!"+ "'", str61.equals("hi!"));

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test443"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("Convergence failed");

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test444"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math.special.Erf.erf(358.9785127269039d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test445"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.7999225850214973d, 359.1342053695754d);
    normalDistributionImpl2.setStandardDeviation(10.0d);
    normalDistributionImpl2.setMean(0.8413447770361517d);
    double d7 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setMean(0.32045721550742096d);
    // The following exception was thrown during execution in test generation
    try {
      normalDistributionImpl2.setStandardDeviation(0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.0d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test446"); }


    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array12 = mathException9.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array12);
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array12, (java.lang.Throwable)maxIterationsExceededException17);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", obj_array22);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("hi!", obj_array22, (java.lang.Throwable)mathException25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array12, (java.lang.Throwable)convergenceException27);
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("", obj_array35);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException("hi!", obj_array35, (java.lang.Throwable)mathException38);
    java.lang.Object[] obj_array44 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException45 = new org.apache.commons.math.MathException("", obj_array44);
    org.apache.commons.math.MathException mathException47 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException48 = new org.apache.commons.math.ConvergenceException("hi!", obj_array44, (java.lang.Throwable)mathException47);
    java.lang.Object[] obj_array52 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException("", obj_array52);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException("hi!", obj_array52, (java.lang.Throwable)mathException55);
    org.apache.commons.math.ConvergenceException convergenceException57 = new org.apache.commons.math.ConvergenceException("hi!", obj_array44, (java.lang.Throwable)convergenceException56);
    org.apache.commons.math.ConvergenceException convergenceException58 = new org.apache.commons.math.ConvergenceException("hi!", obj_array35, (java.lang.Throwable)convergenceException57);
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array35);
    org.apache.commons.math.MathException mathException60 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException59);
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)mathException60);
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array12, (java.lang.Throwable)mathException61);
    java.lang.Throwable throwable65 = null;
    org.apache.commons.math.MathException mathException66 = new org.apache.commons.math.MathException("", throwable65);
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException66);
    java.lang.Throwable[] throwable_array68 = convergenceException67.getSuppressed();
    java.lang.Object[] obj_array69 = convergenceException67.getArguments();
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array12, (java.lang.Throwable)convergenceException67);
    java.lang.String str71 = mathException70.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str71 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str71.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test447"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.0d, 391.1691728923024d);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test448"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    double d10 = normalDistributionImpl0.cumulativeProbability(Double.NaN, (-0.8427007929497151d));
    double d11 = normalDistributionImpl0.getStandardDeviation();
    normalDistributionImpl0.setMean((-0.0013560785456266614d));
    double d14 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test449"); }


    double d1 = org.apache.commons.math.special.Erf.erf(0.8003461614568265d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7423068688198796d);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test450"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 3.375374108945388d);
    double d3 = normalDistributionImpl2.getMean();
    normalDistributionImpl2.setMean(0.9329612469541649d);
    double d7 = normalDistributionImpl2.inverseCumulativeProbability(1.6434734428101426E-188d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == (-28.442412361991224d));

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test451"); }


    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array12 = mathException9.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array12);
    java.lang.Object[] obj_array16 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array12, (java.lang.Throwable)maxIterationsExceededException17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("", obj_array12);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException25);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException25);
    java.lang.Object[] obj_array28 = mathException25.getArguments();
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException31);
    java.lang.Throwable[] throwable_array33 = mathException32.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array28, (java.lang.Throwable)mathException32);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException32);
    org.apache.commons.math.ConvergenceException convergenceException36 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MathException", obj_array12, (java.lang.Throwable)mathException32);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)mathException32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array33);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test452"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)mathException11);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException15);
    maxIterationsExceededException13.addSuppressed((java.lang.Throwable)maxIterationsExceededException15);
    java.lang.String str18 = maxIterationsExceededException13.toString();
    java.lang.Object[] obj_array19 = maxIterationsExceededException13.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array19);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException21 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException", obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: hi!"+ "'", str18.equals("org.apache.commons.math.MaxIterationsExceededException: hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test453"); }


    java.lang.Object[] obj_array10 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("", obj_array10);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("hi!", obj_array10, (java.lang.Throwable)mathException13);
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("", obj_array19);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("hi!", obj_array19, (java.lang.Throwable)mathException22);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("", obj_array27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array27, (java.lang.Throwable)mathException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("hi!", obj_array19, (java.lang.Throwable)convergenceException31);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("hi!", obj_array10, (java.lang.Throwable)convergenceException32);
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException35 = new org.apache.commons.math.MaxIterationsExceededException(0, "Maximal number of iterations ({0}) exceeded", obj_array10);
    java.lang.Object[] obj_array43 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException("", obj_array43);
    org.apache.commons.math.MathException mathException46 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException47 = new org.apache.commons.math.ConvergenceException("hi!", obj_array43, (java.lang.Throwable)mathException46);
    java.lang.Object[] obj_array52 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException("", obj_array52);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException("hi!", obj_array52, (java.lang.Throwable)mathException55);
    java.lang.Object[] obj_array60 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException61 = new org.apache.commons.math.MathException("", obj_array60);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException64 = new org.apache.commons.math.ConvergenceException("hi!", obj_array60, (java.lang.Throwable)mathException63);
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException("hi!", obj_array52, (java.lang.Throwable)convergenceException64);
    org.apache.commons.math.ConvergenceException convergenceException66 = new org.apache.commons.math.ConvergenceException("hi!", obj_array43, (java.lang.Throwable)convergenceException65);
    org.apache.commons.math.ConvergenceException convergenceException67 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array43);
    org.apache.commons.math.MathException mathException68 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException67);
    org.apache.commons.math.MathException mathException69 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)mathException68);
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException69);
    org.apache.commons.math.ConvergenceException convergenceException71 = new org.apache.commons.math.ConvergenceException("", obj_array10, (java.lang.Throwable)mathException69);
    java.lang.Object[] obj_array72 = convergenceException71.getArguments();
    org.apache.commons.math.MathException mathException73 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array72);
    org.apache.commons.math.MathException mathException74 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array72);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test454"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.5058628570405063d);
    double d8 = normalDistributionImpl2.getMean();
    double d9 = normalDistributionImpl2.getStandardDeviation();
    double d11 = normalDistributionImpl2.cumulativeProbability(0.7658911849115478d);
    double d13 = normalDistributionImpl2.cumulativeProbability(1756.8296895627386d);
    double d14 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(1.734570504297551d);
    double d17 = normalDistributionImpl2.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.734570504297551d);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test455"); }


    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array11 = mathException8.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array11);
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array11, (java.lang.Throwable)maxIterationsExceededException16);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array11);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test456"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.5058628570405063d);
    double d8 = normalDistributionImpl2.getMean();
    double d9 = normalDistributionImpl2.getStandardDeviation();
    double d11 = normalDistributionImpl2.cumulativeProbability(0.7658911849115478d);
    double d13 = normalDistributionImpl2.cumulativeProbability(1756.8296895627386d);
    double d14 = normalDistributionImpl2.getMean();
    normalDistributionImpl2.setMean(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.841344746068543d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 359.1342053695754d);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test457"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.5133332014716827d, 0.9830735958194811d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test458"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    java.lang.Throwable[] throwable_array9 = mathException8.getSuppressed();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", (java.lang.Object[])throwable_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.MaxIterationsExceededException: hi!", (java.lang.Object[])throwable_array9);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array9);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test459"); }


    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException10);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException10);
    java.lang.Object[] obj_array13 = mathException10.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array13);
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array17);
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array13, (java.lang.Throwable)maxIterationsExceededException18);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", obj_array23);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array23, (java.lang.Throwable)mathException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array13, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException30 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array13);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", (java.lang.Throwable)maxIterationsExceededException30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test460"); }


    java.lang.Object[] obj_array3 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("", obj_array3);
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array3);
    java.lang.Throwable[] throwable_array6 = convergenceException5.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test461"); }


    java.lang.Object[] obj_array3 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("", obj_array3);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: Maximal number of iterations ({0}) exceeded", obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test462"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", obj_array4);
    java.lang.Object[] obj_array6 = new java.lang.Object[] { "" };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException7);
    int i9 = maxIterationsExceededException7.getMaxIterations();
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException7);
    java.lang.Object[] obj_array11 = maxIterationsExceededException7.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test463"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(Double.NaN, 0.742054901043145d);
    // The following exception was thrown during execution in test generation
    try {
      double d5 = normalDistributionImpl2.cumulativeProbability(0.8427000413892123d, 1.3103482173811769E-170d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test464"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    normalDistributionImpl2.setStandardDeviation(0.8427007929497174d);
    normalDistributionImpl2.setMean(0.0d);
    double d8 = normalDistributionImpl2.cumulativeProbability(1.00000035699529d);
    double d10 = normalDistributionImpl2.inverseCumulativeProbability(0.5596176923702425d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.8823193626826147d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.1264051192407595d);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test465"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.579289981766467d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.43093502696938213d);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test466"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(0.31494786473337977d, 0.05742674895019262d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test467"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException7);
    java.lang.Object[] obj_array10 = mathException7.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    java.lang.Object[] obj_array14 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array10, (java.lang.Throwable)maxIterationsExceededException15);
    int i17 = maxIterationsExceededException15.getMaxIterations();
    int i18 = maxIterationsExceededException15.getMaxIterations();
    int i19 = maxIterationsExceededException15.getMaxIterations();
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)maxIterationsExceededException15);
    java.lang.String str21 = maxIterationsExceededException15.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: "+ "'", str21.equals("org.apache.commons.math.MaxIterationsExceededException: "));

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test468"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(359.1342053695754d, 1.0d);
    double d3 = normalDistributionImpl2.getStandardDeviation();
    normalDistributionImpl2.setStandardDeviation(0.841344746068543d);
    double d7 = normalDistributionImpl2.cumulativeProbability(0.5058628570405063d);
    double d8 = normalDistributionImpl2.getMean();
    double d10 = normalDistributionImpl2.inverseCumulativeProbability(0.9329612469541649d);
    double d11 = normalDistributionImpl2.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 359.1342053695754d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 360.3947203428477d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.841344746068543d);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test469"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException4);
    java.lang.Throwable[] throwable_array6 = mathException5.getSuppressed();
    java.lang.Throwable[] throwable_array7 = mathException5.getSuppressed();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException11);
    java.lang.Throwable[] throwable_array13 = mathException12.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(0);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException15);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array13, (java.lang.Throwable)maxIterationsExceededException15);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array7, (java.lang.Throwable)mathException17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: ", (java.lang.Throwable)convergenceException18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test470"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1.0450614160717464E-6d, 1751.7101650261818d, (-1.4432899320127035E-15d), 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test471"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.5786641736118835d, 0.0d, (-0.766644200655088d), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test472"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", obj_array4);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("hi!", obj_array4, (java.lang.Throwable)mathException7);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", (java.lang.Throwable)convergenceException8);
    java.lang.String str10 = convergenceException8.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "hi!"+ "'", str10.equals("hi!"));

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test473"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d1 = normalDistributionImpl0.getStandardDeviation();
    double d3 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d5 = normalDistributionImpl0.cumulativeProbability(1.0d);
    normalDistributionImpl0.setMean(0.841344746068543d);
    normalDistributionImpl0.setMean(0.03347204026517582d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.841344746068543d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test474"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.00454015742533731d, 0.8161731630158707d, 0.8427009411410833d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0015781781354531343d);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test475"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d4 = normalDistributionImpl0.cumulativeProbability(1.00000035699529d);
    double d5 = normalDistributionImpl0.getMean();
    double d6 = normalDistributionImpl0.getStandardDeviation();
    double d8 = normalDistributionImpl0.inverseCumulativeProbability(1.6653345369377348E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.8413448324509365d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-7.9999995d));

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test476"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.5208509042457623d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.532472027965794d);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test477"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", throwable1);
    java.lang.Throwable[] throwable_array3 = mathException2.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test478"); }


    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException12);
    java.lang.Object[] obj_array15 = mathException12.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array15);
    java.lang.Object[] obj_array19 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array19);
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array15, (java.lang.Throwable)maxIterationsExceededException20);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array25, (java.lang.Throwable)mathException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException28);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array15, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array15);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("", obj_array15);
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException41);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException41);
    java.lang.Object[] obj_array44 = mathException41.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException45 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array44);
    int i46 = maxIterationsExceededException45.getMaxIterations();
    java.lang.Throwable[] throwable_array47 = maxIterationsExceededException45.getSuppressed();
    java.lang.Object[] obj_array52 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException53 = new org.apache.commons.math.MathException("", obj_array52);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException56 = new org.apache.commons.math.ConvergenceException("hi!", obj_array52, (java.lang.Throwable)mathException55);
    java.lang.Object[] obj_array61 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException("", obj_array61);
    org.apache.commons.math.MathException mathException64 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException65 = new org.apache.commons.math.ConvergenceException("hi!", obj_array61, (java.lang.Throwable)mathException64);
    java.lang.Object[] obj_array69 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException("", obj_array69);
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException73 = new org.apache.commons.math.ConvergenceException("hi!", obj_array69, (java.lang.Throwable)mathException72);
    org.apache.commons.math.ConvergenceException convergenceException74 = new org.apache.commons.math.ConvergenceException("hi!", obj_array61, (java.lang.Throwable)convergenceException73);
    org.apache.commons.math.ConvergenceException convergenceException75 = new org.apache.commons.math.ConvergenceException("hi!", obj_array52, (java.lang.Throwable)convergenceException74);
    java.lang.String str76 = convergenceException75.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException77 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", (java.lang.Object[])throwable_array47, (java.lang.Throwable)convergenceException75);
    org.apache.commons.math.MathException mathException78 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array47);
    org.apache.commons.math.ConvergenceException convergenceException79 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array15, (java.lang.Throwable)mathException78);
    org.apache.commons.math.ConvergenceException convergenceException80 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str76 + "' != '" + "hi!"+ "'", str76.equals("hi!"));

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test479"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl2 = new org.apache.commons.math.distribution.NormalDistributionImpl(Double.NEGATIVE_INFINITY, 100.0d);
    double d4 = normalDistributionImpl2.cumulativeProbability(0.9999999999958408d);
    double d6 = normalDistributionImpl2.cumulativeProbability(0.04251862806654927d);
    normalDistributionImpl2.setMean(2.9229750475125633d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test480"); }


    java.lang.Throwable throwable4 = null;
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", throwable4);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)mathException5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException5);
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array10);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)convergenceException11);
    mathException7.addSuppressed((java.lang.Throwable)mathException12);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException12);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("Convergence failed", (java.lang.Throwable)mathException12);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", (java.lang.Throwable)mathException12);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test481"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException4);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException5);
    java.lang.Object[] obj_array7 = convergenceException5.getArguments();
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array10);
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("", obj_array7, (java.lang.Throwable)maxIterationsExceededException11);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException20);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array23 = mathException20.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException24 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array23);
    java.lang.Object[] obj_array27 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array23, (java.lang.Throwable)maxIterationsExceededException28);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException35);
    org.apache.commons.math.MathException mathException37 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException35);
    java.lang.Object[] obj_array38 = mathException35.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException39 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array38);
    int i40 = maxIterationsExceededException39.getMaxIterations();
    java.lang.Throwable[] throwable_array41 = maxIterationsExceededException39.getSuppressed();
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array23, (java.lang.Throwable)maxIterationsExceededException39);
    int i43 = maxIterationsExceededException39.getMaxIterations();
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException("", obj_array7, (java.lang.Throwable)maxIterationsExceededException39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 10);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test482"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.05228928432370872d, 0.0d, 0.2740243318897752d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test483"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)mathException11);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("", obj_array17);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)mathException20);
    java.lang.Object[] obj_array25 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", obj_array25);
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array25, (java.lang.Throwable)mathException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array17, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException33 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.MathException: ", obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test484"); }


    double d1 = org.apache.commons.math.special.Erf.erf(9.496839851378617d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000000000000033d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test485"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d4 = normalDistributionImpl0.cumulativeProbability(1.00000035699529d);
    normalDistributionImpl0.setStandardDeviation(0.5596176923702425d);
    double d7 = normalDistributionImpl0.getStandardDeviation();
    double d8 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.8413448324509365d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.5596176923702425d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.5596176923702425d);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test486"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    java.lang.Object[] obj_array9 = new java.lang.Object[] { "" };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array9);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException10);
    int i12 = maxIterationsExceededException10.getMaxIterations();
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException10);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", (java.lang.Throwable)maxIterationsExceededException10);
    java.lang.String str15 = mathException14.getPattern();
    java.lang.Throwable[] throwable_array16 = mathException14.getSuppressed();
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (100) exceeded", (java.lang.Object[])throwable_array16);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array16);
    java.lang.Object[] obj_array19 = convergenceException18.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"+ "'", str15.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test487"); }


    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException", (java.lang.Throwable)mathException2);
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException2);
    java.lang.String str5 = mathException2.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + ""+ "'", str5.equals(""));

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test488"); }


    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException4);
    java.lang.Throwable[] throwable_array6 = mathException5.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(10, "hi!", (java.lang.Object[])throwable_array6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException7);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException9);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException9);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("", obj_array18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)mathException21);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", obj_array26);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array26, (java.lang.Throwable)mathException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)convergenceException30);
    org.apache.commons.math.MathException mathException33 = new org.apache.commons.math.MathException("");
    java.lang.String str34 = mathException33.getPattern();
    java.lang.Throwable[] throwable_array35 = mathException33.getSuppressed();
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("hi!", obj_array18, (java.lang.Throwable)mathException33);
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array18);
    convergenceException9.addSuppressed((java.lang.Throwable)convergenceException37);
    java.lang.Object[] obj_array48 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException49 = new org.apache.commons.math.MathException("", obj_array48);
    org.apache.commons.math.MathException mathException51 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException52 = new org.apache.commons.math.ConvergenceException("hi!", obj_array48, (java.lang.Throwable)mathException51);
    java.lang.Object[] obj_array56 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException("", obj_array56);
    org.apache.commons.math.MathException mathException59 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException60 = new org.apache.commons.math.ConvergenceException("hi!", obj_array56, (java.lang.Throwable)mathException59);
    org.apache.commons.math.ConvergenceException convergenceException61 = new org.apache.commons.math.ConvergenceException("hi!", obj_array48, (java.lang.Throwable)convergenceException60);
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException("", obj_array48);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException63 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MaxIterationsExceededException: hi!", obj_array48);
    org.apache.commons.math.MathException mathException70 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException71 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException70);
    org.apache.commons.math.MathException mathException72 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException70);
    java.lang.Object[] obj_array73 = mathException70.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException74 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array73);
    java.lang.Object[] obj_array77 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException78 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array77);
    org.apache.commons.math.ConvergenceException convergenceException79 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array73, (java.lang.Throwable)maxIterationsExceededException78);
    org.apache.commons.math.MathException mathException80 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", obj_array48, (java.lang.Throwable)maxIterationsExceededException78);
    java.lang.Throwable throwable83 = null;
    org.apache.commons.math.MathException mathException84 = new org.apache.commons.math.MathException("", throwable83);
    org.apache.commons.math.ConvergenceException convergenceException85 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Throwable)mathException84);
    java.lang.Throwable[] throwable_array86 = convergenceException85.getSuppressed();
    java.lang.Object[] obj_array87 = convergenceException85.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException88 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException85);
    org.apache.commons.math.MathException mathException89 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", obj_array48, (java.lang.Throwable)convergenceException88);
    convergenceException9.addSuppressed((java.lang.Throwable)convergenceException88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + ""+ "'", str34.equals(""));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array87);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test489"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(100.0d, (-0.28888209727734576d), 11366.095855976466d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test490"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: hi!");
    java.lang.Throwable[] throwable_array2 = mathException1.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array2);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test491"); }


    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", obj_array5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)mathException8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array5);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)maxIterationsExceededException10);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("", obj_array18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)mathException21);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("", obj_array27);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("hi!", obj_array27, (java.lang.Throwable)mathException30);
    java.lang.Object[] obj_array35 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException("", obj_array35);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException39 = new org.apache.commons.math.ConvergenceException("hi!", obj_array35, (java.lang.Throwable)mathException38);
    org.apache.commons.math.ConvergenceException convergenceException40 = new org.apache.commons.math.ConvergenceException("hi!", obj_array27, (java.lang.Throwable)convergenceException39);
    org.apache.commons.math.ConvergenceException convergenceException41 = new org.apache.commons.math.ConvergenceException("hi!", obj_array18, (java.lang.Throwable)convergenceException40);
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array18);
    org.apache.commons.math.MathException mathException43 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException42);
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException("hi!", (java.lang.Throwable)mathException43);
    maxIterationsExceededException10.addSuppressed((java.lang.Throwable)mathException43);
    java.lang.String str46 = mathException43.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str46 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str46.equals("org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test492"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("", obj_array15);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)mathException18);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", obj_array23);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("hi!", obj_array23, (java.lang.Throwable)mathException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)convergenceException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.MathException mathException30 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array6);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (0) exceeded", obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test493"); }


    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array7);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)mathException10);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("", obj_array16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("hi!", obj_array16, (java.lang.Throwable)mathException19);
    java.lang.Object[] obj_array24 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", obj_array24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("hi!", obj_array24, (java.lang.Throwable)mathException27);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("hi!", obj_array16, (java.lang.Throwable)convergenceException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7, (java.lang.Throwable)convergenceException29);
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array7);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array7);
    org.apache.commons.math.MathException mathException40 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException41 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException40);
    org.apache.commons.math.MathException mathException42 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException40);
    java.lang.Object[] obj_array43 = mathException40.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException44 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array43);
    java.lang.Object[] obj_array47 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException48 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array47);
    org.apache.commons.math.ConvergenceException convergenceException49 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", obj_array43, (java.lang.Throwable)maxIterationsExceededException48);
    org.apache.commons.math.MathException mathException55 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException56 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException55);
    org.apache.commons.math.MathException mathException57 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException55);
    java.lang.Object[] obj_array58 = mathException55.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException59 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array58);
    int i60 = maxIterationsExceededException59.getMaxIterations();
    java.lang.Throwable[] throwable_array61 = maxIterationsExceededException59.getSuppressed();
    org.apache.commons.math.MathException mathException62 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ", obj_array43, (java.lang.Throwable)maxIterationsExceededException59);
    org.apache.commons.math.MathException mathException63 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException", obj_array7, (java.lang.Throwable)mathException62);
    java.lang.String str64 = mathException62.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str64 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str64.equals("org.apache.commons.math.MathException: "));

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test494"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.500168982534911d, 0.03357934683499325d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.20436143567231166d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test495"); }


    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)mathException6);
    java.lang.Object[] obj_array9 = mathException6.getArguments();
    org.apache.commons.math.MathException mathException12 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException12);
    java.lang.Throwable[] throwable_array14 = mathException13.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array9, (java.lang.Throwable)mathException13);
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("", obj_array19);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("hi!", obj_array19, (java.lang.Throwable)mathException22);
    java.lang.String str24 = convergenceException23.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", obj_array9, (java.lang.Throwable)convergenceException23);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", obj_array9);
    java.lang.String str27 = convergenceException26.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "hi!"+ "'", str24.equals("hi!"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"+ "'", str27.equals("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test496"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(Double.NEGATIVE_INFINITY, 0.46045407053534115d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test497"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)100 };
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)mathException9);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", (java.lang.Throwable)convergenceException10);
    java.lang.Object[] obj_array12 = convergenceException11.getArguments();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("", (java.lang.Throwable)convergenceException11);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("Convergence failed", (java.lang.Throwable)convergenceException11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test498"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.5940148830784451d, 0.18634279061371561d, 0.5472174468217395d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.3827022312975194d);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test499"); }


    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)mathException7);
    java.lang.Throwable[] throwable_array9 = mathException8.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(10, "hi!", (java.lang.Object[])throwable_array9);
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(100, "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test500"); }


    org.apache.commons.math.distribution.NormalDistributionImpl normalDistributionImpl0 = new org.apache.commons.math.distribution.NormalDistributionImpl();
    double d2 = normalDistributionImpl0.inverseCumulativeProbability(0.0d);
    double d3 = normalDistributionImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0d);

  }

}
